Name:           zrythm
Version:        v1.0.0
Release:        1.20250625110524041786.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac%{?dist}
Summary:        a highly automated and intuitive digital audio workstation 

License:        AGPL-3.0-or-later
URL:            https://www.zrythm.org
Source0:        zrythm-v1.0.0.tar.gz

BuildRequires: cmake ninja-build gcc-c++ xdg-utils flex gettext help2man curl doxygen itstool
BuildRequires: git python3-sphinx python3-sphinx-intl rubygem-sass  python3-scikit-build-core
BuildRequires: libXrandr-devel libXinerama-devel libXcursor-devel libstdc++-static libstdc++-devel json-devel freetype-devel magic_enum-devel gtest-devel google-benchmark-devel pipewire-jack-audio-connection-kit-devel alsa-lib-devel libasan libasan-static
BuildRequires: libvorbis-devel flac-devel opus-devel lame-devel mpg123-devel speex-devel libsqlite3x-devel libchromaprint-devel
BuildRequires: qt6-qtbase-devel qt6-qtdeclarative-devel qt6-qttools-devel mbedtls-devel curlpp-devel curl libcurl-devel libcurl-minimal
#libcurl-devel mbedtls-devel curlpp-devel curl libcurl-devel libcurl-minim
#optional
#BuildRequires: libchromaprint-devel
#fmt-devel spdlog-devel 
%description
Zrythm is software for composing, recording, editing, arranging, mixing and mastering audio and MIDI data. 
Such software is commonly referred to as a digital audio workstation (DAW). 
Zrythm provides all the tools needed to create entire tracks.

%prep
  %autosetup -n zrythm-v1.0.0

%build
    %cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DZRYTHM_USER_MANUAL=OFF  \
    -DZRYTHM_MANPAGE=OFF  \
    -G Ninja

    %cmake_build

%install
    %cmake_install

%check
    %ctest --output-on-failure

%files
%license LICENCE


%changelog

* Wed Jun 25 2025 filippor <filippo.rossoni@gmail.com> - v1.0.0-1.20250625110524041786.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac
- add fedora build (filippor)
- match arranger grid lines to ruler (Alexandros Theodotou)
- qml: extract PlayheadTriangle to separate file (Alexandros Theodotou)
- simplify & optimize Ruler.qml (Alexandros Theodotou)
- fix clang release build (Alexandros Theodotou)
- speed up compilation times with better PCH for gui lib and zrythm exe (Alexandros Theodotou)
- add missing file (Alexandros Theodotou)
- start using new tempo map in QML (Alexandros Theodotou)
- cmake: disable warnings on unknown attributes and errors on deprecated method usage (Alexandros Theodotou)
- clang-tidy: add more warnings-as-errors (Alexandros Theodotou)
- add new Playhead type (not used in project yet) (Alexandros Theodotou)
- use snake_case for methods in TempoMap (Alexandros Theodotou)
- remove TempoTrack (Alexandros Theodotou)
- start using TempoMap via TempoMapWrapper (Alexandros Theodotou)
- vscode settings: set CPM cache dir (Alexandros Theodotou)
- README: simplify build instructions (Alexandros Theodotou)
- TempoMap: make sample rate parameter mandatory (Alexandros Theodotou)
- fix usage of z literal not available yet in some compilers (Alexandros Theodotou)
- fix build (Alexandros Theodotou)
- cmake: disable direct JACK support (Alexandros Theodotou)
- TempoMap: remove unnecessary overloads (Alexandros Theodotou)
- merge flags members in PortIdentifier into one type (Alexandros Theodotou)
- add AtomicPositionQmlAdapter class (Alexandros Theodotou)
- add AtomicPosition class to dsp module (Alexandros Theodotou)
- add TempoMap class (Alexandros Theodotou)
- remove unnecessary dependencies from ControlPort (Alexandros Theodotou)
- close audio device before closing the open project (Alexandros Theodotou)
- cleanup port API more (Alexandros Theodotou)
- clean up Port API (Alexandros Theodotou)
- add some docs to RealtimeUpdater related classes (Alexandros Theodotou)
- cmake: link to a dummy source file to fix error in some cmake versions (Alexandros Theodotou)
- ci: fix cpm cache path again (Alexandros Theodotou)
- ci: fix usage of env variables in variable values (Alexandros Theodotou)
- ci: enable cpm cache dir (Alexandros Theodotou)
- fix concurrency issue in MidiEvents (Alexandros Theodotou)
- start using RealtimeSanitizer (Alexandros Theodotou)
- clang-format with clang20 (Alexandros Theodotou)
- move processor port disconnect logic to Tracklist (Alexandros Theodotou)
- cmake: add support for realtime sanitizer (Alexandros Theodotou)
- remove unused api (Alexandros Theodotou)
- fix windows ci (Alexandros Theodotou)
- remove unused Port API (Alexandros Theodotou)
- fix unused lambda capture (Alexandros Theodotou)
- ci: run benchmarks (Alexandros Theodotou)
- fix benchmarks build (Alexandros Theodotou)
- add prepare_for_processing() and release_resources() to IProcessable (Alexandros Theodotou)
- remove IClonable, add UniqueQObjectPtr (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- delete just whereami and leave dirent (needed by plugins on windows) (Alexandros Theodotou)
- Revert "remove unused external projects" (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- don't make Greeter modal (Alexandros Theodotou)
- remove validate and active project checks (Alexandros Theodotou)
- remove unused file (Alexandros Theodotou)
- remove unused external projects (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- add UI options to show device manager (Alexandros Theodotou)
- cmake: use CPM more (Alexandros Theodotou)
- cmake: fix CPMFindPackage calls (Alexandros Theodotou)
- cmake: include missing CPM.cmake file (Alexandros Theodotou)
- add support for AudioWorkgroups on mac (Alexandros Theodotou)
- start using gsl-lite (Alexandros Theodotou)
- cmake: start using CPM (Alexandros Theodotou)
- switch to juce::AudioDeviceManager and drop support for hardware port connections (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- abstract audio/midi backend drivers into AudioDriver/MidiDriver (Alexandros Theodotou)
- fix compilation on mac (Alexandros Theodotou)
- fix compilation with clang (Alexandros Theodotou)
- fix plugin UIs on gnu/linux (Alexandros Theodotou)
- refactor some classes into structure and engine namespaces (Alexandros Theodotou)
- put graph-related classes under  namespace (Alexandros Theodotou)
- fix compilation (Alexandros Theodotou)
- move MidiEvent to dsp module (Alexandros Theodotou)
- drop yaml project compatibility code (Alexandros Theodotou)
- remove more dependencies from Port and MidiEventVector (Alexandros Theodotou)
- drop rtaudio/rtmidi/portaudio/pulseaudio/alsa backend support (Alexandros Theodotou)
- move port connection classes to dsp module (Alexandros Theodotou)
- remove some Port/Plugin dependencies (Alexandros Theodotou)
- remove more Plugin class dependencies (Alexandros Theodotou)
- use juce::ScopedJuceInitialiser_GUI instead of creating a juce ApplicationBase (Alexandros Theodotou)
- reduce Plugin class dependencies (Alexandros Theodotou)
- ZrythmApplication: fix icon path (unsure if used) (Alexandros Theodotou)
- include missing plugins.h PCH (Alexandros Theodotou)
- remove dependency on fftw (use dlopen at runtime) (Alexandros Theodotou)
- add pch for plugins lib (Alexandros Theodotou)
- refactor PluginSetting into PluginConfiguration (Alexandros Theodotou)
- fix AU scan (Alexandros Theodotou)
- PluginManager: add API to create plugin instances from descriptors (Alexandros Theodotou)
- cmake: fix mac build again (Alexandros Theodotou)
- cmake: fix build with AU on mac (Alexandros Theodotou)
- show scanned plugins in plugin list in right dock (Alexandros Theodotou)
- cmake: add missing Qt6Test DLL to windeployqt invocation (Alexandros Theodotou)
- refactor plugin scanning code & add test (Alexandros Theodotou)
- reword README a bit (Alexandros Theodotou)
- Revert "cpack: move hidden dirs out of the DMG view on mac" (Alexandros Theodotou)
- README: include build instructions & remove redundant pages (Alexandros Theodotou)
- drop unused po directory (Alexandros Theodotou)
- use LightweightSemaphore more (Alexandros Theodotou)
- cpack: move hidden dirs out of the DMG view on mac (Alexandros Theodotou)
- delete unused image (Alexandros Theodotou)
- cpack: fix DMG background image (Alexandros Theodotou)
- appscript: increase delays (Alexandros Theodotou)
- cmake: add background image to macos installer (Alexandros Theodotou)
- use lightweightsemaphore instead of std::counting_semaphore in graph (Alexandros Theodotou)
- reuse: no annotation required for bundled lv2 (Alexandros Theodotou)
- graph: remove trigger_queue_size_ causing race issues on windows (Alexandros Theodotou)
- cmake: make pkgconfig optional (Alexandros Theodotou)
- cmake: make imagemagick optional (Alexandros Theodotou)
- ci: don't add paths for now-bundled lv2 and boost (Alexandros Theodotou)
- bundle lv2 (Alexandros Theodotou)
- cmake: only link juce LTO flags if LTO enabled (Alexandros Theodotou)
- cmake: include Qt pdb's in debug version (Alexandros Theodotou)
- fix warning-as-error on appleclang on boost/describe (Alexandros Theodotou)
- ci: fix windows qt paths (Alexandros Theodotou)
- cmake: autofetch boost (Alexandros Theodotou)
- ci: attempt build with included runtime (Alexandros Theodotou)
- use fetchcontent for boost (Alexandros Theodotou)
- use custom size_t string literal (Alexandros Theodotou)
- cmake: windows build simplifications (Alexandros Theodotou)
- remove now-moved .ico file (Alexandros Theodotou)
- cmake: add icon to windows app (Alexandros Theodotou)
- cmake: install pdb files on msvc (Alexandros Theodotou)
- ci: fix notarization timeout command (Alexandros Theodotou)
- ci: only notarize .dmg (not .app) (Alexandros Theodotou)
- ci: codesign and notarize dmg, add notarization timeout (Alexandros Theodotou)
- cmake/macos: use entitlements when code signing (Alexandros Theodotou)
- cmake: fix math expression in apple app bundle icon generation (Alexandros Theodotou)
- fix various mac app bundle issues (Alexandros Theodotou)
- cpack: fix windows installer (Alexandros Theodotou)
- cmake: build fixes (Alexandros Theodotou)
- cmake/cpack: macos build fixes (Alexandros Theodotou)
- cmake: bump fmt and spdlog versions (Alexandros Theodotou)
- cmake: use custom plist on mac (Alexandros Theodotou)
- cmake: add COMMAND_ERROR_IS_FATAL to some execute_process calls (Alexandros Theodotou)
- cmake: include missing macos codesign scripts (Alexandros Theodotou)
- ci: codesign and notarize macos app bundle (Alexandros Theodotou)
- macdeployqt: enable codesigning (Alexandros Theodotou)
- cmake: remove more gpl-incompatible and unneeded windeployqt dependencies (Alexandros Theodotou)
- avoid fs::path::string() (Alexandros Theodotou)
- cmake: fix windows installer README path (Alexandros Theodotou)
- cmake: more windows installer improvements (Alexandros Theodotou)
- cmake: windows installer fixes (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate bmp file for windows installer (Alexandros Theodotou)
- cmake: fix magick discovery on windows (Alexandros Theodotou)
- cmake: add PATHS for rsvg-convert on mac (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate ico/icons for cpack (Alexandros Theodotou)
- cmake/macdeployqt: fix not using .app bundle name (Alexandros Theodotou)
- cpack/windows: remove vc_redist.x64.exe after running windeployqt (Alexandros Theodotou)
- cmake: don't use shallow clone for nlohmann json (Alexandros Theodotou)
- ci: force-update cache (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake/cpack: use windeployqt and macdeployqt (Alexandros Theodotou)
- cmake/cpack: comment out non-existing icons (Alexandros Theodotou)
- ci: merge build & package stages (Alexandros Theodotou)
- cmake: don't build appdata XML on non-GNU platforms (Alexandros Theodotou)
- cmake: add BUNDLE to zrythm install() (Alexandros Theodotou)
- cpack: don't pack fftw on windows/mac (Alexandros Theodotou)
- cmake: create Runtime component for CPack (Alexandros Theodotou)
- build: add packaging stage & use FetchContent for type_safe (Alexandros Theodotou)
- more ci/build fixes (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix ci build & update ubuntu20 dockerfile (Alexandros Theodotou)
- ci: restore requirements.txt versions but disable installation on ubuntu20 (Alexandros Theodotou)
- ci: disable user manual build on ubuntu20 (Alexandros Theodotou)
- requirements.txt: lower some python library dependency versions to build on ubuntu 20 (Alexandros Theodotou)
- add zrythm build instructions in Dockerfile (Alexandros Theodotou)
- ci: use ubuntu docker image for builds (Alexandros Theodotou)
- cmake: fix juce build (Alexandros Theodotou)
- cmake: link juce to system freetype2 (Alexandros Theodotou)
- cmake: link curl to juce_clap_hosting_lib too (Alexandros Theodotou)
- cmake: make libdw dependency optional (Alexandros Theodotou)
- use local http server for networking test (Alexandros Theodotou)
- fix user manual translation issues (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- submodule: update doxygen-awesome-css (Alexandros Theodotou)
- cmake: enable LTO and other optimizing link options (Alexandros Theodotou)
- fix more msvc/clang errors (Alexandros Theodotou)
- remove some unused variables (clang warnings) (Alexandros Theodotou)
- fix compilation error on clang (Alexandros Theodotou)
- replace usage of yyjson with nlohmann::json (Alexandros Theodotou)
- cmake: don't explicitly link to x11 (Alexandros Theodotou)
- ci: don't require update-manual job to update dev docs (Alexandros Theodotou)
- PeakDsp: disable edge cases test when building with -ffast-math (Alexandros Theodotou)
- cmake: force release build of curl (Alexandros Theodotou)
- fix handling of invalid values in PeakDsp (Alexandros Theodotou)
- wrap ZrythmException in namespace (Alexandros Theodotou)
- cmake/mbedtls: disable fatal warnings (Alexandros Theodotou)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- cmake: use FetchContent for curl dependency on gnu/linux (Alexandros Theodotou)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Japanese) (Y_NOIZ)
- Translated using Weblate (Russian) (AnanaSeek4Jam)
- Translated using Weblate (Chinese (Simplified Han script)) (alcoholicgirllover)
- Translated using Weblate (Japanese) (Haruki Shimauchi)
- Translated using Weblate (Chinese (Simplified Han script)) (王晨旭)
- Translated using Weblate (Chinese (Traditional Han script)) (hugoalh)
- Translated using Weblate (Turkish) (Burak Hüseyin Ekseli)
- Translated using Weblate (German) (Kai A)
- Translated using Weblate (Russian) (Victor Gridnevsky)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (French) (AlexC)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Serbian) (Anonymous)
- Translated using Weblate (Ukrainian) (Максим Горпиніч)
- Translated using Weblate (Italian) (Marco Ciampa)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (Ettore Atalan)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Translated using Weblate (Spanish) (gallegonovato)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (French) (Max)
- Translated using Weblate (Catalan) (Maite Guix)
- fix missing include (Alexandros Theodotou)
- disable chromaprint again (Alexandros Theodotou)
- disable chromaprint dependency for now (Alexandros Theodotou)
- qml: fix various issues reported by qmllint (Alexandros Theodotou)
- switch to Noto fonts for everything (Alexandros Theodotou)
- ci: fix build environment (disable gtk in qt build) (Alexandros Theodotou)
- move Track destructor to .cpp file to fix too many inlines error in gcc (Alexandros Theodotou)
- ci: remove /verbose link mode on msvc (Alexandros Theodotou)
- ci: manually discard verbose msvc linker output (Alexandros Theodotou)
- attempt to make msbuild linker less verbose (Alexandros Theodotou)
- ci: fix windows ctest invocation (Alexandros Theodotou)
- cmake: use gtest_add_tests() instead of gtest_discover_tests() on windows (Alexandros Theodotou)
- cmake: prevent in-source builds (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- cmake: simplify sanitizers section (Alexandros Theodotou)
- fix windows build error (Alexandros Theodotou)
- ci: add build command in clazy step (Alexandros Theodotou)
- fix windows build again (Alexandros Theodotou)
- ci: add clazy step (Alexandros Theodotou)
- utils/io.h: fix windows-only code (Alexandros Theodotou)
- fix deleted function implementation (Alexandros Theodotou)
- add custom String class to handle UTF8 strings (Alexandros Theodotou)
- enable unity builds in more places (Alexandros Theodotou)
- cmake: don't link to DbgHelp explicitly (backwardcpp uses pragma to link to it) (Alexandros Theodotou)
- ci: fix powershell command (Alexandros Theodotou)
- ci: fix executable path passed to windeployqt (Alexandros Theodotou)
- ci: use less verbose msbuild options (Alexandros Theodotou)
- ci: remove unsupported 1-to-1 mapping for configure and build (Alexandros Theodotou)
- enable unity builds for dsp/utils libs (Alexandros Theodotou)
- ci: drop --verbose from windows build (Alexandros Theodotou)
- increase tolerance on MonotonicTimeProviderTest::TimeConversion (Alexandros Theodotou)
- cmake: turn off automoc for test LV2 plugins (Alexandros Theodotou)
- ci: only depend on corresponding Debug/Release configuration job (Alexandros Theodotou)
- fix compilation error on mac/release (Alexandros Theodotou)
- ci: fix powershell syntax error (Alexandros Theodotou)
- ci: fix windows syntax (Alexandros Theodotou)
- ci: fix syntax (Alexandros Theodotou)
- ci: use parallel matrix for Debug/Release builds (Alexandros Theodotou)
- add qurl to qstring converter (Alexandros Theodotou)
- use custom string conversion api (Alexandros Theodotou)
- various build adjustments (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- ci: run windeployqt after build (Alexandros Theodotou)
- add missing qml file (Alexandros Theodotou)
- use custom conversion functions for QString <=> fs::path (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix windows build (Alexandros Theodotou)
- fix missing include in views.h (Alexandros Theodotou)
- fix build without pch (Alexandros Theodotou)
- ci: disable precompiled headers on windows (Alexandros Theodotou)
- ci: try to update cache (Alexandros Theodotou)
- attempt to fix linking to debug runtime lib (Alexandros Theodotou)
- fix unused include in engine main.cpp (Alexandros Theodotou)
- add missing CTestCustom file (Alexandros Theodotou)
- fix some more CI/build issues (Alexandros Theodotou)
- fix CI build issues (Alexandros Theodotou)
- simplify ProjectManager thread handling (Alexandros Theodotou)
- use standard c++ instead of QFuture (fails to link on msvc) (Alexandros Theodotou)
- use fs::path more (Alexandros Theodotou)
- cmake: fix ctest (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix some msvc issues (Alexandros Theodotou)
- ci: fix PATH on macos (Alexandros Theodotou)
- fix various msvc issues (Alexandros Theodotou)
- UuidIdentifiableObjectView: use CRTP optionally on iterator class (Alexandros Theodotou)
- simplify UuidIdentifiableObject spans (Alexandros Theodotou)
- cmake: improve mac build (Alexandros Theodotou)
- macos fixes (Alexandros Theodotou)
- cmake: declare fftw twice for float/double (Alexandros Theodotou)
- run clang-format (Alexandros Theodotou)
- fix some build issues, add alternative views::enumerate (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- ci: fix artifacts exclusion dir (Alexandros Theodotou)
- GraphScheduler: fallback to non-realtime thread (Alexandros Theodotou)
- cmake: fix soxr header not found (Alexandros Theodotou)
- cmake: attempt to fix macos again (Alexandros Theodotou)
- cmake: use CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS (Alexandros Theodotou)
- cmake: add global -Wno-documentation flag (Alexandros Theodotou)
- cmake: set higher default policy (Alexandros Theodotou)
- cmake: use system lv2 (Alexandros Theodotou)
- cmake: refactor and disable -Wdocumentation for yyjson (Alexandros Theodotou)
- cmake: disable rtmidi support (Alexandros Theodotou)
- cmake: use fetch-content for gtest/gbenchmark (Alexandros Theodotou)
- cmake: fix gtest linking (Alexandros Theodotou)
- cmake: use fetchcontent for gtest (Alexandros Theodotou)
- cmake:use non-config boost on mac (Alexandros Theodotou)
- cmake: disable tests for fftw (Alexandros Theodotou)
- ci: specify boost root on mac (Alexandros Theodotou)
- bundle rubberband (Alexandros Theodotou)
- cmake: temporarily drop lilv dependency (Alexandros Theodotou)
- cmake: use fetch-content more (Alexandros Theodotou)
- cmake: use fetch content on some dependencies instead of system (Alexandros Theodotou)
- ci: use FETCHCONTENT_TRY_FIND_PACKAGE_MODE=NEVER (Alexandros Theodotou)
- ci: attempt to fix manpage generation (Alexandros Theodotou)
- cmake: disable unused tests (Alexandros Theodotou)
- refactor: avoid use of sprintf (Alexandros Theodotou)
- add missing crill CMakeLists.txt (Alexandros Theodotou)
- fix juce build, clean up more compiler warnings/errors (Alexandros Theodotou)
- various msvc fixes (Alexandros Theodotou)
- cmake: fix JUCE clap hosting issue (Alexandros Theodotou)
- Revert "more cmake refactoring for spdlog" (Alexandros Theodotou)
- more cmake refactoring for spdlog (Alexandros Theodotou)
- various build fixes & refactoring of finding JACK (Alexandros Theodotou)
- windows fixes (Alexandros Theodotou)
- attempt to fix juce-related build issues (Alexandros Theodotou)
- fix inclusion of deleted header (Alexandros Theodotou)
- fix some msvc errors (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- drop ISerializableBase and minor changes to build on g++ (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- more ci fixes (Alexandros Theodotou)
- fix various build issues on gcc/appleclang/msvc (Alexandros Theodotou)
- various fixes for ci (Alexandros Theodotou)
- ci: revert to using artifacts (Alexandros Theodotou)
- ci: remove invalid yaml key (Alexandros Theodotou)
- ci: use cache instead of artifacts for passing job results forward (Alexandros Theodotou)
- ci: add more exclusions for artifacts (Alexandros Theodotou)
- ci: exclude .git directories from artifacts (Alexandros Theodotou)
- ci: bump cache ID (Alexandros Theodotou)
- cmake: disable translations on xcode (Alexandros Theodotou)
- ci: attempt to fix xcode + qt_add_translations (Alexandros Theodotou)
- cmake: fix forcing cyaml dependency even when option is off (Alexandros Theodotou)
- cmake: attempt to fix macos bundle-related errors (Alexandros Theodotou)
- ci: fix CMAKE_PREFIX_PATH option on mac (Alexandros Theodotou)
- cmake: disable YAML project compatibility by default (Alexandros Theodotou)
- ci: disable old cyaml-based project compatibility (Alexandros Theodotou)
- fix type_safe CMakeLists.txt error with cmake 4 (Alexandros Theodotou)
- cmake: make Gettext optional (Alexandros Theodotou)
- requirements.txt: upgrade cmake (Alexandros Theodotou)
- add boost::describe support, start fixing CI (Alexandros Theodotou)
- build: detect CCache automatically (Alexandros Theodotou)
- fix remaining missing licenses (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- remove `init_loaded()` from ArrangerObject (Alexandros Theodotou)
- more ArrangerObject class cleanup (Alexandros Theodotou)
- ci: disable github actions jobs (Alexandros Theodotou)
- reuse: add some missing licenses (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- use strong types for frames <=> ticks multipliers (Alexandros Theodotou)
- cleanup/clarify some ArrangerObject API (Alexandros Theodotou)
- remove `print_to_str()` API from ArrangerObject (Alexandros Theodotou)
- add ArrangerObjectOwner/ListModel, drop RegionOwner/List (Alexandros Theodotou)
- reduce external dependencies for AudioPool (Alexandros Theodotou)
- add ArrangerObjectSelectionManager for handling object selections (Alexandros Theodotou)
- make TrackSelectionManager generic for all UuidIdentifiableObjects (Alexandros Theodotou)
- track Track selections at Tracklist (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- simplify API for removing tracks and plugins (Alexandros Theodotou)
- add TrackFactory (still incomplete, TODO) (Alexandros Theodotou)
- use reference counting for UUID-identified objects (Alexandros Theodotou)
- drop PluginIdentifier and fix a memory leak in ISerializable (Alexandros Theodotou)
- use factory pattern for arranger objects and remove RegionIdentifier (Alexandros Theodotou)
- qml: edit PianoRollKeys appearance (Alexandros Theodotou)
- qml: add piano roll keys element (Alexandros Theodotou)
- qml: fix loader condition for clip editor grid (Alexandros Theodotou)
- qml: update clip editor based on selected region (Alexandros Theodotou)
- fix track names and region creation (Alexandros Theodotou)
- use c++ attributes instead of macros (Alexandros Theodotou)
- fix incorrect use of std::views::iota (Alexandros Theodotou)
- BottmDock QML: create basic structure for editor components (Alexandros Theodotou)
- vscode settings: use ccache (Alexandros Theodotou)
- PlaceholderPage.qml: make image color follow style (Alexandros Theodotou)
- QML: start adding editor UI parts (Alexandros Theodotou)
- replace arranger selections with ArrangerObjectSpan (Alexandros Theodotou)
- add UUID-based registry system (initial implementation) (Alexandros Theodotou)
- add UuidIdentifiableObject class (Alexandros Theodotou)
- Port: generalize PortOwner into new interface (Alexandros Theodotou)
- refactor finding ports from PortIdentifier to a Project method (Alexandros Theodotou)
- very minor performance improvements in graph scheduling (Alexandros Theodotou)
- cleanup graph API & add tests/benchmarks (Alexandros Theodotou)
- split graph scheduling logic from Graph (Alexandros Theodotou)
- clean up GraphBuilder API (Alexandros Theodotou)
- split graph building logic to separate class (Alexandros Theodotou)
- use IProcessable interface to reduce Graph dependencies (Alexandros Theodotou)
- refactor port backend logic to new interface (Alexandros Theodotou)
- refactor balance control calculation to be part of "panning" (Alexandros Theodotou)
- decouple GraphNode and move to DSP module (Alexandros Theodotou)
- GraphNode: make Transport dependency explicit (Alexandros Theodotou)
- move ChordDescriptor and MusicalScale to DSP module (Alexandros Theodotou)
- refactor AudioClip to remove dependencies (Alexandros Theodotou)
- add missing CurvePreset code (Alexandros Theodotou)
- refactor AudioClip, make API simpler (Alexandros Theodotou)
- cmake: rename zrythm_lib to zrythm_gui_lib (Alexandros Theodotou)
- clangd: lower error limit (Alexandros Theodotou)
- move ditherer and curve to DSP module (Alexandros Theodotou)
- move stretcher to DSP module (Alexandros Theodotou)
- remove some unused meson.build files (Alexandros Theodotou)
- refactor: move meter DSP logic to DSP module (Alexandros Theodotou)
- move port identifier and plugin identifier to dsp module (Alexandros Theodotou)
- refactoring: create separate utils and dsp modules (Alexandros Theodotou)
- cleanup some old localization files (Alexandros Theodotou)
- port translations from gettext (Alexandros Theodotou)
- undo/redo support, arranger cursors, toolbox (Alexandros Theodotou)
- add more arranger functionality (create MIDI regions) (Alexandros Theodotou)
- drop glib, show arranger objects in timeline, etc. (Alexandros Theodotou)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (nilsholle)
- Translated using Weblate (Portuguese) (ssantos)
- Translated using Weblate (Catalan) (Maite Guix)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (Norwegian Bokmål) (Allan Nordhøy)
- Translated using Weblate (Macedonian) (AND)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (Polish) (Prefex)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Added translation using Weblate (Tamil) (Languages add-on)
- Translated using Weblate (Polish) (Krylan)
- Translated using Weblate (Russian) (John Johnson)
- Translated using Weblate (Chinese (Traditional)) (hugoalh)
- Translated using Weblate (Italian) (GB)
- Translated using Weblate (Russian) (Evgeniy Khramov)
- Translated using Weblate (Russian) (Kirill Plotnikov)
- add meters (Alexandros Theodotou)
- qml: add automation tracks to track view (Alexandros Theodotou)
- qml: implement track lanes support (Alexandros Theodotou)
- update INSTALL/README (Alexandros Theodotou)
- fix linking issue with dsp utils (Alexandros Theodotou)
- make position updates rt-safe, drop lsp-dsp dependency (Alexandros Theodotou)
- implement basic ruler (Alexandros Theodotou)
- connect up the engine (in-process for now, as before) (Alexandros Theodotou)
- qml: add transport controls (Alexandros Theodotou)
- qml: tracklist showing (Alexandros Theodotou)
- gui: add dark/light mode switch and theme color selection (Alexandros Theodotou)
- qml: add more styled widgets, improve existing (Alexandros Theodotou)
- qml: create custom Zrythm style (Alexandros Theodotou)
- qml: restructure code (Alexandros Theodotou)
- add tabbar/tabbutton, require qt 6.8 (Alexandros Theodotou)
- edit toolbuttons a bit (Alexandros Theodotou)
- add text toolbar elements (Alexandros Theodotou)
- add arranger (wip), custom menus (Alexandros Theodotou)
- add basic layout (Alexandros Theodotou)
- cmake refactor (move QML executable to src/gui) (Alexandros Theodotou)
- add custom menubar and toolbutton (Alexandros Theodotou)
- allow creating new project without template (Alexandros Theodotou)
- greeter: add dummy project loading logic (Alexandros Theodotou)
- README: mention that this is the qt branch (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- juce: disable version printing (Alexandros Theodotou)
- qml/backend: add project management-related logic (Alexandros Theodotou)
- plugin scanner: allow scanning directly from cmd line (Alexandros Theodotou)
- plugin scanning: use paths/save/restore known plugins (Alexandros Theodotou)
- qml: rename greeter to Greeter (Alexandros Theodotou)
- drop gtk dependency (Alexandros Theodotou)
- requirements.txt: add cmake-format (Alexandros Theodotou)
- plugin scanning for LV2/LADSPA/VST3/CLAP (Alexandros Theodotou)
- plugin scan working (other than LV2) (Alexandros Theodotou)
- vscode: add qt-specific pre-instructions to cody (Alexandros Theodotou)
- fix clang-format qt header handling (Alexandros Theodotou)
- expose global state to QML (Alexandros Theodotou)
- add namespace for plugin-related classes (Alexandros Theodotou)
- merge gui/glue and gui/backend to just backend (Alexandros Theodotou)
- fix licensing issues (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- start using namespaces (Alexandros Theodotou)
- reorganize source files (Alexandros Theodotou)
- re-organize old gui-related code (Alexandros Theodotou)
- clean up, re-organize, remove some meson related files (Alexandros Theodotou)
- reorganize code a bit (Alexandros Theodotou)
- zrythm application: optionally read env variable for engine path (Alexandros Theodotou)
- qml: add custom progress bar, fixup greeter progress page (Alexandros Theodotou)
- qml: fixup preferences page, add filepicker (Alexandros Theodotou)
- qml: include missing svg for up-down chevrons (Alexandros Theodotou)
- qml: don't use versions in imports (Alexandros Theodotou)
- qml: add custom combo box (Alexandros Theodotou)
- dont look for kddockwidgets or kirigami (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- cmake: add debug prints before running help2man (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- Revert "cmake: use static vamp on msys2/mingw" (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: use static vamp on msys2/mingw (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- don't use qt_add_resources (discouraged by qt devs) (Alexandros Theodotou)
- remove kirigami, use basic style with customized widgets (Alexandros Theodotou)
- almost done with first run carousel (Alexandros Theodotou)
- add qsettings manager (Alexandros Theodotou)
- move engine to separate process (Alexandros Theodotou)
- add basic qt main window (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- start using gtkmm, add more compile-time checks (Alexandros Theodotou)
- build fixes for windows (Alexandros Theodotou)
- cmake: build fixes for macos (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- fix optimization flag mismatch on msvc (Alexandros Theodotou)
- add user manual (WIP builds but no localization) (Alexandros Theodotou)
- ci: fix build-time errors (Alexandros Theodotou)
- cmake: use fetch-content to mimic meson subprojects (Alexandros Theodotou)
- port to cmake (Alexandros Theodotou)
- fix more msvc compilation errors (Alexandros Theodotou)
- replace zita resampler with cpp version (Alexandros Theodotou)
- rename function attributes to avoid clash with msvc (Alexandros Theodotou)
- disable strict strings (Alexandros Theodotou)
- ci: attempt to fix builtin plugins errors (Alexandros Theodotou)
- add dirent (Alexandros Theodotou)
- build: attempt to fix lilv (Alexandros Theodotou)
- use gtest (Alexandros Theodotou)
- fix build issues (Alexandros Theodotou)
- whereami: update (Alexandros Theodotou)
- ci: cache per runner (Alexandros Theodotou)
- tests: don't use ubsan on msvc (Alexandros Theodotou)
- gen-translators-list: ensure input/output is utf8 (Alexandros Theodotou)
- ci: remove cleanup section (Alexandros Theodotou)
- drop appstream dependency from libadwaita (Alexandros Theodotou)
- drop gtksourceview dependency (Alexandros Theodotou)
- ci: fix windows (Alexandros Theodotou)
- ci: don't build manpage on windows (Alexandros Theodotou)
- drop guile dependency (Alexandros Theodotou)
- drop sed dependency, move a bash script to python (Alexandros Theodotou)
- drop direct libcurl usage (Alexandros Theodotou)
- ci: add windows (Alexandros Theodotou)
- dont use jthreads (not available on mac) (Alexandros Theodotou)
- ci: try to build mac (Alexandros Theodotou)
- requirements: add cmake (Alexandros Theodotou)
- bump python requirements and remove some unnecessary inlines (Alexandros Theodotou)
- ci: enable mac builder (Alexandros Theodotou)
- fix more issues (Alexandros Theodotou)
- ci: use benchmark (Alexandros Theodotou)
- use init_loaded_base on arranger objects (Alexandros Theodotou)
- replace backtrace getter, remove pcre2 (Alexandros Theodotou)
- make benchmarks work again, use gbenchmark, more fixes (Alexandros Theodotou)
- fix engine ticks/frame calculation (Alexandros Theodotou)
- various fixes (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- clang-tidy: add more checks (Alexandros Theodotou)
- fix more issues, 1 more test pass (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- organize code and fix some more issues (Alexandros Theodotou)
- some runtime fixes, various other fixes (Alexandros Theodotou)
- fix compilation of tests and build without lsp (Alexandros Theodotou)
- fix more issues, more tests pass (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- fix various issues (Alexandros Theodotou)
- use factory pattern for tracks (Alexandros Theodotou)
- fix more issues, now can generate the processing graph (Alexandros Theodotou)
- fix various issues - test now can add a couple of tracks (Alexandros Theodotou)
- fix licensing issues, upgrade to reuse TOML (Alexandros Theodotou)
- fix logger, fix more tests (Alexandros Theodotou)
- fix compilation with gcc, fix doctest issues (Alexandros Theodotou)
- port to C++20 (WIP) (Alexandros Theodotou)
- ci: don't build with ASAN (Alexandros Theodotou)
- port gen-appdata-xml to python and update project description (Alexandros Theodotou)
- refactor, port various components to C++ classes (Alexandros Theodotou)
- make ZrythmDirectoryManager a singleton (Alexandros Theodotou)
- meson: disable -fanalyzer (too many false positives) (Alexandros Theodotou)
- shorten ZrythmDirType enum value names (Alexandros Theodotou)
- disable the audio engine for a test that doesn't need it (Alexandros Theodotou)
- add option to build tests statically (Alexandros Theodotou)
- tracklist: convert tracks array to vector (Alexandros Theodotou)
- refactor ProgressInfo (Alexandros Theodotou)
- attempt to deactivate engine before freeing gZrythm (Alexandros Theodotou)
- add missing license (Alexandros Theodotou)
- minor refactoring (Alexandros Theodotou)
- editor files (Alexandros Theodotou)
- fix typo (Alexandros Theodotou)
- port Port to C++ idioms (Alexandros Theodotou)
- port Channel functions to member methods (Alexandros Theodotou)
- refactor Port (WIP) (Alexandros Theodotou)
- refactor CarlaBridgeMode (Alexandros Theodotou)
- add vscode configs (Alexandros Theodotou)
- fix some memory leaks now that PortIdentifier is allocated with `new` (Alexandros Theodotou)
- port PortIdentifier to c++, some more refactoring (Alexandros Theodotou)
- add missing JUCE dependencies on windows (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- fix another windows build error (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- fix more windows build issues (Alexandros Theodotou)
- attempt to use shared lib for tests in CI (Alexandros Theodotou)
- windows fix (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes, refactoring (Alexandros Theodotou)
- more fixes, refactoring (Alexandros Theodotou)
- fix compilation on windows (Alexandros Theodotou)
- ci: use magic_enum from distro (Alexandros Theodotou)
- precompile windows.h on windows (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- macos fixes and pch improvements (alex)
- more refactoring, mac/windows fixes (Alexandros Theodotou)
- meson: set default backend_max_links=1 (Alexandros Theodotou)
- fix windows build, revert to using _WIN32 (Alexandros Theodotou)
- remove PURE from functions (windows build fails) (Alexandros Theodotou)
- meson: remove unused pcre subproject (Alexandros Theodotou)
- fix build on mac (Alexandros Theodotou)
- refactoring, cleanup (Alexandros Theodotou)
- clang-format: rearrange headers (Alexandros Theodotou)
- build: fix unused variable error (Alexandros Theodotou)
- juce: add -fpermissive flag on windows (Alexandros Theodotou)
- meson: add more optimization flags (Alexandros Theodotou)
- add missing appleframeworks to build juce on mac (Alexandros Theodotou)
- rename kissfft in qm-dsp to avoid conflicts (Alexandros Theodotou)
- avoid passing initializer as reference (Alexandros Theodotou)
- remove some usage of Z_GRAPHENE_*_INIT (Alexandros Theodotou)
- start using JUCE core for StringArray (Alexandros Theodotou)
- cleanup compilation flags, fix some apple clang errors (Alexandros Theodotou)
- plugin manager: add AU detection (Alexandros Theodotou)
- convert Zrythm struct to C++ class (Alexandros Theodotou)
- clang-format: add option pending clang 18 (Alexandros Theodotou)
- meson: use cpp as main compiler (Alexandros Theodotou)
- ci: cache more subprojects (Alexandros Theodotou)
- fix error: taking address of temporary array (Alexandros Theodotou)
- add missing copyright (Alexandros Theodotou)
- fix CI (force fallback for magic enum and enable cyaml) (Alexandros Theodotou)
- port to C++ (Alexandros Theodotou)
- fix strict build (Alexandros Theodotou)
- meson: require at least 1.3.0 (Alexandros Theodotou)
- appdata: add branding colors and vcs url (Alexandros Theodotou)
- use glib-mkenums more (Alexandros Theodotou)
- add some more error checking for plugin protocol (Alexandros Theodotou)
- noop: formatting (Alexandros Theodotou)
- stop using some deprecated gtk API (Alexandros Theodotou)
- build: make cyaml dependency optional (Alexandros Theodotou)
- port plugin settings/cached plugins/plugin collections to JSON (Alexandros Theodotou)

* Tue Jun 24 2025 filippor <filippo.rossoni@gmail.com> - v1.0.0-1.20250624204749356751.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac
- add fedora build (filippor)
- match arranger grid lines to ruler (Alexandros Theodotou)
- qml: extract PlayheadTriangle to separate file (Alexandros Theodotou)
- simplify & optimize Ruler.qml (Alexandros Theodotou)
- fix clang release build (Alexandros Theodotou)
- speed up compilation times with better PCH for gui lib and zrythm exe (Alexandros Theodotou)
- add missing file (Alexandros Theodotou)
- start using new tempo map in QML (Alexandros Theodotou)
- cmake: disable warnings on unknown attributes and errors on deprecated method usage (Alexandros Theodotou)
- clang-tidy: add more warnings-as-errors (Alexandros Theodotou)
- add new Playhead type (not used in project yet) (Alexandros Theodotou)
- use snake_case for methods in TempoMap (Alexandros Theodotou)
- remove TempoTrack (Alexandros Theodotou)
- start using TempoMap via TempoMapWrapper (Alexandros Theodotou)
- vscode settings: set CPM cache dir (Alexandros Theodotou)
- README: simplify build instructions (Alexandros Theodotou)
- TempoMap: make sample rate parameter mandatory (Alexandros Theodotou)
- fix usage of z literal not available yet in some compilers (Alexandros Theodotou)
- fix build (Alexandros Theodotou)
- cmake: disable direct JACK support (Alexandros Theodotou)
- TempoMap: remove unnecessary overloads (Alexandros Theodotou)
- merge flags members in PortIdentifier into one type (Alexandros Theodotou)
- add AtomicPositionQmlAdapter class (Alexandros Theodotou)
- add AtomicPosition class to dsp module (Alexandros Theodotou)
- add TempoMap class (Alexandros Theodotou)
- remove unnecessary dependencies from ControlPort (Alexandros Theodotou)
- close audio device before closing the open project (Alexandros Theodotou)
- cleanup port API more (Alexandros Theodotou)
- clean up Port API (Alexandros Theodotou)
- add some docs to RealtimeUpdater related classes (Alexandros Theodotou)
- cmake: link to a dummy source file to fix error in some cmake versions (Alexandros Theodotou)
- ci: fix cpm cache path again (Alexandros Theodotou)
- ci: fix usage of env variables in variable values (Alexandros Theodotou)
- ci: enable cpm cache dir (Alexandros Theodotou)
- fix concurrency issue in MidiEvents (Alexandros Theodotou)
- start using RealtimeSanitizer (Alexandros Theodotou)
- clang-format with clang20 (Alexandros Theodotou)
- move processor port disconnect logic to Tracklist (Alexandros Theodotou)
- cmake: add support for realtime sanitizer (Alexandros Theodotou)
- remove unused api (Alexandros Theodotou)
- fix windows ci (Alexandros Theodotou)
- remove unused Port API (Alexandros Theodotou)
- fix unused lambda capture (Alexandros Theodotou)
- ci: run benchmarks (Alexandros Theodotou)
- fix benchmarks build (Alexandros Theodotou)
- add prepare_for_processing() and release_resources() to IProcessable (Alexandros Theodotou)
- remove IClonable, add UniqueQObjectPtr (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- delete just whereami and leave dirent (needed by plugins on windows) (Alexandros Theodotou)
- Revert "remove unused external projects" (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- don't make Greeter modal (Alexandros Theodotou)
- remove validate and active project checks (Alexandros Theodotou)
- remove unused file (Alexandros Theodotou)
- remove unused external projects (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- add UI options to show device manager (Alexandros Theodotou)
- cmake: use CPM more (Alexandros Theodotou)
- cmake: fix CPMFindPackage calls (Alexandros Theodotou)
- cmake: include missing CPM.cmake file (Alexandros Theodotou)
- add support for AudioWorkgroups on mac (Alexandros Theodotou)
- start using gsl-lite (Alexandros Theodotou)
- cmake: start using CPM (Alexandros Theodotou)
- switch to juce::AudioDeviceManager and drop support for hardware port connections (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- abstract audio/midi backend drivers into AudioDriver/MidiDriver (Alexandros Theodotou)
- fix compilation on mac (Alexandros Theodotou)
- fix compilation with clang (Alexandros Theodotou)
- fix plugin UIs on gnu/linux (Alexandros Theodotou)
- refactor some classes into structure and engine namespaces (Alexandros Theodotou)
- put graph-related classes under  namespace (Alexandros Theodotou)
- fix compilation (Alexandros Theodotou)
- move MidiEvent to dsp module (Alexandros Theodotou)
- drop yaml project compatibility code (Alexandros Theodotou)
- remove more dependencies from Port and MidiEventVector (Alexandros Theodotou)
- drop rtaudio/rtmidi/portaudio/pulseaudio/alsa backend support (Alexandros Theodotou)
- move port connection classes to dsp module (Alexandros Theodotou)
- remove some Port/Plugin dependencies (Alexandros Theodotou)
- remove more Plugin class dependencies (Alexandros Theodotou)
- use juce::ScopedJuceInitialiser_GUI instead of creating a juce ApplicationBase (Alexandros Theodotou)
- reduce Plugin class dependencies (Alexandros Theodotou)
- ZrythmApplication: fix icon path (unsure if used) (Alexandros Theodotou)
- include missing plugins.h PCH (Alexandros Theodotou)
- remove dependency on fftw (use dlopen at runtime) (Alexandros Theodotou)
- add pch for plugins lib (Alexandros Theodotou)
- refactor PluginSetting into PluginConfiguration (Alexandros Theodotou)
- fix AU scan (Alexandros Theodotou)
- PluginManager: add API to create plugin instances from descriptors (Alexandros Theodotou)
- cmake: fix mac build again (Alexandros Theodotou)
- cmake: fix build with AU on mac (Alexandros Theodotou)
- show scanned plugins in plugin list in right dock (Alexandros Theodotou)
- cmake: add missing Qt6Test DLL to windeployqt invocation (Alexandros Theodotou)
- refactor plugin scanning code & add test (Alexandros Theodotou)
- reword README a bit (Alexandros Theodotou)
- Revert "cpack: move hidden dirs out of the DMG view on mac" (Alexandros Theodotou)
- README: include build instructions & remove redundant pages (Alexandros Theodotou)
- drop unused po directory (Alexandros Theodotou)
- use LightweightSemaphore more (Alexandros Theodotou)
- cpack: move hidden dirs out of the DMG view on mac (Alexandros Theodotou)
- delete unused image (Alexandros Theodotou)
- cpack: fix DMG background image (Alexandros Theodotou)
- appscript: increase delays (Alexandros Theodotou)
- cmake: add background image to macos installer (Alexandros Theodotou)
- use lightweightsemaphore instead of std::counting_semaphore in graph (Alexandros Theodotou)
- reuse: no annotation required for bundled lv2 (Alexandros Theodotou)
- graph: remove trigger_queue_size_ causing race issues on windows (Alexandros Theodotou)
- cmake: make pkgconfig optional (Alexandros Theodotou)
- cmake: make imagemagick optional (Alexandros Theodotou)
- ci: don't add paths for now-bundled lv2 and boost (Alexandros Theodotou)
- bundle lv2 (Alexandros Theodotou)
- cmake: only link juce LTO flags if LTO enabled (Alexandros Theodotou)
- cmake: include Qt pdb's in debug version (Alexandros Theodotou)
- fix warning-as-error on appleclang on boost/describe (Alexandros Theodotou)
- ci: fix windows qt paths (Alexandros Theodotou)
- cmake: autofetch boost (Alexandros Theodotou)
- ci: attempt build with included runtime (Alexandros Theodotou)
- use fetchcontent for boost (Alexandros Theodotou)
- use custom size_t string literal (Alexandros Theodotou)
- cmake: windows build simplifications (Alexandros Theodotou)
- remove now-moved .ico file (Alexandros Theodotou)
- cmake: add icon to windows app (Alexandros Theodotou)
- cmake: install pdb files on msvc (Alexandros Theodotou)
- ci: fix notarization timeout command (Alexandros Theodotou)
- ci: only notarize .dmg (not .app) (Alexandros Theodotou)
- ci: codesign and notarize dmg, add notarization timeout (Alexandros Theodotou)
- cmake/macos: use entitlements when code signing (Alexandros Theodotou)
- cmake: fix math expression in apple app bundle icon generation (Alexandros Theodotou)
- fix various mac app bundle issues (Alexandros Theodotou)
- cpack: fix windows installer (Alexandros Theodotou)
- cmake: build fixes (Alexandros Theodotou)
- cmake/cpack: macos build fixes (Alexandros Theodotou)
- cmake: bump fmt and spdlog versions (Alexandros Theodotou)
- cmake: use custom plist on mac (Alexandros Theodotou)
- cmake: add COMMAND_ERROR_IS_FATAL to some execute_process calls (Alexandros Theodotou)
- cmake: include missing macos codesign scripts (Alexandros Theodotou)
- ci: codesign and notarize macos app bundle (Alexandros Theodotou)
- macdeployqt: enable codesigning (Alexandros Theodotou)
- cmake: remove more gpl-incompatible and unneeded windeployqt dependencies (Alexandros Theodotou)
- avoid fs::path::string() (Alexandros Theodotou)
- cmake: fix windows installer README path (Alexandros Theodotou)
- cmake: more windows installer improvements (Alexandros Theodotou)
- cmake: windows installer fixes (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate bmp file for windows installer (Alexandros Theodotou)
- cmake: fix magick discovery on windows (Alexandros Theodotou)
- cmake: add PATHS for rsvg-convert on mac (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate ico/icons for cpack (Alexandros Theodotou)
- cmake/macdeployqt: fix not using .app bundle name (Alexandros Theodotou)
- cpack/windows: remove vc_redist.x64.exe after running windeployqt (Alexandros Theodotou)
- cmake: don't use shallow clone for nlohmann json (Alexandros Theodotou)
- ci: force-update cache (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake/cpack: use windeployqt and macdeployqt (Alexandros Theodotou)
- cmake/cpack: comment out non-existing icons (Alexandros Theodotou)
- ci: merge build & package stages (Alexandros Theodotou)
- cmake: don't build appdata XML on non-GNU platforms (Alexandros Theodotou)
- cmake: add BUNDLE to zrythm install() (Alexandros Theodotou)
- cpack: don't pack fftw on windows/mac (Alexandros Theodotou)
- cmake: create Runtime component for CPack (Alexandros Theodotou)
- build: add packaging stage & use FetchContent for type_safe (Alexandros Theodotou)
- more ci/build fixes (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix ci build & update ubuntu20 dockerfile (Alexandros Theodotou)
- ci: restore requirements.txt versions but disable installation on ubuntu20 (Alexandros Theodotou)
- ci: disable user manual build on ubuntu20 (Alexandros Theodotou)
- requirements.txt: lower some python library dependency versions to build on ubuntu 20 (Alexandros Theodotou)
- add zrythm build instructions in Dockerfile (Alexandros Theodotou)
- ci: use ubuntu docker image for builds (Alexandros Theodotou)
- cmake: fix juce build (Alexandros Theodotou)
- cmake: link juce to system freetype2 (Alexandros Theodotou)
- cmake: link curl to juce_clap_hosting_lib too (Alexandros Theodotou)
- cmake: make libdw dependency optional (Alexandros Theodotou)
- use local http server for networking test (Alexandros Theodotou)
- fix user manual translation issues (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- submodule: update doxygen-awesome-css (Alexandros Theodotou)
- cmake: enable LTO and other optimizing link options (Alexandros Theodotou)
- fix more msvc/clang errors (Alexandros Theodotou)
- remove some unused variables (clang warnings) (Alexandros Theodotou)
- fix compilation error on clang (Alexandros Theodotou)
- replace usage of yyjson with nlohmann::json (Alexandros Theodotou)
- cmake: don't explicitly link to x11 (Alexandros Theodotou)
- ci: don't require update-manual job to update dev docs (Alexandros Theodotou)
- PeakDsp: disable edge cases test when building with -ffast-math (Alexandros Theodotou)
- cmake: force release build of curl (Alexandros Theodotou)
- fix handling of invalid values in PeakDsp (Alexandros Theodotou)
- wrap ZrythmException in namespace (Alexandros Theodotou)
- cmake/mbedtls: disable fatal warnings (Alexandros Theodotou)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- cmake: use FetchContent for curl dependency on gnu/linux (Alexandros Theodotou)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Japanese) (Y_NOIZ)
- Translated using Weblate (Russian) (AnanaSeek4Jam)
- Translated using Weblate (Chinese (Simplified Han script)) (alcoholicgirllover)
- Translated using Weblate (Japanese) (Haruki Shimauchi)
- Translated using Weblate (Chinese (Simplified Han script)) (王晨旭)
- Translated using Weblate (Chinese (Traditional Han script)) (hugoalh)
- Translated using Weblate (Turkish) (Burak Hüseyin Ekseli)
- Translated using Weblate (German) (Kai A)
- Translated using Weblate (Russian) (Victor Gridnevsky)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (French) (AlexC)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Serbian) (Anonymous)
- Translated using Weblate (Ukrainian) (Максим Горпиніч)
- Translated using Weblate (Italian) (Marco Ciampa)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (Ettore Atalan)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Translated using Weblate (Spanish) (gallegonovato)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (French) (Max)
- Translated using Weblate (Catalan) (Maite Guix)
- fix missing include (Alexandros Theodotou)
- disable chromaprint again (Alexandros Theodotou)
- disable chromaprint dependency for now (Alexandros Theodotou)
- qml: fix various issues reported by qmllint (Alexandros Theodotou)
- switch to Noto fonts for everything (Alexandros Theodotou)
- ci: fix build environment (disable gtk in qt build) (Alexandros Theodotou)
- move Track destructor to .cpp file to fix too many inlines error in gcc (Alexandros Theodotou)
- ci: remove /verbose link mode on msvc (Alexandros Theodotou)
- ci: manually discard verbose msvc linker output (Alexandros Theodotou)
- attempt to make msbuild linker less verbose (Alexandros Theodotou)
- ci: fix windows ctest invocation (Alexandros Theodotou)
- cmake: use gtest_add_tests() instead of gtest_discover_tests() on windows (Alexandros Theodotou)
- cmake: prevent in-source builds (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- cmake: simplify sanitizers section (Alexandros Theodotou)
- fix windows build error (Alexandros Theodotou)
- ci: add build command in clazy step (Alexandros Theodotou)
- fix windows build again (Alexandros Theodotou)
- ci: add clazy step (Alexandros Theodotou)
- utils/io.h: fix windows-only code (Alexandros Theodotou)
- fix deleted function implementation (Alexandros Theodotou)
- add custom String class to handle UTF8 strings (Alexandros Theodotou)
- enable unity builds in more places (Alexandros Theodotou)
- cmake: don't link to DbgHelp explicitly (backwardcpp uses pragma to link to it) (Alexandros Theodotou)
- ci: fix powershell command (Alexandros Theodotou)
- ci: fix executable path passed to windeployqt (Alexandros Theodotou)
- ci: use less verbose msbuild options (Alexandros Theodotou)
- ci: remove unsupported 1-to-1 mapping for configure and build (Alexandros Theodotou)
- enable unity builds for dsp/utils libs (Alexandros Theodotou)
- ci: drop --verbose from windows build (Alexandros Theodotou)
- increase tolerance on MonotonicTimeProviderTest::TimeConversion (Alexandros Theodotou)
- cmake: turn off automoc for test LV2 plugins (Alexandros Theodotou)
- ci: only depend on corresponding Debug/Release configuration job (Alexandros Theodotou)
- fix compilation error on mac/release (Alexandros Theodotou)
- ci: fix powershell syntax error (Alexandros Theodotou)
- ci: fix windows syntax (Alexandros Theodotou)
- ci: fix syntax (Alexandros Theodotou)
- ci: use parallel matrix for Debug/Release builds (Alexandros Theodotou)
- add qurl to qstring converter (Alexandros Theodotou)
- use custom string conversion api (Alexandros Theodotou)
- various build adjustments (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- ci: run windeployqt after build (Alexandros Theodotou)
- add missing qml file (Alexandros Theodotou)
- use custom conversion functions for QString <=> fs::path (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix windows build (Alexandros Theodotou)
- fix missing include in views.h (Alexandros Theodotou)
- fix build without pch (Alexandros Theodotou)
- ci: disable precompiled headers on windows (Alexandros Theodotou)
- ci: try to update cache (Alexandros Theodotou)
- attempt to fix linking to debug runtime lib (Alexandros Theodotou)
- fix unused include in engine main.cpp (Alexandros Theodotou)
- add missing CTestCustom file (Alexandros Theodotou)
- fix some more CI/build issues (Alexandros Theodotou)
- fix CI build issues (Alexandros Theodotou)
- simplify ProjectManager thread handling (Alexandros Theodotou)
- use standard c++ instead of QFuture (fails to link on msvc) (Alexandros Theodotou)
- use fs::path more (Alexandros Theodotou)
- cmake: fix ctest (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix some msvc issues (Alexandros Theodotou)
- ci: fix PATH on macos (Alexandros Theodotou)
- fix various msvc issues (Alexandros Theodotou)
- UuidIdentifiableObjectView: use CRTP optionally on iterator class (Alexandros Theodotou)
- simplify UuidIdentifiableObject spans (Alexandros Theodotou)
- cmake: improve mac build (Alexandros Theodotou)
- macos fixes (Alexandros Theodotou)
- cmake: declare fftw twice for float/double (Alexandros Theodotou)
- run clang-format (Alexandros Theodotou)
- fix some build issues, add alternative views::enumerate (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- ci: fix artifacts exclusion dir (Alexandros Theodotou)
- GraphScheduler: fallback to non-realtime thread (Alexandros Theodotou)
- cmake: fix soxr header not found (Alexandros Theodotou)
- cmake: attempt to fix macos again (Alexandros Theodotou)
- cmake: use CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS (Alexandros Theodotou)
- cmake: add global -Wno-documentation flag (Alexandros Theodotou)
- cmake: set higher default policy (Alexandros Theodotou)
- cmake: use system lv2 (Alexandros Theodotou)
- cmake: refactor and disable -Wdocumentation for yyjson (Alexandros Theodotou)
- cmake: disable rtmidi support (Alexandros Theodotou)
- cmake: use fetch-content for gtest/gbenchmark (Alexandros Theodotou)
- cmake: fix gtest linking (Alexandros Theodotou)
- cmake: use fetchcontent for gtest (Alexandros Theodotou)
- cmake:use non-config boost on mac (Alexandros Theodotou)
- cmake: disable tests for fftw (Alexandros Theodotou)
- ci: specify boost root on mac (Alexandros Theodotou)
- bundle rubberband (Alexandros Theodotou)
- cmake: temporarily drop lilv dependency (Alexandros Theodotou)
- cmake: use fetch-content more (Alexandros Theodotou)
- cmake: use fetch content on some dependencies instead of system (Alexandros Theodotou)
- ci: use FETCHCONTENT_TRY_FIND_PACKAGE_MODE=NEVER (Alexandros Theodotou)
- ci: attempt to fix manpage generation (Alexandros Theodotou)
- cmake: disable unused tests (Alexandros Theodotou)
- refactor: avoid use of sprintf (Alexandros Theodotou)
- add missing crill CMakeLists.txt (Alexandros Theodotou)
- fix juce build, clean up more compiler warnings/errors (Alexandros Theodotou)
- various msvc fixes (Alexandros Theodotou)
- cmake: fix JUCE clap hosting issue (Alexandros Theodotou)
- Revert "more cmake refactoring for spdlog" (Alexandros Theodotou)
- more cmake refactoring for spdlog (Alexandros Theodotou)
- various build fixes & refactoring of finding JACK (Alexandros Theodotou)
- windows fixes (Alexandros Theodotou)
- attempt to fix juce-related build issues (Alexandros Theodotou)
- fix inclusion of deleted header (Alexandros Theodotou)
- fix some msvc errors (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- drop ISerializableBase and minor changes to build on g++ (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- more ci fixes (Alexandros Theodotou)
- fix various build issues on gcc/appleclang/msvc (Alexandros Theodotou)
- various fixes for ci (Alexandros Theodotou)
- ci: revert to using artifacts (Alexandros Theodotou)
- ci: remove invalid yaml key (Alexandros Theodotou)
- ci: use cache instead of artifacts for passing job results forward (Alexandros Theodotou)
- ci: add more exclusions for artifacts (Alexandros Theodotou)
- ci: exclude .git directories from artifacts (Alexandros Theodotou)
- ci: bump cache ID (Alexandros Theodotou)
- cmake: disable translations on xcode (Alexandros Theodotou)
- ci: attempt to fix xcode + qt_add_translations (Alexandros Theodotou)
- cmake: fix forcing cyaml dependency even when option is off (Alexandros Theodotou)
- cmake: attempt to fix macos bundle-related errors (Alexandros Theodotou)
- ci: fix CMAKE_PREFIX_PATH option on mac (Alexandros Theodotou)
- cmake: disable YAML project compatibility by default (Alexandros Theodotou)
- ci: disable old cyaml-based project compatibility (Alexandros Theodotou)
- fix type_safe CMakeLists.txt error with cmake 4 (Alexandros Theodotou)
- cmake: make Gettext optional (Alexandros Theodotou)
- requirements.txt: upgrade cmake (Alexandros Theodotou)
- add boost::describe support, start fixing CI (Alexandros Theodotou)
- build: detect CCache automatically (Alexandros Theodotou)
- fix remaining missing licenses (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- remove `init_loaded()` from ArrangerObject (Alexandros Theodotou)
- more ArrangerObject class cleanup (Alexandros Theodotou)
- ci: disable github actions jobs (Alexandros Theodotou)
- reuse: add some missing licenses (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- use strong types for frames <=> ticks multipliers (Alexandros Theodotou)
- cleanup/clarify some ArrangerObject API (Alexandros Theodotou)
- remove `print_to_str()` API from ArrangerObject (Alexandros Theodotou)
- add ArrangerObjectOwner/ListModel, drop RegionOwner/List (Alexandros Theodotou)
- reduce external dependencies for AudioPool (Alexandros Theodotou)
- add ArrangerObjectSelectionManager for handling object selections (Alexandros Theodotou)
- make TrackSelectionManager generic for all UuidIdentifiableObjects (Alexandros Theodotou)
- track Track selections at Tracklist (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- simplify API for removing tracks and plugins (Alexandros Theodotou)
- add TrackFactory (still incomplete, TODO) (Alexandros Theodotou)
- use reference counting for UUID-identified objects (Alexandros Theodotou)
- drop PluginIdentifier and fix a memory leak in ISerializable (Alexandros Theodotou)
- use factory pattern for arranger objects and remove RegionIdentifier (Alexandros Theodotou)
- qml: edit PianoRollKeys appearance (Alexandros Theodotou)
- qml: add piano roll keys element (Alexandros Theodotou)
- qml: fix loader condition for clip editor grid (Alexandros Theodotou)
- qml: update clip editor based on selected region (Alexandros Theodotou)
- fix track names and region creation (Alexandros Theodotou)
- use c++ attributes instead of macros (Alexandros Theodotou)
- fix incorrect use of std::views::iota (Alexandros Theodotou)
- BottmDock QML: create basic structure for editor components (Alexandros Theodotou)
- vscode settings: use ccache (Alexandros Theodotou)
- PlaceholderPage.qml: make image color follow style (Alexandros Theodotou)
- QML: start adding editor UI parts (Alexandros Theodotou)
- replace arranger selections with ArrangerObjectSpan (Alexandros Theodotou)
- add UUID-based registry system (initial implementation) (Alexandros Theodotou)
- add UuidIdentifiableObject class (Alexandros Theodotou)
- Port: generalize PortOwner into new interface (Alexandros Theodotou)
- refactor finding ports from PortIdentifier to a Project method (Alexandros Theodotou)
- very minor performance improvements in graph scheduling (Alexandros Theodotou)
- cleanup graph API & add tests/benchmarks (Alexandros Theodotou)
- split graph scheduling logic from Graph (Alexandros Theodotou)
- clean up GraphBuilder API (Alexandros Theodotou)
- split graph building logic to separate class (Alexandros Theodotou)
- use IProcessable interface to reduce Graph dependencies (Alexandros Theodotou)
- refactor port backend logic to new interface (Alexandros Theodotou)
- refactor balance control calculation to be part of "panning" (Alexandros Theodotou)
- decouple GraphNode and move to DSP module (Alexandros Theodotou)
- GraphNode: make Transport dependency explicit (Alexandros Theodotou)
- move ChordDescriptor and MusicalScale to DSP module (Alexandros Theodotou)
- refactor AudioClip to remove dependencies (Alexandros Theodotou)
- add missing CurvePreset code (Alexandros Theodotou)
- refactor AudioClip, make API simpler (Alexandros Theodotou)
- cmake: rename zrythm_lib to zrythm_gui_lib (Alexandros Theodotou)
- clangd: lower error limit (Alexandros Theodotou)
- move ditherer and curve to DSP module (Alexandros Theodotou)
- move stretcher to DSP module (Alexandros Theodotou)
- remove some unused meson.build files (Alexandros Theodotou)
- refactor: move meter DSP logic to DSP module (Alexandros Theodotou)
- move port identifier and plugin identifier to dsp module (Alexandros Theodotou)
- refactoring: create separate utils and dsp modules (Alexandros Theodotou)
- cleanup some old localization files (Alexandros Theodotou)
- port translations from gettext (Alexandros Theodotou)
- undo/redo support, arranger cursors, toolbox (Alexandros Theodotou)
- add more arranger functionality (create MIDI regions) (Alexandros Theodotou)
- drop glib, show arranger objects in timeline, etc. (Alexandros Theodotou)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (nilsholle)
- Translated using Weblate (Portuguese) (ssantos)
- Translated using Weblate (Catalan) (Maite Guix)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (Norwegian Bokmål) (Allan Nordhøy)
- Translated using Weblate (Macedonian) (AND)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (Polish) (Prefex)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Added translation using Weblate (Tamil) (Languages add-on)
- Translated using Weblate (Polish) (Krylan)
- Translated using Weblate (Russian) (John Johnson)
- Translated using Weblate (Chinese (Traditional)) (hugoalh)
- Translated using Weblate (Italian) (GB)
- Translated using Weblate (Russian) (Evgeniy Khramov)
- Translated using Weblate (Russian) (Kirill Plotnikov)
- add meters (Alexandros Theodotou)
- qml: add automation tracks to track view (Alexandros Theodotou)
- qml: implement track lanes support (Alexandros Theodotou)
- update INSTALL/README (Alexandros Theodotou)
- fix linking issue with dsp utils (Alexandros Theodotou)
- make position updates rt-safe, drop lsp-dsp dependency (Alexandros Theodotou)
- implement basic ruler (Alexandros Theodotou)
- connect up the engine (in-process for now, as before) (Alexandros Theodotou)
- qml: add transport controls (Alexandros Theodotou)
- qml: tracklist showing (Alexandros Theodotou)
- gui: add dark/light mode switch and theme color selection (Alexandros Theodotou)
- qml: add more styled widgets, improve existing (Alexandros Theodotou)
- qml: create custom Zrythm style (Alexandros Theodotou)
- qml: restructure code (Alexandros Theodotou)
- add tabbar/tabbutton, require qt 6.8 (Alexandros Theodotou)
- edit toolbuttons a bit (Alexandros Theodotou)
- add text toolbar elements (Alexandros Theodotou)
- add arranger (wip), custom menus (Alexandros Theodotou)
- add basic layout (Alexandros Theodotou)
- cmake refactor (move QML executable to src/gui) (Alexandros Theodotou)
- add custom menubar and toolbutton (Alexandros Theodotou)
- allow creating new project without template (Alexandros Theodotou)
- greeter: add dummy project loading logic (Alexandros Theodotou)
- README: mention that this is the qt branch (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- juce: disable version printing (Alexandros Theodotou)
- qml/backend: add project management-related logic (Alexandros Theodotou)
- plugin scanner: allow scanning directly from cmd line (Alexandros Theodotou)
- plugin scanning: use paths/save/restore known plugins (Alexandros Theodotou)
- qml: rename greeter to Greeter (Alexandros Theodotou)
- drop gtk dependency (Alexandros Theodotou)
- requirements.txt: add cmake-format (Alexandros Theodotou)
- plugin scanning for LV2/LADSPA/VST3/CLAP (Alexandros Theodotou)
- plugin scan working (other than LV2) (Alexandros Theodotou)
- vscode: add qt-specific pre-instructions to cody (Alexandros Theodotou)
- fix clang-format qt header handling (Alexandros Theodotou)
- expose global state to QML (Alexandros Theodotou)
- add namespace for plugin-related classes (Alexandros Theodotou)
- merge gui/glue and gui/backend to just backend (Alexandros Theodotou)
- fix licensing issues (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- start using namespaces (Alexandros Theodotou)
- reorganize source files (Alexandros Theodotou)
- re-organize old gui-related code (Alexandros Theodotou)
- clean up, re-organize, remove some meson related files (Alexandros Theodotou)
- reorganize code a bit (Alexandros Theodotou)
- zrythm application: optionally read env variable for engine path (Alexandros Theodotou)
- qml: add custom progress bar, fixup greeter progress page (Alexandros Theodotou)
- qml: fixup preferences page, add filepicker (Alexandros Theodotou)
- qml: include missing svg for up-down chevrons (Alexandros Theodotou)
- qml: don't use versions in imports (Alexandros Theodotou)
- qml: add custom combo box (Alexandros Theodotou)
- dont look for kddockwidgets or kirigami (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- cmake: add debug prints before running help2man (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- Revert "cmake: use static vamp on msys2/mingw" (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: use static vamp on msys2/mingw (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- don't use qt_add_resources (discouraged by qt devs) (Alexandros Theodotou)
- remove kirigami, use basic style with customized widgets (Alexandros Theodotou)
- almost done with first run carousel (Alexandros Theodotou)
- add qsettings manager (Alexandros Theodotou)
- move engine to separate process (Alexandros Theodotou)
- add basic qt main window (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- start using gtkmm, add more compile-time checks (Alexandros Theodotou)
- build fixes for windows (Alexandros Theodotou)
- cmake: build fixes for macos (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- fix optimization flag mismatch on msvc (Alexandros Theodotou)
- add user manual (WIP builds but no localization) (Alexandros Theodotou)
- ci: fix build-time errors (Alexandros Theodotou)
- cmake: use fetch-content to mimic meson subprojects (Alexandros Theodotou)
- port to cmake (Alexandros Theodotou)
- fix more msvc compilation errors (Alexandros Theodotou)
- replace zita resampler with cpp version (Alexandros Theodotou)
- rename function attributes to avoid clash with msvc (Alexandros Theodotou)
- disable strict strings (Alexandros Theodotou)
- ci: attempt to fix builtin plugins errors (Alexandros Theodotou)
- add dirent (Alexandros Theodotou)
- build: attempt to fix lilv (Alexandros Theodotou)
- use gtest (Alexandros Theodotou)
- fix build issues (Alexandros Theodotou)
- whereami: update (Alexandros Theodotou)
- ci: cache per runner (Alexandros Theodotou)
- tests: don't use ubsan on msvc (Alexandros Theodotou)
- gen-translators-list: ensure input/output is utf8 (Alexandros Theodotou)
- ci: remove cleanup section (Alexandros Theodotou)
- drop appstream dependency from libadwaita (Alexandros Theodotou)
- drop gtksourceview dependency (Alexandros Theodotou)
- ci: fix windows (Alexandros Theodotou)
- ci: don't build manpage on windows (Alexandros Theodotou)
- drop guile dependency (Alexandros Theodotou)
- drop sed dependency, move a bash script to python (Alexandros Theodotou)
- drop direct libcurl usage (Alexandros Theodotou)
- ci: add windows (Alexandros Theodotou)
- dont use jthreads (not available on mac) (Alexandros Theodotou)
- ci: try to build mac (Alexandros Theodotou)
- requirements: add cmake (Alexandros Theodotou)
- bump python requirements and remove some unnecessary inlines (Alexandros Theodotou)
- ci: enable mac builder (Alexandros Theodotou)
- fix more issues (Alexandros Theodotou)
- ci: use benchmark (Alexandros Theodotou)
- use init_loaded_base on arranger objects (Alexandros Theodotou)
- replace backtrace getter, remove pcre2 (Alexandros Theodotou)
- make benchmarks work again, use gbenchmark, more fixes (Alexandros Theodotou)
- fix engine ticks/frame calculation (Alexandros Theodotou)
- various fixes (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- clang-tidy: add more checks (Alexandros Theodotou)
- fix more issues, 1 more test pass (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- organize code and fix some more issues (Alexandros Theodotou)
- some runtime fixes, various other fixes (Alexandros Theodotou)
- fix compilation of tests and build without lsp (Alexandros Theodotou)
- fix more issues, more tests pass (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- fix various issues (Alexandros Theodotou)
- use factory pattern for tracks (Alexandros Theodotou)
- fix more issues, now can generate the processing graph (Alexandros Theodotou)
- fix various issues - test now can add a couple of tracks (Alexandros Theodotou)
- fix licensing issues, upgrade to reuse TOML (Alexandros Theodotou)
- fix logger, fix more tests (Alexandros Theodotou)
- fix compilation with gcc, fix doctest issues (Alexandros Theodotou)
- port to C++20 (WIP) (Alexandros Theodotou)
- ci: don't build with ASAN (Alexandros Theodotou)
- port gen-appdata-xml to python and update project description (Alexandros Theodotou)
- refactor, port various components to C++ classes (Alexandros Theodotou)
- make ZrythmDirectoryManager a singleton (Alexandros Theodotou)
- meson: disable -fanalyzer (too many false positives) (Alexandros Theodotou)
- shorten ZrythmDirType enum value names (Alexandros Theodotou)
- disable the audio engine for a test that doesn't need it (Alexandros Theodotou)
- add option to build tests statically (Alexandros Theodotou)
- tracklist: convert tracks array to vector (Alexandros Theodotou)
- refactor ProgressInfo (Alexandros Theodotou)
- attempt to deactivate engine before freeing gZrythm (Alexandros Theodotou)
- add missing license (Alexandros Theodotou)
- minor refactoring (Alexandros Theodotou)
- editor files (Alexandros Theodotou)
- fix typo (Alexandros Theodotou)
- port Port to C++ idioms (Alexandros Theodotou)
- port Channel functions to member methods (Alexandros Theodotou)
- refactor Port (WIP) (Alexandros Theodotou)
- refactor CarlaBridgeMode (Alexandros Theodotou)
- add vscode configs (Alexandros Theodotou)
- fix some memory leaks now that PortIdentifier is allocated with `new` (Alexandros Theodotou)
- port PortIdentifier to c++, some more refactoring (Alexandros Theodotou)
- add missing JUCE dependencies on windows (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- fix another windows build error (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- fix more windows build issues (Alexandros Theodotou)
- attempt to use shared lib for tests in CI (Alexandros Theodotou)
- windows fix (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes, refactoring (Alexandros Theodotou)
- more fixes, refactoring (Alexandros Theodotou)
- fix compilation on windows (Alexandros Theodotou)
- ci: use magic_enum from distro (Alexandros Theodotou)
- precompile windows.h on windows (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- macos fixes and pch improvements (alex)
- more refactoring, mac/windows fixes (Alexandros Theodotou)
- meson: set default backend_max_links=1 (Alexandros Theodotou)
- fix windows build, revert to using _WIN32 (Alexandros Theodotou)
- remove PURE from functions (windows build fails) (Alexandros Theodotou)
- meson: remove unused pcre subproject (Alexandros Theodotou)
- fix build on mac (Alexandros Theodotou)
- refactoring, cleanup (Alexandros Theodotou)
- clang-format: rearrange headers (Alexandros Theodotou)
- build: fix unused variable error (Alexandros Theodotou)
- juce: add -fpermissive flag on windows (Alexandros Theodotou)
- meson: add more optimization flags (Alexandros Theodotou)
- add missing appleframeworks to build juce on mac (Alexandros Theodotou)
- rename kissfft in qm-dsp to avoid conflicts (Alexandros Theodotou)
- avoid passing initializer as reference (Alexandros Theodotou)
- remove some usage of Z_GRAPHENE_*_INIT (Alexandros Theodotou)
- start using JUCE core for StringArray (Alexandros Theodotou)
- cleanup compilation flags, fix some apple clang errors (Alexandros Theodotou)
- plugin manager: add AU detection (Alexandros Theodotou)
- convert Zrythm struct to C++ class (Alexandros Theodotou)
- clang-format: add option pending clang 18 (Alexandros Theodotou)
- meson: use cpp as main compiler (Alexandros Theodotou)
- ci: cache more subprojects (Alexandros Theodotou)
- fix error: taking address of temporary array (Alexandros Theodotou)
- add missing copyright (Alexandros Theodotou)
- fix CI (force fallback for magic enum and enable cyaml) (Alexandros Theodotou)
- port to C++ (Alexandros Theodotou)
- fix strict build (Alexandros Theodotou)
- meson: require at least 1.3.0 (Alexandros Theodotou)
- appdata: add branding colors and vcs url (Alexandros Theodotou)
- use glib-mkenums more (Alexandros Theodotou)
- add some more error checking for plugin protocol (Alexandros Theodotou)
- noop: formatting (Alexandros Theodotou)
- stop using some deprecated gtk API (Alexandros Theodotou)
- build: make cyaml dependency optional (Alexandros Theodotou)
- port plugin settings/cached plugins/plugin collections to JSON (Alexandros Theodotou)

* Tue Jun 24 2025 filippor <filippo.rossoni@gmail.com> - v1.0.0-1.20250624204329134731.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac
- add fedora build (filippor)
- match arranger grid lines to ruler (Alexandros Theodotou)
- qml: extract PlayheadTriangle to separate file (Alexandros Theodotou)
- simplify & optimize Ruler.qml (Alexandros Theodotou)
- fix clang release build (Alexandros Theodotou)
- speed up compilation times with better PCH for gui lib and zrythm exe (Alexandros Theodotou)
- add missing file (Alexandros Theodotou)
- start using new tempo map in QML (Alexandros Theodotou)
- cmake: disable warnings on unknown attributes and errors on deprecated method usage (Alexandros Theodotou)
- clang-tidy: add more warnings-as-errors (Alexandros Theodotou)
- add new Playhead type (not used in project yet) (Alexandros Theodotou)
- use snake_case for methods in TempoMap (Alexandros Theodotou)
- remove TempoTrack (Alexandros Theodotou)
- start using TempoMap via TempoMapWrapper (Alexandros Theodotou)
- vscode settings: set CPM cache dir (Alexandros Theodotou)
- README: simplify build instructions (Alexandros Theodotou)
- TempoMap: make sample rate parameter mandatory (Alexandros Theodotou)
- fix usage of z literal not available yet in some compilers (Alexandros Theodotou)
- fix build (Alexandros Theodotou)
- cmake: disable direct JACK support (Alexandros Theodotou)
- TempoMap: remove unnecessary overloads (Alexandros Theodotou)
- merge flags members in PortIdentifier into one type (Alexandros Theodotou)
- add AtomicPositionQmlAdapter class (Alexandros Theodotou)
- add AtomicPosition class to dsp module (Alexandros Theodotou)
- add TempoMap class (Alexandros Theodotou)
- remove unnecessary dependencies from ControlPort (Alexandros Theodotou)
- close audio device before closing the open project (Alexandros Theodotou)
- cleanup port API more (Alexandros Theodotou)
- clean up Port API (Alexandros Theodotou)
- add some docs to RealtimeUpdater related classes (Alexandros Theodotou)
- cmake: link to a dummy source file to fix error in some cmake versions (Alexandros Theodotou)
- ci: fix cpm cache path again (Alexandros Theodotou)
- ci: fix usage of env variables in variable values (Alexandros Theodotou)
- ci: enable cpm cache dir (Alexandros Theodotou)
- fix concurrency issue in MidiEvents (Alexandros Theodotou)
- start using RealtimeSanitizer (Alexandros Theodotou)
- clang-format with clang20 (Alexandros Theodotou)
- move processor port disconnect logic to Tracklist (Alexandros Theodotou)
- cmake: add support for realtime sanitizer (Alexandros Theodotou)
- remove unused api (Alexandros Theodotou)
- fix windows ci (Alexandros Theodotou)
- remove unused Port API (Alexandros Theodotou)
- fix unused lambda capture (Alexandros Theodotou)
- ci: run benchmarks (Alexandros Theodotou)
- fix benchmarks build (Alexandros Theodotou)
- add prepare_for_processing() and release_resources() to IProcessable (Alexandros Theodotou)
- remove IClonable, add UniqueQObjectPtr (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- delete just whereami and leave dirent (needed by plugins on windows) (Alexandros Theodotou)
- Revert "remove unused external projects" (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- don't make Greeter modal (Alexandros Theodotou)
- remove validate and active project checks (Alexandros Theodotou)
- remove unused file (Alexandros Theodotou)
- remove unused external projects (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- add UI options to show device manager (Alexandros Theodotou)
- cmake: use CPM more (Alexandros Theodotou)
- cmake: fix CPMFindPackage calls (Alexandros Theodotou)
- cmake: include missing CPM.cmake file (Alexandros Theodotou)
- add support for AudioWorkgroups on mac (Alexandros Theodotou)
- start using gsl-lite (Alexandros Theodotou)
- cmake: start using CPM (Alexandros Theodotou)
- switch to juce::AudioDeviceManager and drop support for hardware port connections (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- abstract audio/midi backend drivers into AudioDriver/MidiDriver (Alexandros Theodotou)
- fix compilation on mac (Alexandros Theodotou)
- fix compilation with clang (Alexandros Theodotou)
- fix plugin UIs on gnu/linux (Alexandros Theodotou)
- refactor some classes into structure and engine namespaces (Alexandros Theodotou)
- put graph-related classes under  namespace (Alexandros Theodotou)
- fix compilation (Alexandros Theodotou)
- move MidiEvent to dsp module (Alexandros Theodotou)
- drop yaml project compatibility code (Alexandros Theodotou)
- remove more dependencies from Port and MidiEventVector (Alexandros Theodotou)
- drop rtaudio/rtmidi/portaudio/pulseaudio/alsa backend support (Alexandros Theodotou)
- move port connection classes to dsp module (Alexandros Theodotou)
- remove some Port/Plugin dependencies (Alexandros Theodotou)
- remove more Plugin class dependencies (Alexandros Theodotou)
- use juce::ScopedJuceInitialiser_GUI instead of creating a juce ApplicationBase (Alexandros Theodotou)
- reduce Plugin class dependencies (Alexandros Theodotou)
- ZrythmApplication: fix icon path (unsure if used) (Alexandros Theodotou)
- include missing plugins.h PCH (Alexandros Theodotou)
- remove dependency on fftw (use dlopen at runtime) (Alexandros Theodotou)
- add pch for plugins lib (Alexandros Theodotou)
- refactor PluginSetting into PluginConfiguration (Alexandros Theodotou)
- fix AU scan (Alexandros Theodotou)
- PluginManager: add API to create plugin instances from descriptors (Alexandros Theodotou)
- cmake: fix mac build again (Alexandros Theodotou)
- cmake: fix build with AU on mac (Alexandros Theodotou)
- show scanned plugins in plugin list in right dock (Alexandros Theodotou)
- cmake: add missing Qt6Test DLL to windeployqt invocation (Alexandros Theodotou)
- refactor plugin scanning code & add test (Alexandros Theodotou)
- reword README a bit (Alexandros Theodotou)
- Revert "cpack: move hidden dirs out of the DMG view on mac" (Alexandros Theodotou)
- README: include build instructions & remove redundant pages (Alexandros Theodotou)
- drop unused po directory (Alexandros Theodotou)
- use LightweightSemaphore more (Alexandros Theodotou)
- cpack: move hidden dirs out of the DMG view on mac (Alexandros Theodotou)
- delete unused image (Alexandros Theodotou)
- cpack: fix DMG background image (Alexandros Theodotou)
- appscript: increase delays (Alexandros Theodotou)
- cmake: add background image to macos installer (Alexandros Theodotou)
- use lightweightsemaphore instead of std::counting_semaphore in graph (Alexandros Theodotou)
- reuse: no annotation required for bundled lv2 (Alexandros Theodotou)
- graph: remove trigger_queue_size_ causing race issues on windows (Alexandros Theodotou)
- cmake: make pkgconfig optional (Alexandros Theodotou)
- cmake: make imagemagick optional (Alexandros Theodotou)
- ci: don't add paths for now-bundled lv2 and boost (Alexandros Theodotou)
- bundle lv2 (Alexandros Theodotou)
- cmake: only link juce LTO flags if LTO enabled (Alexandros Theodotou)
- cmake: include Qt pdb's in debug version (Alexandros Theodotou)
- fix warning-as-error on appleclang on boost/describe (Alexandros Theodotou)
- ci: fix windows qt paths (Alexandros Theodotou)
- cmake: autofetch boost (Alexandros Theodotou)
- ci: attempt build with included runtime (Alexandros Theodotou)
- use fetchcontent for boost (Alexandros Theodotou)
- use custom size_t string literal (Alexandros Theodotou)
- cmake: windows build simplifications (Alexandros Theodotou)
- remove now-moved .ico file (Alexandros Theodotou)
- cmake: add icon to windows app (Alexandros Theodotou)
- cmake: install pdb files on msvc (Alexandros Theodotou)
- ci: fix notarization timeout command (Alexandros Theodotou)
- ci: only notarize .dmg (not .app) (Alexandros Theodotou)
- ci: codesign and notarize dmg, add notarization timeout (Alexandros Theodotou)
- cmake/macos: use entitlements when code signing (Alexandros Theodotou)
- cmake: fix math expression in apple app bundle icon generation (Alexandros Theodotou)
- fix various mac app bundle issues (Alexandros Theodotou)
- cpack: fix windows installer (Alexandros Theodotou)
- cmake: build fixes (Alexandros Theodotou)
- cmake/cpack: macos build fixes (Alexandros Theodotou)
- cmake: bump fmt and spdlog versions (Alexandros Theodotou)
- cmake: use custom plist on mac (Alexandros Theodotou)
- cmake: add COMMAND_ERROR_IS_FATAL to some execute_process calls (Alexandros Theodotou)
- cmake: include missing macos codesign scripts (Alexandros Theodotou)
- ci: codesign and notarize macos app bundle (Alexandros Theodotou)
- macdeployqt: enable codesigning (Alexandros Theodotou)
- cmake: remove more gpl-incompatible and unneeded windeployqt dependencies (Alexandros Theodotou)
- avoid fs::path::string() (Alexandros Theodotou)
- cmake: fix windows installer README path (Alexandros Theodotou)
- cmake: more windows installer improvements (Alexandros Theodotou)
- cmake: windows installer fixes (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate bmp file for windows installer (Alexandros Theodotou)
- cmake: fix magick discovery on windows (Alexandros Theodotou)
- cmake: add PATHS for rsvg-convert on mac (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate ico/icons for cpack (Alexandros Theodotou)
- cmake/macdeployqt: fix not using .app bundle name (Alexandros Theodotou)
- cpack/windows: remove vc_redist.x64.exe after running windeployqt (Alexandros Theodotou)
- cmake: don't use shallow clone for nlohmann json (Alexandros Theodotou)
- ci: force-update cache (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake/cpack: use windeployqt and macdeployqt (Alexandros Theodotou)
- cmake/cpack: comment out non-existing icons (Alexandros Theodotou)
- ci: merge build & package stages (Alexandros Theodotou)
- cmake: don't build appdata XML on non-GNU platforms (Alexandros Theodotou)
- cmake: add BUNDLE to zrythm install() (Alexandros Theodotou)
- cpack: don't pack fftw on windows/mac (Alexandros Theodotou)
- cmake: create Runtime component for CPack (Alexandros Theodotou)
- build: add packaging stage & use FetchContent for type_safe (Alexandros Theodotou)
- more ci/build fixes (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix ci build & update ubuntu20 dockerfile (Alexandros Theodotou)
- ci: restore requirements.txt versions but disable installation on ubuntu20 (Alexandros Theodotou)
- ci: disable user manual build on ubuntu20 (Alexandros Theodotou)
- requirements.txt: lower some python library dependency versions to build on ubuntu 20 (Alexandros Theodotou)
- add zrythm build instructions in Dockerfile (Alexandros Theodotou)
- ci: use ubuntu docker image for builds (Alexandros Theodotou)
- cmake: fix juce build (Alexandros Theodotou)
- cmake: link juce to system freetype2 (Alexandros Theodotou)
- cmake: link curl to juce_clap_hosting_lib too (Alexandros Theodotou)
- cmake: make libdw dependency optional (Alexandros Theodotou)
- use local http server for networking test (Alexandros Theodotou)
- fix user manual translation issues (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- submodule: update doxygen-awesome-css (Alexandros Theodotou)
- cmake: enable LTO and other optimizing link options (Alexandros Theodotou)
- fix more msvc/clang errors (Alexandros Theodotou)
- remove some unused variables (clang warnings) (Alexandros Theodotou)
- fix compilation error on clang (Alexandros Theodotou)
- replace usage of yyjson with nlohmann::json (Alexandros Theodotou)
- cmake: don't explicitly link to x11 (Alexandros Theodotou)
- ci: don't require update-manual job to update dev docs (Alexandros Theodotou)
- PeakDsp: disable edge cases test when building with -ffast-math (Alexandros Theodotou)
- cmake: force release build of curl (Alexandros Theodotou)
- fix handling of invalid values in PeakDsp (Alexandros Theodotou)
- wrap ZrythmException in namespace (Alexandros Theodotou)
- cmake/mbedtls: disable fatal warnings (Alexandros Theodotou)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- cmake: use FetchContent for curl dependency on gnu/linux (Alexandros Theodotou)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Japanese) (Y_NOIZ)
- Translated using Weblate (Russian) (AnanaSeek4Jam)
- Translated using Weblate (Chinese (Simplified Han script)) (alcoholicgirllover)
- Translated using Weblate (Japanese) (Haruki Shimauchi)
- Translated using Weblate (Chinese (Simplified Han script)) (王晨旭)
- Translated using Weblate (Chinese (Traditional Han script)) (hugoalh)
- Translated using Weblate (Turkish) (Burak Hüseyin Ekseli)
- Translated using Weblate (German) (Kai A)
- Translated using Weblate (Russian) (Victor Gridnevsky)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (French) (AlexC)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Serbian) (Anonymous)
- Translated using Weblate (Ukrainian) (Максим Горпиніч)
- Translated using Weblate (Italian) (Marco Ciampa)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (Ettore Atalan)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Translated using Weblate (Spanish) (gallegonovato)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (French) (Max)
- Translated using Weblate (Catalan) (Maite Guix)
- fix missing include (Alexandros Theodotou)
- disable chromaprint again (Alexandros Theodotou)
- disable chromaprint dependency for now (Alexandros Theodotou)
- qml: fix various issues reported by qmllint (Alexandros Theodotou)
- switch to Noto fonts for everything (Alexandros Theodotou)
- ci: fix build environment (disable gtk in qt build) (Alexandros Theodotou)
- move Track destructor to .cpp file to fix too many inlines error in gcc (Alexandros Theodotou)
- ci: remove /verbose link mode on msvc (Alexandros Theodotou)
- ci: manually discard verbose msvc linker output (Alexandros Theodotou)
- attempt to make msbuild linker less verbose (Alexandros Theodotou)
- ci: fix windows ctest invocation (Alexandros Theodotou)
- cmake: use gtest_add_tests() instead of gtest_discover_tests() on windows (Alexandros Theodotou)
- cmake: prevent in-source builds (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- cmake: simplify sanitizers section (Alexandros Theodotou)
- fix windows build error (Alexandros Theodotou)
- ci: add build command in clazy step (Alexandros Theodotou)
- fix windows build again (Alexandros Theodotou)
- ci: add clazy step (Alexandros Theodotou)
- utils/io.h: fix windows-only code (Alexandros Theodotou)
- fix deleted function implementation (Alexandros Theodotou)
- add custom String class to handle UTF8 strings (Alexandros Theodotou)
- enable unity builds in more places (Alexandros Theodotou)
- cmake: don't link to DbgHelp explicitly (backwardcpp uses pragma to link to it) (Alexandros Theodotou)
- ci: fix powershell command (Alexandros Theodotou)
- ci: fix executable path passed to windeployqt (Alexandros Theodotou)
- ci: use less verbose msbuild options (Alexandros Theodotou)
- ci: remove unsupported 1-to-1 mapping for configure and build (Alexandros Theodotou)
- enable unity builds for dsp/utils libs (Alexandros Theodotou)
- ci: drop --verbose from windows build (Alexandros Theodotou)
- increase tolerance on MonotonicTimeProviderTest::TimeConversion (Alexandros Theodotou)
- cmake: turn off automoc for test LV2 plugins (Alexandros Theodotou)
- ci: only depend on corresponding Debug/Release configuration job (Alexandros Theodotou)
- fix compilation error on mac/release (Alexandros Theodotou)
- ci: fix powershell syntax error (Alexandros Theodotou)
- ci: fix windows syntax (Alexandros Theodotou)
- ci: fix syntax (Alexandros Theodotou)
- ci: use parallel matrix for Debug/Release builds (Alexandros Theodotou)
- add qurl to qstring converter (Alexandros Theodotou)
- use custom string conversion api (Alexandros Theodotou)
- various build adjustments (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- ci: run windeployqt after build (Alexandros Theodotou)
- add missing qml file (Alexandros Theodotou)
- use custom conversion functions for QString <=> fs::path (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix windows build (Alexandros Theodotou)
- fix missing include in views.h (Alexandros Theodotou)
- fix build without pch (Alexandros Theodotou)
- ci: disable precompiled headers on windows (Alexandros Theodotou)
- ci: try to update cache (Alexandros Theodotou)
- attempt to fix linking to debug runtime lib (Alexandros Theodotou)
- fix unused include in engine main.cpp (Alexandros Theodotou)
- add missing CTestCustom file (Alexandros Theodotou)
- fix some more CI/build issues (Alexandros Theodotou)
- fix CI build issues (Alexandros Theodotou)
- simplify ProjectManager thread handling (Alexandros Theodotou)
- use standard c++ instead of QFuture (fails to link on msvc) (Alexandros Theodotou)
- use fs::path more (Alexandros Theodotou)
- cmake: fix ctest (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix some msvc issues (Alexandros Theodotou)
- ci: fix PATH on macos (Alexandros Theodotou)
- fix various msvc issues (Alexandros Theodotou)
- UuidIdentifiableObjectView: use CRTP optionally on iterator class (Alexandros Theodotou)
- simplify UuidIdentifiableObject spans (Alexandros Theodotou)
- cmake: improve mac build (Alexandros Theodotou)
- macos fixes (Alexandros Theodotou)
- cmake: declare fftw twice for float/double (Alexandros Theodotou)
- run clang-format (Alexandros Theodotou)
- fix some build issues, add alternative views::enumerate (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- ci: fix artifacts exclusion dir (Alexandros Theodotou)
- GraphScheduler: fallback to non-realtime thread (Alexandros Theodotou)
- cmake: fix soxr header not found (Alexandros Theodotou)
- cmake: attempt to fix macos again (Alexandros Theodotou)
- cmake: use CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS (Alexandros Theodotou)
- cmake: add global -Wno-documentation flag (Alexandros Theodotou)
- cmake: set higher default policy (Alexandros Theodotou)
- cmake: use system lv2 (Alexandros Theodotou)
- cmake: refactor and disable -Wdocumentation for yyjson (Alexandros Theodotou)
- cmake: disable rtmidi support (Alexandros Theodotou)
- cmake: use fetch-content for gtest/gbenchmark (Alexandros Theodotou)
- cmake: fix gtest linking (Alexandros Theodotou)
- cmake: use fetchcontent for gtest (Alexandros Theodotou)
- cmake:use non-config boost on mac (Alexandros Theodotou)
- cmake: disable tests for fftw (Alexandros Theodotou)
- ci: specify boost root on mac (Alexandros Theodotou)
- bundle rubberband (Alexandros Theodotou)
- cmake: temporarily drop lilv dependency (Alexandros Theodotou)
- cmake: use fetch-content more (Alexandros Theodotou)
- cmake: use fetch content on some dependencies instead of system (Alexandros Theodotou)
- ci: use FETCHCONTENT_TRY_FIND_PACKAGE_MODE=NEVER (Alexandros Theodotou)
- ci: attempt to fix manpage generation (Alexandros Theodotou)
- cmake: disable unused tests (Alexandros Theodotou)
- refactor: avoid use of sprintf (Alexandros Theodotou)
- add missing crill CMakeLists.txt (Alexandros Theodotou)
- fix juce build, clean up more compiler warnings/errors (Alexandros Theodotou)
- various msvc fixes (Alexandros Theodotou)
- cmake: fix JUCE clap hosting issue (Alexandros Theodotou)
- Revert "more cmake refactoring for spdlog" (Alexandros Theodotou)
- more cmake refactoring for spdlog (Alexandros Theodotou)
- various build fixes & refactoring of finding JACK (Alexandros Theodotou)
- windows fixes (Alexandros Theodotou)
- attempt to fix juce-related build issues (Alexandros Theodotou)
- fix inclusion of deleted header (Alexandros Theodotou)
- fix some msvc errors (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- drop ISerializableBase and minor changes to build on g++ (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- more ci fixes (Alexandros Theodotou)
- fix various build issues on gcc/appleclang/msvc (Alexandros Theodotou)
- various fixes for ci (Alexandros Theodotou)
- ci: revert to using artifacts (Alexandros Theodotou)
- ci: remove invalid yaml key (Alexandros Theodotou)
- ci: use cache instead of artifacts for passing job results forward (Alexandros Theodotou)
- ci: add more exclusions for artifacts (Alexandros Theodotou)
- ci: exclude .git directories from artifacts (Alexandros Theodotou)
- ci: bump cache ID (Alexandros Theodotou)
- cmake: disable translations on xcode (Alexandros Theodotou)
- ci: attempt to fix xcode + qt_add_translations (Alexandros Theodotou)
- cmake: fix forcing cyaml dependency even when option is off (Alexandros Theodotou)
- cmake: attempt to fix macos bundle-related errors (Alexandros Theodotou)
- ci: fix CMAKE_PREFIX_PATH option on mac (Alexandros Theodotou)
- cmake: disable YAML project compatibility by default (Alexandros Theodotou)
- ci: disable old cyaml-based project compatibility (Alexandros Theodotou)
- fix type_safe CMakeLists.txt error with cmake 4 (Alexandros Theodotou)
- cmake: make Gettext optional (Alexandros Theodotou)
- requirements.txt: upgrade cmake (Alexandros Theodotou)
- add boost::describe support, start fixing CI (Alexandros Theodotou)
- build: detect CCache automatically (Alexandros Theodotou)
- fix remaining missing licenses (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- remove `init_loaded()` from ArrangerObject (Alexandros Theodotou)
- more ArrangerObject class cleanup (Alexandros Theodotou)
- ci: disable github actions jobs (Alexandros Theodotou)
- reuse: add some missing licenses (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- use strong types for frames <=> ticks multipliers (Alexandros Theodotou)
- cleanup/clarify some ArrangerObject API (Alexandros Theodotou)
- remove `print_to_str()` API from ArrangerObject (Alexandros Theodotou)
- add ArrangerObjectOwner/ListModel, drop RegionOwner/List (Alexandros Theodotou)
- reduce external dependencies for AudioPool (Alexandros Theodotou)
- add ArrangerObjectSelectionManager for handling object selections (Alexandros Theodotou)
- make TrackSelectionManager generic for all UuidIdentifiableObjects (Alexandros Theodotou)
- track Track selections at Tracklist (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- simplify API for removing tracks and plugins (Alexandros Theodotou)
- add TrackFactory (still incomplete, TODO) (Alexandros Theodotou)
- use reference counting for UUID-identified objects (Alexandros Theodotou)
- drop PluginIdentifier and fix a memory leak in ISerializable (Alexandros Theodotou)
- use factory pattern for arranger objects and remove RegionIdentifier (Alexandros Theodotou)
- qml: edit PianoRollKeys appearance (Alexandros Theodotou)
- qml: add piano roll keys element (Alexandros Theodotou)
- qml: fix loader condition for clip editor grid (Alexandros Theodotou)
- qml: update clip editor based on selected region (Alexandros Theodotou)
- fix track names and region creation (Alexandros Theodotou)
- use c++ attributes instead of macros (Alexandros Theodotou)
- fix incorrect use of std::views::iota (Alexandros Theodotou)
- BottmDock QML: create basic structure for editor components (Alexandros Theodotou)
- vscode settings: use ccache (Alexandros Theodotou)
- PlaceholderPage.qml: make image color follow style (Alexandros Theodotou)
- QML: start adding editor UI parts (Alexandros Theodotou)
- replace arranger selections with ArrangerObjectSpan (Alexandros Theodotou)
- add UUID-based registry system (initial implementation) (Alexandros Theodotou)
- add UuidIdentifiableObject class (Alexandros Theodotou)
- Port: generalize PortOwner into new interface (Alexandros Theodotou)
- refactor finding ports from PortIdentifier to a Project method (Alexandros Theodotou)
- very minor performance improvements in graph scheduling (Alexandros Theodotou)
- cleanup graph API & add tests/benchmarks (Alexandros Theodotou)
- split graph scheduling logic from Graph (Alexandros Theodotou)
- clean up GraphBuilder API (Alexandros Theodotou)
- split graph building logic to separate class (Alexandros Theodotou)
- use IProcessable interface to reduce Graph dependencies (Alexandros Theodotou)
- refactor port backend logic to new interface (Alexandros Theodotou)
- refactor balance control calculation to be part of "panning" (Alexandros Theodotou)
- decouple GraphNode and move to DSP module (Alexandros Theodotou)
- GraphNode: make Transport dependency explicit (Alexandros Theodotou)
- move ChordDescriptor and MusicalScale to DSP module (Alexandros Theodotou)
- refactor AudioClip to remove dependencies (Alexandros Theodotou)
- add missing CurvePreset code (Alexandros Theodotou)
- refactor AudioClip, make API simpler (Alexandros Theodotou)
- cmake: rename zrythm_lib to zrythm_gui_lib (Alexandros Theodotou)
- clangd: lower error limit (Alexandros Theodotou)
- move ditherer and curve to DSP module (Alexandros Theodotou)
- move stretcher to DSP module (Alexandros Theodotou)
- remove some unused meson.build files (Alexandros Theodotou)
- refactor: move meter DSP logic to DSP module (Alexandros Theodotou)
- move port identifier and plugin identifier to dsp module (Alexandros Theodotou)
- refactoring: create separate utils and dsp modules (Alexandros Theodotou)
- cleanup some old localization files (Alexandros Theodotou)
- port translations from gettext (Alexandros Theodotou)
- undo/redo support, arranger cursors, toolbox (Alexandros Theodotou)
- add more arranger functionality (create MIDI regions) (Alexandros Theodotou)
- drop glib, show arranger objects in timeline, etc. (Alexandros Theodotou)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (nilsholle)
- Translated using Weblate (Portuguese) (ssantos)
- Translated using Weblate (Catalan) (Maite Guix)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (Norwegian Bokmål) (Allan Nordhøy)
- Translated using Weblate (Macedonian) (AND)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (Polish) (Prefex)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Added translation using Weblate (Tamil) (Languages add-on)
- Translated using Weblate (Polish) (Krylan)
- Translated using Weblate (Russian) (John Johnson)
- Translated using Weblate (Chinese (Traditional)) (hugoalh)
- Translated using Weblate (Italian) (GB)
- Translated using Weblate (Russian) (Evgeniy Khramov)
- Translated using Weblate (Russian) (Kirill Plotnikov)
- add meters (Alexandros Theodotou)
- qml: add automation tracks to track view (Alexandros Theodotou)
- qml: implement track lanes support (Alexandros Theodotou)
- update INSTALL/README (Alexandros Theodotou)
- fix linking issue with dsp utils (Alexandros Theodotou)
- make position updates rt-safe, drop lsp-dsp dependency (Alexandros Theodotou)
- implement basic ruler (Alexandros Theodotou)
- connect up the engine (in-process for now, as before) (Alexandros Theodotou)
- qml: add transport controls (Alexandros Theodotou)
- qml: tracklist showing (Alexandros Theodotou)
- gui: add dark/light mode switch and theme color selection (Alexandros Theodotou)
- qml: add more styled widgets, improve existing (Alexandros Theodotou)
- qml: create custom Zrythm style (Alexandros Theodotou)
- qml: restructure code (Alexandros Theodotou)
- add tabbar/tabbutton, require qt 6.8 (Alexandros Theodotou)
- edit toolbuttons a bit (Alexandros Theodotou)
- add text toolbar elements (Alexandros Theodotou)
- add arranger (wip), custom menus (Alexandros Theodotou)
- add basic layout (Alexandros Theodotou)
- cmake refactor (move QML executable to src/gui) (Alexandros Theodotou)
- add custom menubar and toolbutton (Alexandros Theodotou)
- allow creating new project without template (Alexandros Theodotou)
- greeter: add dummy project loading logic (Alexandros Theodotou)
- README: mention that this is the qt branch (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- juce: disable version printing (Alexandros Theodotou)
- qml/backend: add project management-related logic (Alexandros Theodotou)
- plugin scanner: allow scanning directly from cmd line (Alexandros Theodotou)
- plugin scanning: use paths/save/restore known plugins (Alexandros Theodotou)
- qml: rename greeter to Greeter (Alexandros Theodotou)
- drop gtk dependency (Alexandros Theodotou)
- requirements.txt: add cmake-format (Alexandros Theodotou)
- plugin scanning for LV2/LADSPA/VST3/CLAP (Alexandros Theodotou)
- plugin scan working (other than LV2) (Alexandros Theodotou)
- vscode: add qt-specific pre-instructions to cody (Alexandros Theodotou)
- fix clang-format qt header handling (Alexandros Theodotou)
- expose global state to QML (Alexandros Theodotou)
- add namespace for plugin-related classes (Alexandros Theodotou)
- merge gui/glue and gui/backend to just backend (Alexandros Theodotou)
- fix licensing issues (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- start using namespaces (Alexandros Theodotou)
- reorganize source files (Alexandros Theodotou)
- re-organize old gui-related code (Alexandros Theodotou)
- clean up, re-organize, remove some meson related files (Alexandros Theodotou)
- reorganize code a bit (Alexandros Theodotou)
- zrythm application: optionally read env variable for engine path (Alexandros Theodotou)
- qml: add custom progress bar, fixup greeter progress page (Alexandros Theodotou)
- qml: fixup preferences page, add filepicker (Alexandros Theodotou)
- qml: include missing svg for up-down chevrons (Alexandros Theodotou)
- qml: don't use versions in imports (Alexandros Theodotou)
- qml: add custom combo box (Alexandros Theodotou)
- dont look for kddockwidgets or kirigami (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- cmake: add debug prints before running help2man (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- Revert "cmake: use static vamp on msys2/mingw" (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: use static vamp on msys2/mingw (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- don't use qt_add_resources (discouraged by qt devs) (Alexandros Theodotou)
- remove kirigami, use basic style with customized widgets (Alexandros Theodotou)
- almost done with first run carousel (Alexandros Theodotou)
- add qsettings manager (Alexandros Theodotou)
- move engine to separate process (Alexandros Theodotou)
- add basic qt main window (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- start using gtkmm, add more compile-time checks (Alexandros Theodotou)
- build fixes for windows (Alexandros Theodotou)
- cmake: build fixes for macos (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- fix optimization flag mismatch on msvc (Alexandros Theodotou)
- add user manual (WIP builds but no localization) (Alexandros Theodotou)
- ci: fix build-time errors (Alexandros Theodotou)
- cmake: use fetch-content to mimic meson subprojects (Alexandros Theodotou)
- port to cmake (Alexandros Theodotou)
- fix more msvc compilation errors (Alexandros Theodotou)
- replace zita resampler with cpp version (Alexandros Theodotou)
- rename function attributes to avoid clash with msvc (Alexandros Theodotou)
- disable strict strings (Alexandros Theodotou)
- ci: attempt to fix builtin plugins errors (Alexandros Theodotou)
- add dirent (Alexandros Theodotou)
- build: attempt to fix lilv (Alexandros Theodotou)
- use gtest (Alexandros Theodotou)
- fix build issues (Alexandros Theodotou)
- whereami: update (Alexandros Theodotou)
- ci: cache per runner (Alexandros Theodotou)
- tests: don't use ubsan on msvc (Alexandros Theodotou)
- gen-translators-list: ensure input/output is utf8 (Alexandros Theodotou)
- ci: remove cleanup section (Alexandros Theodotou)
- drop appstream dependency from libadwaita (Alexandros Theodotou)
- drop gtksourceview dependency (Alexandros Theodotou)
- ci: fix windows (Alexandros Theodotou)
- ci: don't build manpage on windows (Alexandros Theodotou)
- drop guile dependency (Alexandros Theodotou)
- drop sed dependency, move a bash script to python (Alexandros Theodotou)
- drop direct libcurl usage (Alexandros Theodotou)
- ci: add windows (Alexandros Theodotou)
- dont use jthreads (not available on mac) (Alexandros Theodotou)
- ci: try to build mac (Alexandros Theodotou)
- requirements: add cmake (Alexandros Theodotou)
- bump python requirements and remove some unnecessary inlines (Alexandros Theodotou)
- ci: enable mac builder (Alexandros Theodotou)
- fix more issues (Alexandros Theodotou)
- ci: use benchmark (Alexandros Theodotou)
- use init_loaded_base on arranger objects (Alexandros Theodotou)
- replace backtrace getter, remove pcre2 (Alexandros Theodotou)
- make benchmarks work again, use gbenchmark, more fixes (Alexandros Theodotou)
- fix engine ticks/frame calculation (Alexandros Theodotou)
- various fixes (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- clang-tidy: add more checks (Alexandros Theodotou)
- fix more issues, 1 more test pass (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- organize code and fix some more issues (Alexandros Theodotou)
- some runtime fixes, various other fixes (Alexandros Theodotou)
- fix compilation of tests and build without lsp (Alexandros Theodotou)
- fix more issues, more tests pass (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- fix various issues (Alexandros Theodotou)
- use factory pattern for tracks (Alexandros Theodotou)
- fix more issues, now can generate the processing graph (Alexandros Theodotou)
- fix various issues - test now can add a couple of tracks (Alexandros Theodotou)
- fix licensing issues, upgrade to reuse TOML (Alexandros Theodotou)
- fix logger, fix more tests (Alexandros Theodotou)
- fix compilation with gcc, fix doctest issues (Alexandros Theodotou)
- port to C++20 (WIP) (Alexandros Theodotou)
- ci: don't build with ASAN (Alexandros Theodotou)
- port gen-appdata-xml to python and update project description (Alexandros Theodotou)
- refactor, port various components to C++ classes (Alexandros Theodotou)
- make ZrythmDirectoryManager a singleton (Alexandros Theodotou)
- meson: disable -fanalyzer (too many false positives) (Alexandros Theodotou)
- shorten ZrythmDirType enum value names (Alexandros Theodotou)
- disable the audio engine for a test that doesn't need it (Alexandros Theodotou)
- add option to build tests statically (Alexandros Theodotou)
- tracklist: convert tracks array to vector (Alexandros Theodotou)
- refactor ProgressInfo (Alexandros Theodotou)
- attempt to deactivate engine before freeing gZrythm (Alexandros Theodotou)
- add missing license (Alexandros Theodotou)
- minor refactoring (Alexandros Theodotou)
- editor files (Alexandros Theodotou)
- fix typo (Alexandros Theodotou)
- port Port to C++ idioms (Alexandros Theodotou)
- port Channel functions to member methods (Alexandros Theodotou)
- refactor Port (WIP) (Alexandros Theodotou)
- refactor CarlaBridgeMode (Alexandros Theodotou)
- add vscode configs (Alexandros Theodotou)
- fix some memory leaks now that PortIdentifier is allocated with `new` (Alexandros Theodotou)
- port PortIdentifier to c++, some more refactoring (Alexandros Theodotou)
- add missing JUCE dependencies on windows (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- fix another windows build error (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- fix more windows build issues (Alexandros Theodotou)
- attempt to use shared lib for tests in CI (Alexandros Theodotou)
- windows fix (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes, refactoring (Alexandros Theodotou)
- more fixes, refactoring (Alexandros Theodotou)
- fix compilation on windows (Alexandros Theodotou)
- ci: use magic_enum from distro (Alexandros Theodotou)
- precompile windows.h on windows (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- macos fixes and pch improvements (alex)
- more refactoring, mac/windows fixes (Alexandros Theodotou)
- meson: set default backend_max_links=1 (Alexandros Theodotou)
- fix windows build, revert to using _WIN32 (Alexandros Theodotou)
- remove PURE from functions (windows build fails) (Alexandros Theodotou)
- meson: remove unused pcre subproject (Alexandros Theodotou)
- fix build on mac (Alexandros Theodotou)
- refactoring, cleanup (Alexandros Theodotou)
- clang-format: rearrange headers (Alexandros Theodotou)
- build: fix unused variable error (Alexandros Theodotou)
- juce: add -fpermissive flag on windows (Alexandros Theodotou)
- meson: add more optimization flags (Alexandros Theodotou)
- add missing appleframeworks to build juce on mac (Alexandros Theodotou)
- rename kissfft in qm-dsp to avoid conflicts (Alexandros Theodotou)
- avoid passing initializer as reference (Alexandros Theodotou)
- remove some usage of Z_GRAPHENE_*_INIT (Alexandros Theodotou)
- start using JUCE core for StringArray (Alexandros Theodotou)
- cleanup compilation flags, fix some apple clang errors (Alexandros Theodotou)
- plugin manager: add AU detection (Alexandros Theodotou)
- convert Zrythm struct to C++ class (Alexandros Theodotou)
- clang-format: add option pending clang 18 (Alexandros Theodotou)
- meson: use cpp as main compiler (Alexandros Theodotou)
- ci: cache more subprojects (Alexandros Theodotou)
- fix error: taking address of temporary array (Alexandros Theodotou)
- add missing copyright (Alexandros Theodotou)
- fix CI (force fallback for magic enum and enable cyaml) (Alexandros Theodotou)
- port to C++ (Alexandros Theodotou)
- fix strict build (Alexandros Theodotou)
- meson: require at least 1.3.0 (Alexandros Theodotou)
- appdata: add branding colors and vcs url (Alexandros Theodotou)
- use glib-mkenums more (Alexandros Theodotou)
- add some more error checking for plugin protocol (Alexandros Theodotou)
- noop: formatting (Alexandros Theodotou)
- stop using some deprecated gtk API (Alexandros Theodotou)
- build: make cyaml dependency optional (Alexandros Theodotou)
- port plugin settings/cached plugins/plugin collections to JSON (Alexandros Theodotou)

* Tue Jun 24 2025 filippor <filippo.rossoni@gmail.com> - v1.0.0-1.20250624204308294662.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac
- add fedora build (filippor)
- match arranger grid lines to ruler (Alexandros Theodotou)
- qml: extract PlayheadTriangle to separate file (Alexandros Theodotou)
- simplify & optimize Ruler.qml (Alexandros Theodotou)
- fix clang release build (Alexandros Theodotou)
- speed up compilation times with better PCH for gui lib and zrythm exe (Alexandros Theodotou)
- add missing file (Alexandros Theodotou)
- start using new tempo map in QML (Alexandros Theodotou)
- cmake: disable warnings on unknown attributes and errors on deprecated method usage (Alexandros Theodotou)
- clang-tidy: add more warnings-as-errors (Alexandros Theodotou)
- add new Playhead type (not used in project yet) (Alexandros Theodotou)
- use snake_case for methods in TempoMap (Alexandros Theodotou)
- remove TempoTrack (Alexandros Theodotou)
- start using TempoMap via TempoMapWrapper (Alexandros Theodotou)
- vscode settings: set CPM cache dir (Alexandros Theodotou)
- README: simplify build instructions (Alexandros Theodotou)
- TempoMap: make sample rate parameter mandatory (Alexandros Theodotou)
- fix usage of z literal not available yet in some compilers (Alexandros Theodotou)
- fix build (Alexandros Theodotou)
- cmake: disable direct JACK support (Alexandros Theodotou)
- TempoMap: remove unnecessary overloads (Alexandros Theodotou)
- merge flags members in PortIdentifier into one type (Alexandros Theodotou)
- add AtomicPositionQmlAdapter class (Alexandros Theodotou)
- add AtomicPosition class to dsp module (Alexandros Theodotou)
- add TempoMap class (Alexandros Theodotou)
- remove unnecessary dependencies from ControlPort (Alexandros Theodotou)
- close audio device before closing the open project (Alexandros Theodotou)
- cleanup port API more (Alexandros Theodotou)
- clean up Port API (Alexandros Theodotou)
- add some docs to RealtimeUpdater related classes (Alexandros Theodotou)
- cmake: link to a dummy source file to fix error in some cmake versions (Alexandros Theodotou)
- ci: fix cpm cache path again (Alexandros Theodotou)
- ci: fix usage of env variables in variable values (Alexandros Theodotou)
- ci: enable cpm cache dir (Alexandros Theodotou)
- fix concurrency issue in MidiEvents (Alexandros Theodotou)
- start using RealtimeSanitizer (Alexandros Theodotou)
- clang-format with clang20 (Alexandros Theodotou)
- move processor port disconnect logic to Tracklist (Alexandros Theodotou)
- cmake: add support for realtime sanitizer (Alexandros Theodotou)
- remove unused api (Alexandros Theodotou)
- fix windows ci (Alexandros Theodotou)
- remove unused Port API (Alexandros Theodotou)
- fix unused lambda capture (Alexandros Theodotou)
- ci: run benchmarks (Alexandros Theodotou)
- fix benchmarks build (Alexandros Theodotou)
- add prepare_for_processing() and release_resources() to IProcessable (Alexandros Theodotou)
- remove IClonable, add UniqueQObjectPtr (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- delete just whereami and leave dirent (needed by plugins on windows) (Alexandros Theodotou)
- Revert "remove unused external projects" (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- don't make Greeter modal (Alexandros Theodotou)
- remove validate and active project checks (Alexandros Theodotou)
- remove unused file (Alexandros Theodotou)
- remove unused external projects (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- add UI options to show device manager (Alexandros Theodotou)
- cmake: use CPM more (Alexandros Theodotou)
- cmake: fix CPMFindPackage calls (Alexandros Theodotou)
- cmake: include missing CPM.cmake file (Alexandros Theodotou)
- add support for AudioWorkgroups on mac (Alexandros Theodotou)
- start using gsl-lite (Alexandros Theodotou)
- cmake: start using CPM (Alexandros Theodotou)
- switch to juce::AudioDeviceManager and drop support for hardware port connections (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- abstract audio/midi backend drivers into AudioDriver/MidiDriver (Alexandros Theodotou)
- fix compilation on mac (Alexandros Theodotou)
- fix compilation with clang (Alexandros Theodotou)
- fix plugin UIs on gnu/linux (Alexandros Theodotou)
- refactor some classes into structure and engine namespaces (Alexandros Theodotou)
- put graph-related classes under  namespace (Alexandros Theodotou)
- fix compilation (Alexandros Theodotou)
- move MidiEvent to dsp module (Alexandros Theodotou)
- drop yaml project compatibility code (Alexandros Theodotou)
- remove more dependencies from Port and MidiEventVector (Alexandros Theodotou)
- drop rtaudio/rtmidi/portaudio/pulseaudio/alsa backend support (Alexandros Theodotou)
- move port connection classes to dsp module (Alexandros Theodotou)
- remove some Port/Plugin dependencies (Alexandros Theodotou)
- remove more Plugin class dependencies (Alexandros Theodotou)
- use juce::ScopedJuceInitialiser_GUI instead of creating a juce ApplicationBase (Alexandros Theodotou)
- reduce Plugin class dependencies (Alexandros Theodotou)
- ZrythmApplication: fix icon path (unsure if used) (Alexandros Theodotou)
- include missing plugins.h PCH (Alexandros Theodotou)
- remove dependency on fftw (use dlopen at runtime) (Alexandros Theodotou)
- add pch for plugins lib (Alexandros Theodotou)
- refactor PluginSetting into PluginConfiguration (Alexandros Theodotou)
- fix AU scan (Alexandros Theodotou)
- PluginManager: add API to create plugin instances from descriptors (Alexandros Theodotou)
- cmake: fix mac build again (Alexandros Theodotou)
- cmake: fix build with AU on mac (Alexandros Theodotou)
- show scanned plugins in plugin list in right dock (Alexandros Theodotou)
- cmake: add missing Qt6Test DLL to windeployqt invocation (Alexandros Theodotou)
- refactor plugin scanning code & add test (Alexandros Theodotou)
- reword README a bit (Alexandros Theodotou)
- Revert "cpack: move hidden dirs out of the DMG view on mac" (Alexandros Theodotou)
- README: include build instructions & remove redundant pages (Alexandros Theodotou)
- drop unused po directory (Alexandros Theodotou)
- use LightweightSemaphore more (Alexandros Theodotou)
- cpack: move hidden dirs out of the DMG view on mac (Alexandros Theodotou)
- delete unused image (Alexandros Theodotou)
- cpack: fix DMG background image (Alexandros Theodotou)
- appscript: increase delays (Alexandros Theodotou)
- cmake: add background image to macos installer (Alexandros Theodotou)
- use lightweightsemaphore instead of std::counting_semaphore in graph (Alexandros Theodotou)
- reuse: no annotation required for bundled lv2 (Alexandros Theodotou)
- graph: remove trigger_queue_size_ causing race issues on windows (Alexandros Theodotou)
- cmake: make pkgconfig optional (Alexandros Theodotou)
- cmake: make imagemagick optional (Alexandros Theodotou)
- ci: don't add paths for now-bundled lv2 and boost (Alexandros Theodotou)
- bundle lv2 (Alexandros Theodotou)
- cmake: only link juce LTO flags if LTO enabled (Alexandros Theodotou)
- cmake: include Qt pdb's in debug version (Alexandros Theodotou)
- fix warning-as-error on appleclang on boost/describe (Alexandros Theodotou)
- ci: fix windows qt paths (Alexandros Theodotou)
- cmake: autofetch boost (Alexandros Theodotou)
- ci: attempt build with included runtime (Alexandros Theodotou)
- use fetchcontent for boost (Alexandros Theodotou)
- use custom size_t string literal (Alexandros Theodotou)
- cmake: windows build simplifications (Alexandros Theodotou)
- remove now-moved .ico file (Alexandros Theodotou)
- cmake: add icon to windows app (Alexandros Theodotou)
- cmake: install pdb files on msvc (Alexandros Theodotou)
- ci: fix notarization timeout command (Alexandros Theodotou)
- ci: only notarize .dmg (not .app) (Alexandros Theodotou)
- ci: codesign and notarize dmg, add notarization timeout (Alexandros Theodotou)
- cmake/macos: use entitlements when code signing (Alexandros Theodotou)
- cmake: fix math expression in apple app bundle icon generation (Alexandros Theodotou)
- fix various mac app bundle issues (Alexandros Theodotou)
- cpack: fix windows installer (Alexandros Theodotou)
- cmake: build fixes (Alexandros Theodotou)
- cmake/cpack: macos build fixes (Alexandros Theodotou)
- cmake: bump fmt and spdlog versions (Alexandros Theodotou)
- cmake: use custom plist on mac (Alexandros Theodotou)
- cmake: add COMMAND_ERROR_IS_FATAL to some execute_process calls (Alexandros Theodotou)
- cmake: include missing macos codesign scripts (Alexandros Theodotou)
- ci: codesign and notarize macos app bundle (Alexandros Theodotou)
- macdeployqt: enable codesigning (Alexandros Theodotou)
- cmake: remove more gpl-incompatible and unneeded windeployqt dependencies (Alexandros Theodotou)
- avoid fs::path::string() (Alexandros Theodotou)
- cmake: fix windows installer README path (Alexandros Theodotou)
- cmake: more windows installer improvements (Alexandros Theodotou)
- cmake: windows installer fixes (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate bmp file for windows installer (Alexandros Theodotou)
- cmake: fix magick discovery on windows (Alexandros Theodotou)
- cmake: add PATHS for rsvg-convert on mac (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate ico/icons for cpack (Alexandros Theodotou)
- cmake/macdeployqt: fix not using .app bundle name (Alexandros Theodotou)
- cpack/windows: remove vc_redist.x64.exe after running windeployqt (Alexandros Theodotou)
- cmake: don't use shallow clone for nlohmann json (Alexandros Theodotou)
- ci: force-update cache (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake/cpack: use windeployqt and macdeployqt (Alexandros Theodotou)
- cmake/cpack: comment out non-existing icons (Alexandros Theodotou)
- ci: merge build & package stages (Alexandros Theodotou)
- cmake: don't build appdata XML on non-GNU platforms (Alexandros Theodotou)
- cmake: add BUNDLE to zrythm install() (Alexandros Theodotou)
- cpack: don't pack fftw on windows/mac (Alexandros Theodotou)
- cmake: create Runtime component for CPack (Alexandros Theodotou)
- build: add packaging stage & use FetchContent for type_safe (Alexandros Theodotou)
- more ci/build fixes (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix ci build & update ubuntu20 dockerfile (Alexandros Theodotou)
- ci: restore requirements.txt versions but disable installation on ubuntu20 (Alexandros Theodotou)
- ci: disable user manual build on ubuntu20 (Alexandros Theodotou)
- requirements.txt: lower some python library dependency versions to build on ubuntu 20 (Alexandros Theodotou)
- add zrythm build instructions in Dockerfile (Alexandros Theodotou)
- ci: use ubuntu docker image for builds (Alexandros Theodotou)
- cmake: fix juce build (Alexandros Theodotou)
- cmake: link juce to system freetype2 (Alexandros Theodotou)
- cmake: link curl to juce_clap_hosting_lib too (Alexandros Theodotou)
- cmake: make libdw dependency optional (Alexandros Theodotou)
- use local http server for networking test (Alexandros Theodotou)
- fix user manual translation issues (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- submodule: update doxygen-awesome-css (Alexandros Theodotou)
- cmake: enable LTO and other optimizing link options (Alexandros Theodotou)
- fix more msvc/clang errors (Alexandros Theodotou)
- remove some unused variables (clang warnings) (Alexandros Theodotou)
- fix compilation error on clang (Alexandros Theodotou)
- replace usage of yyjson with nlohmann::json (Alexandros Theodotou)
- cmake: don't explicitly link to x11 (Alexandros Theodotou)
- ci: don't require update-manual job to update dev docs (Alexandros Theodotou)
- PeakDsp: disable edge cases test when building with -ffast-math (Alexandros Theodotou)
- cmake: force release build of curl (Alexandros Theodotou)
- fix handling of invalid values in PeakDsp (Alexandros Theodotou)
- wrap ZrythmException in namespace (Alexandros Theodotou)
- cmake/mbedtls: disable fatal warnings (Alexandros Theodotou)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- cmake: use FetchContent for curl dependency on gnu/linux (Alexandros Theodotou)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Japanese) (Y_NOIZ)
- Translated using Weblate (Russian) (AnanaSeek4Jam)
- Translated using Weblate (Chinese (Simplified Han script)) (alcoholicgirllover)
- Translated using Weblate (Japanese) (Haruki Shimauchi)
- Translated using Weblate (Chinese (Simplified Han script)) (王晨旭)
- Translated using Weblate (Chinese (Traditional Han script)) (hugoalh)
- Translated using Weblate (Turkish) (Burak Hüseyin Ekseli)
- Translated using Weblate (German) (Kai A)
- Translated using Weblate (Russian) (Victor Gridnevsky)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (French) (AlexC)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Serbian) (Anonymous)
- Translated using Weblate (Ukrainian) (Максим Горпиніч)
- Translated using Weblate (Italian) (Marco Ciampa)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (Ettore Atalan)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Translated using Weblate (Spanish) (gallegonovato)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (French) (Max)
- Translated using Weblate (Catalan) (Maite Guix)
- fix missing include (Alexandros Theodotou)
- disable chromaprint again (Alexandros Theodotou)
- disable chromaprint dependency for now (Alexandros Theodotou)
- qml: fix various issues reported by qmllint (Alexandros Theodotou)
- switch to Noto fonts for everything (Alexandros Theodotou)
- ci: fix build environment (disable gtk in qt build) (Alexandros Theodotou)
- move Track destructor to .cpp file to fix too many inlines error in gcc (Alexandros Theodotou)
- ci: remove /verbose link mode on msvc (Alexandros Theodotou)
- ci: manually discard verbose msvc linker output (Alexandros Theodotou)
- attempt to make msbuild linker less verbose (Alexandros Theodotou)
- ci: fix windows ctest invocation (Alexandros Theodotou)
- cmake: use gtest_add_tests() instead of gtest_discover_tests() on windows (Alexandros Theodotou)
- cmake: prevent in-source builds (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- cmake: simplify sanitizers section (Alexandros Theodotou)
- fix windows build error (Alexandros Theodotou)
- ci: add build command in clazy step (Alexandros Theodotou)
- fix windows build again (Alexandros Theodotou)
- ci: add clazy step (Alexandros Theodotou)
- utils/io.h: fix windows-only code (Alexandros Theodotou)
- fix deleted function implementation (Alexandros Theodotou)
- add custom String class to handle UTF8 strings (Alexandros Theodotou)
- enable unity builds in more places (Alexandros Theodotou)
- cmake: don't link to DbgHelp explicitly (backwardcpp uses pragma to link to it) (Alexandros Theodotou)
- ci: fix powershell command (Alexandros Theodotou)
- ci: fix executable path passed to windeployqt (Alexandros Theodotou)
- ci: use less verbose msbuild options (Alexandros Theodotou)
- ci: remove unsupported 1-to-1 mapping for configure and build (Alexandros Theodotou)
- enable unity builds for dsp/utils libs (Alexandros Theodotou)
- ci: drop --verbose from windows build (Alexandros Theodotou)
- increase tolerance on MonotonicTimeProviderTest::TimeConversion (Alexandros Theodotou)
- cmake: turn off automoc for test LV2 plugins (Alexandros Theodotou)
- ci: only depend on corresponding Debug/Release configuration job (Alexandros Theodotou)
- fix compilation error on mac/release (Alexandros Theodotou)
- ci: fix powershell syntax error (Alexandros Theodotou)
- ci: fix windows syntax (Alexandros Theodotou)
- ci: fix syntax (Alexandros Theodotou)
- ci: use parallel matrix for Debug/Release builds (Alexandros Theodotou)
- add qurl to qstring converter (Alexandros Theodotou)
- use custom string conversion api (Alexandros Theodotou)
- various build adjustments (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- ci: run windeployqt after build (Alexandros Theodotou)
- add missing qml file (Alexandros Theodotou)
- use custom conversion functions for QString <=> fs::path (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix windows build (Alexandros Theodotou)
- fix missing include in views.h (Alexandros Theodotou)
- fix build without pch (Alexandros Theodotou)
- ci: disable precompiled headers on windows (Alexandros Theodotou)
- ci: try to update cache (Alexandros Theodotou)
- attempt to fix linking to debug runtime lib (Alexandros Theodotou)
- fix unused include in engine main.cpp (Alexandros Theodotou)
- add missing CTestCustom file (Alexandros Theodotou)
- fix some more CI/build issues (Alexandros Theodotou)
- fix CI build issues (Alexandros Theodotou)
- simplify ProjectManager thread handling (Alexandros Theodotou)
- use standard c++ instead of QFuture (fails to link on msvc) (Alexandros Theodotou)
- use fs::path more (Alexandros Theodotou)
- cmake: fix ctest (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix some msvc issues (Alexandros Theodotou)
- ci: fix PATH on macos (Alexandros Theodotou)
- fix various msvc issues (Alexandros Theodotou)
- UuidIdentifiableObjectView: use CRTP optionally on iterator class (Alexandros Theodotou)
- simplify UuidIdentifiableObject spans (Alexandros Theodotou)
- cmake: improve mac build (Alexandros Theodotou)
- macos fixes (Alexandros Theodotou)
- cmake: declare fftw twice for float/double (Alexandros Theodotou)
- run clang-format (Alexandros Theodotou)
- fix some build issues, add alternative views::enumerate (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- ci: fix artifacts exclusion dir (Alexandros Theodotou)
- GraphScheduler: fallback to non-realtime thread (Alexandros Theodotou)
- cmake: fix soxr header not found (Alexandros Theodotou)
- cmake: attempt to fix macos again (Alexandros Theodotou)
- cmake: use CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS (Alexandros Theodotou)
- cmake: add global -Wno-documentation flag (Alexandros Theodotou)
- cmake: set higher default policy (Alexandros Theodotou)
- cmake: use system lv2 (Alexandros Theodotou)
- cmake: refactor and disable -Wdocumentation for yyjson (Alexandros Theodotou)
- cmake: disable rtmidi support (Alexandros Theodotou)
- cmake: use fetch-content for gtest/gbenchmark (Alexandros Theodotou)
- cmake: fix gtest linking (Alexandros Theodotou)
- cmake: use fetchcontent for gtest (Alexandros Theodotou)
- cmake:use non-config boost on mac (Alexandros Theodotou)
- cmake: disable tests for fftw (Alexandros Theodotou)
- ci: specify boost root on mac (Alexandros Theodotou)
- bundle rubberband (Alexandros Theodotou)
- cmake: temporarily drop lilv dependency (Alexandros Theodotou)
- cmake: use fetch-content more (Alexandros Theodotou)
- cmake: use fetch content on some dependencies instead of system (Alexandros Theodotou)
- ci: use FETCHCONTENT_TRY_FIND_PACKAGE_MODE=NEVER (Alexandros Theodotou)
- ci: attempt to fix manpage generation (Alexandros Theodotou)
- cmake: disable unused tests (Alexandros Theodotou)
- refactor: avoid use of sprintf (Alexandros Theodotou)
- add missing crill CMakeLists.txt (Alexandros Theodotou)
- fix juce build, clean up more compiler warnings/errors (Alexandros Theodotou)
- various msvc fixes (Alexandros Theodotou)
- cmake: fix JUCE clap hosting issue (Alexandros Theodotou)
- Revert "more cmake refactoring for spdlog" (Alexandros Theodotou)
- more cmake refactoring for spdlog (Alexandros Theodotou)
- various build fixes & refactoring of finding JACK (Alexandros Theodotou)
- windows fixes (Alexandros Theodotou)
- attempt to fix juce-related build issues (Alexandros Theodotou)
- fix inclusion of deleted header (Alexandros Theodotou)
- fix some msvc errors (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- drop ISerializableBase and minor changes to build on g++ (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- more ci fixes (Alexandros Theodotou)
- fix various build issues on gcc/appleclang/msvc (Alexandros Theodotou)
- various fixes for ci (Alexandros Theodotou)
- ci: revert to using artifacts (Alexandros Theodotou)
- ci: remove invalid yaml key (Alexandros Theodotou)
- ci: use cache instead of artifacts for passing job results forward (Alexandros Theodotou)
- ci: add more exclusions for artifacts (Alexandros Theodotou)
- ci: exclude .git directories from artifacts (Alexandros Theodotou)
- ci: bump cache ID (Alexandros Theodotou)
- cmake: disable translations on xcode (Alexandros Theodotou)
- ci: attempt to fix xcode + qt_add_translations (Alexandros Theodotou)
- cmake: fix forcing cyaml dependency even when option is off (Alexandros Theodotou)
- cmake: attempt to fix macos bundle-related errors (Alexandros Theodotou)
- ci: fix CMAKE_PREFIX_PATH option on mac (Alexandros Theodotou)
- cmake: disable YAML project compatibility by default (Alexandros Theodotou)
- ci: disable old cyaml-based project compatibility (Alexandros Theodotou)
- fix type_safe CMakeLists.txt error with cmake 4 (Alexandros Theodotou)
- cmake: make Gettext optional (Alexandros Theodotou)
- requirements.txt: upgrade cmake (Alexandros Theodotou)
- add boost::describe support, start fixing CI (Alexandros Theodotou)
- build: detect CCache automatically (Alexandros Theodotou)
- fix remaining missing licenses (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- remove `init_loaded()` from ArrangerObject (Alexandros Theodotou)
- more ArrangerObject class cleanup (Alexandros Theodotou)
- ci: disable github actions jobs (Alexandros Theodotou)
- reuse: add some missing licenses (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- use strong types for frames <=> ticks multipliers (Alexandros Theodotou)
- cleanup/clarify some ArrangerObject API (Alexandros Theodotou)
- remove `print_to_str()` API from ArrangerObject (Alexandros Theodotou)
- add ArrangerObjectOwner/ListModel, drop RegionOwner/List (Alexandros Theodotou)
- reduce external dependencies for AudioPool (Alexandros Theodotou)
- add ArrangerObjectSelectionManager for handling object selections (Alexandros Theodotou)
- make TrackSelectionManager generic for all UuidIdentifiableObjects (Alexandros Theodotou)
- track Track selections at Tracklist (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- simplify API for removing tracks and plugins (Alexandros Theodotou)
- add TrackFactory (still incomplete, TODO) (Alexandros Theodotou)
- use reference counting for UUID-identified objects (Alexandros Theodotou)
- drop PluginIdentifier and fix a memory leak in ISerializable (Alexandros Theodotou)
- use factory pattern for arranger objects and remove RegionIdentifier (Alexandros Theodotou)
- qml: edit PianoRollKeys appearance (Alexandros Theodotou)
- qml: add piano roll keys element (Alexandros Theodotou)
- qml: fix loader condition for clip editor grid (Alexandros Theodotou)
- qml: update clip editor based on selected region (Alexandros Theodotou)
- fix track names and region creation (Alexandros Theodotou)
- use c++ attributes instead of macros (Alexandros Theodotou)
- fix incorrect use of std::views::iota (Alexandros Theodotou)
- BottmDock QML: create basic structure for editor components (Alexandros Theodotou)
- vscode settings: use ccache (Alexandros Theodotou)
- PlaceholderPage.qml: make image color follow style (Alexandros Theodotou)
- QML: start adding editor UI parts (Alexandros Theodotou)
- replace arranger selections with ArrangerObjectSpan (Alexandros Theodotou)
- add UUID-based registry system (initial implementation) (Alexandros Theodotou)
- add UuidIdentifiableObject class (Alexandros Theodotou)
- Port: generalize PortOwner into new interface (Alexandros Theodotou)
- refactor finding ports from PortIdentifier to a Project method (Alexandros Theodotou)
- very minor performance improvements in graph scheduling (Alexandros Theodotou)
- cleanup graph API & add tests/benchmarks (Alexandros Theodotou)
- split graph scheduling logic from Graph (Alexandros Theodotou)
- clean up GraphBuilder API (Alexandros Theodotou)
- split graph building logic to separate class (Alexandros Theodotou)
- use IProcessable interface to reduce Graph dependencies (Alexandros Theodotou)
- refactor port backend logic to new interface (Alexandros Theodotou)
- refactor balance control calculation to be part of "panning" (Alexandros Theodotou)
- decouple GraphNode and move to DSP module (Alexandros Theodotou)
- GraphNode: make Transport dependency explicit (Alexandros Theodotou)
- move ChordDescriptor and MusicalScale to DSP module (Alexandros Theodotou)
- refactor AudioClip to remove dependencies (Alexandros Theodotou)
- add missing CurvePreset code (Alexandros Theodotou)
- refactor AudioClip, make API simpler (Alexandros Theodotou)
- cmake: rename zrythm_lib to zrythm_gui_lib (Alexandros Theodotou)
- clangd: lower error limit (Alexandros Theodotou)
- move ditherer and curve to DSP module (Alexandros Theodotou)
- move stretcher to DSP module (Alexandros Theodotou)
- remove some unused meson.build files (Alexandros Theodotou)
- refactor: move meter DSP logic to DSP module (Alexandros Theodotou)
- move port identifier and plugin identifier to dsp module (Alexandros Theodotou)
- refactoring: create separate utils and dsp modules (Alexandros Theodotou)
- cleanup some old localization files (Alexandros Theodotou)
- port translations from gettext (Alexandros Theodotou)
- undo/redo support, arranger cursors, toolbox (Alexandros Theodotou)
- add more arranger functionality (create MIDI regions) (Alexandros Theodotou)
- drop glib, show arranger objects in timeline, etc. (Alexandros Theodotou)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (nilsholle)
- Translated using Weblate (Portuguese) (ssantos)
- Translated using Weblate (Catalan) (Maite Guix)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (Norwegian Bokmål) (Allan Nordhøy)
- Translated using Weblate (Macedonian) (AND)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (Polish) (Prefex)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Added translation using Weblate (Tamil) (Languages add-on)
- Translated using Weblate (Polish) (Krylan)
- Translated using Weblate (Russian) (John Johnson)
- Translated using Weblate (Chinese (Traditional)) (hugoalh)
- Translated using Weblate (Italian) (GB)
- Translated using Weblate (Russian) (Evgeniy Khramov)
- Translated using Weblate (Russian) (Kirill Plotnikov)
- add meters (Alexandros Theodotou)
- qml: add automation tracks to track view (Alexandros Theodotou)
- qml: implement track lanes support (Alexandros Theodotou)
- update INSTALL/README (Alexandros Theodotou)
- fix linking issue with dsp utils (Alexandros Theodotou)
- make position updates rt-safe, drop lsp-dsp dependency (Alexandros Theodotou)
- implement basic ruler (Alexandros Theodotou)
- connect up the engine (in-process for now, as before) (Alexandros Theodotou)
- qml: add transport controls (Alexandros Theodotou)
- qml: tracklist showing (Alexandros Theodotou)
- gui: add dark/light mode switch and theme color selection (Alexandros Theodotou)
- qml: add more styled widgets, improve existing (Alexandros Theodotou)
- qml: create custom Zrythm style (Alexandros Theodotou)
- qml: restructure code (Alexandros Theodotou)
- add tabbar/tabbutton, require qt 6.8 (Alexandros Theodotou)
- edit toolbuttons a bit (Alexandros Theodotou)
- add text toolbar elements (Alexandros Theodotou)
- add arranger (wip), custom menus (Alexandros Theodotou)
- add basic layout (Alexandros Theodotou)
- cmake refactor (move QML executable to src/gui) (Alexandros Theodotou)
- add custom menubar and toolbutton (Alexandros Theodotou)
- allow creating new project without template (Alexandros Theodotou)
- greeter: add dummy project loading logic (Alexandros Theodotou)
- README: mention that this is the qt branch (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- juce: disable version printing (Alexandros Theodotou)
- qml/backend: add project management-related logic (Alexandros Theodotou)
- plugin scanner: allow scanning directly from cmd line (Alexandros Theodotou)
- plugin scanning: use paths/save/restore known plugins (Alexandros Theodotou)
- qml: rename greeter to Greeter (Alexandros Theodotou)
- drop gtk dependency (Alexandros Theodotou)
- requirements.txt: add cmake-format (Alexandros Theodotou)
- plugin scanning for LV2/LADSPA/VST3/CLAP (Alexandros Theodotou)
- plugin scan working (other than LV2) (Alexandros Theodotou)
- vscode: add qt-specific pre-instructions to cody (Alexandros Theodotou)
- fix clang-format qt header handling (Alexandros Theodotou)
- expose global state to QML (Alexandros Theodotou)
- add namespace for plugin-related classes (Alexandros Theodotou)
- merge gui/glue and gui/backend to just backend (Alexandros Theodotou)
- fix licensing issues (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- start using namespaces (Alexandros Theodotou)
- reorganize source files (Alexandros Theodotou)
- re-organize old gui-related code (Alexandros Theodotou)
- clean up, re-organize, remove some meson related files (Alexandros Theodotou)
- reorganize code a bit (Alexandros Theodotou)
- zrythm application: optionally read env variable for engine path (Alexandros Theodotou)
- qml: add custom progress bar, fixup greeter progress page (Alexandros Theodotou)
- qml: fixup preferences page, add filepicker (Alexandros Theodotou)
- qml: include missing svg for up-down chevrons (Alexandros Theodotou)
- qml: don't use versions in imports (Alexandros Theodotou)
- qml: add custom combo box (Alexandros Theodotou)
- dont look for kddockwidgets or kirigami (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- cmake: add debug prints before running help2man (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- Revert "cmake: use static vamp on msys2/mingw" (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: use static vamp on msys2/mingw (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- don't use qt_add_resources (discouraged by qt devs) (Alexandros Theodotou)
- remove kirigami, use basic style with customized widgets (Alexandros Theodotou)
- almost done with first run carousel (Alexandros Theodotou)
- add qsettings manager (Alexandros Theodotou)
- move engine to separate process (Alexandros Theodotou)
- add basic qt main window (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- start using gtkmm, add more compile-time checks (Alexandros Theodotou)
- build fixes for windows (Alexandros Theodotou)
- cmake: build fixes for macos (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- fix optimization flag mismatch on msvc (Alexandros Theodotou)
- add user manual (WIP builds but no localization) (Alexandros Theodotou)
- ci: fix build-time errors (Alexandros Theodotou)
- cmake: use fetch-content to mimic meson subprojects (Alexandros Theodotou)
- port to cmake (Alexandros Theodotou)
- fix more msvc compilation errors (Alexandros Theodotou)
- replace zita resampler with cpp version (Alexandros Theodotou)
- rename function attributes to avoid clash with msvc (Alexandros Theodotou)
- disable strict strings (Alexandros Theodotou)
- ci: attempt to fix builtin plugins errors (Alexandros Theodotou)
- add dirent (Alexandros Theodotou)
- build: attempt to fix lilv (Alexandros Theodotou)
- use gtest (Alexandros Theodotou)
- fix build issues (Alexandros Theodotou)
- whereami: update (Alexandros Theodotou)
- ci: cache per runner (Alexandros Theodotou)
- tests: don't use ubsan on msvc (Alexandros Theodotou)
- gen-translators-list: ensure input/output is utf8 (Alexandros Theodotou)
- ci: remove cleanup section (Alexandros Theodotou)
- drop appstream dependency from libadwaita (Alexandros Theodotou)
- drop gtksourceview dependency (Alexandros Theodotou)
- ci: fix windows (Alexandros Theodotou)
- ci: don't build manpage on windows (Alexandros Theodotou)
- drop guile dependency (Alexandros Theodotou)
- drop sed dependency, move a bash script to python (Alexandros Theodotou)
- drop direct libcurl usage (Alexandros Theodotou)
- ci: add windows (Alexandros Theodotou)
- dont use jthreads (not available on mac) (Alexandros Theodotou)
- ci: try to build mac (Alexandros Theodotou)
- requirements: add cmake (Alexandros Theodotou)
- bump python requirements and remove some unnecessary inlines (Alexandros Theodotou)
- ci: enable mac builder (Alexandros Theodotou)
- fix more issues (Alexandros Theodotou)
- ci: use benchmark (Alexandros Theodotou)
- use init_loaded_base on arranger objects (Alexandros Theodotou)
- replace backtrace getter, remove pcre2 (Alexandros Theodotou)
- make benchmarks work again, use gbenchmark, more fixes (Alexandros Theodotou)
- fix engine ticks/frame calculation (Alexandros Theodotou)
- various fixes (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- clang-tidy: add more checks (Alexandros Theodotou)
- fix more issues, 1 more test pass (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- organize code and fix some more issues (Alexandros Theodotou)
- some runtime fixes, various other fixes (Alexandros Theodotou)
- fix compilation of tests and build without lsp (Alexandros Theodotou)
- fix more issues, more tests pass (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- fix various issues (Alexandros Theodotou)
- use factory pattern for tracks (Alexandros Theodotou)
- fix more issues, now can generate the processing graph (Alexandros Theodotou)
- fix various issues - test now can add a couple of tracks (Alexandros Theodotou)
- fix licensing issues, upgrade to reuse TOML (Alexandros Theodotou)
- fix logger, fix more tests (Alexandros Theodotou)
- fix compilation with gcc, fix doctest issues (Alexandros Theodotou)
- port to C++20 (WIP) (Alexandros Theodotou)
- ci: don't build with ASAN (Alexandros Theodotou)
- port gen-appdata-xml to python and update project description (Alexandros Theodotou)
- refactor, port various components to C++ classes (Alexandros Theodotou)
- make ZrythmDirectoryManager a singleton (Alexandros Theodotou)
- meson: disable -fanalyzer (too many false positives) (Alexandros Theodotou)
- shorten ZrythmDirType enum value names (Alexandros Theodotou)
- disable the audio engine for a test that doesn't need it (Alexandros Theodotou)
- add option to build tests statically (Alexandros Theodotou)
- tracklist: convert tracks array to vector (Alexandros Theodotou)
- refactor ProgressInfo (Alexandros Theodotou)
- attempt to deactivate engine before freeing gZrythm (Alexandros Theodotou)
- add missing license (Alexandros Theodotou)
- minor refactoring (Alexandros Theodotou)
- editor files (Alexandros Theodotou)
- fix typo (Alexandros Theodotou)
- port Port to C++ idioms (Alexandros Theodotou)
- port Channel functions to member methods (Alexandros Theodotou)
- refactor Port (WIP) (Alexandros Theodotou)
- refactor CarlaBridgeMode (Alexandros Theodotou)
- add vscode configs (Alexandros Theodotou)
- fix some memory leaks now that PortIdentifier is allocated with `new` (Alexandros Theodotou)
- port PortIdentifier to c++, some more refactoring (Alexandros Theodotou)
- add missing JUCE dependencies on windows (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- fix another windows build error (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- fix more windows build issues (Alexandros Theodotou)
- attempt to use shared lib for tests in CI (Alexandros Theodotou)
- windows fix (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes, refactoring (Alexandros Theodotou)
- more fixes, refactoring (Alexandros Theodotou)
- fix compilation on windows (Alexandros Theodotou)
- ci: use magic_enum from distro (Alexandros Theodotou)
- precompile windows.h on windows (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- macos fixes and pch improvements (alex)
- more refactoring, mac/windows fixes (Alexandros Theodotou)
- meson: set default backend_max_links=1 (Alexandros Theodotou)
- fix windows build, revert to using _WIN32 (Alexandros Theodotou)
- remove PURE from functions (windows build fails) (Alexandros Theodotou)
- meson: remove unused pcre subproject (Alexandros Theodotou)
- fix build on mac (Alexandros Theodotou)
- refactoring, cleanup (Alexandros Theodotou)
- clang-format: rearrange headers (Alexandros Theodotou)
- build: fix unused variable error (Alexandros Theodotou)
- juce: add -fpermissive flag on windows (Alexandros Theodotou)
- meson: add more optimization flags (Alexandros Theodotou)
- add missing appleframeworks to build juce on mac (Alexandros Theodotou)
- rename kissfft in qm-dsp to avoid conflicts (Alexandros Theodotou)
- avoid passing initializer as reference (Alexandros Theodotou)
- remove some usage of Z_GRAPHENE_*_INIT (Alexandros Theodotou)
- start using JUCE core for StringArray (Alexandros Theodotou)
- cleanup compilation flags, fix some apple clang errors (Alexandros Theodotou)
- plugin manager: add AU detection (Alexandros Theodotou)
- convert Zrythm struct to C++ class (Alexandros Theodotou)
- clang-format: add option pending clang 18 (Alexandros Theodotou)
- meson: use cpp as main compiler (Alexandros Theodotou)
- ci: cache more subprojects (Alexandros Theodotou)
- fix error: taking address of temporary array (Alexandros Theodotou)
- add missing copyright (Alexandros Theodotou)
- fix CI (force fallback for magic enum and enable cyaml) (Alexandros Theodotou)
- port to C++ (Alexandros Theodotou)
- fix strict build (Alexandros Theodotou)
- meson: require at least 1.3.0 (Alexandros Theodotou)
- appdata: add branding colors and vcs url (Alexandros Theodotou)
- use glib-mkenums more (Alexandros Theodotou)
- add some more error checking for plugin protocol (Alexandros Theodotou)
- noop: formatting (Alexandros Theodotou)
- stop using some deprecated gtk API (Alexandros Theodotou)
- build: make cyaml dependency optional (Alexandros Theodotou)
- port plugin settings/cached plugins/plugin collections to JSON (Alexandros Theodotou)

* Tue Jun 24 2025 filippor <filippo.rossoni@gmail.com> - v1.0.0-1.20250624175940391919.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac
- add fedora build (filippor)
- match arranger grid lines to ruler (Alexandros Theodotou)
- qml: extract PlayheadTriangle to separate file (Alexandros Theodotou)
- simplify & optimize Ruler.qml (Alexandros Theodotou)
- fix clang release build (Alexandros Theodotou)
- speed up compilation times with better PCH for gui lib and zrythm exe (Alexandros Theodotou)
- add missing file (Alexandros Theodotou)
- start using new tempo map in QML (Alexandros Theodotou)
- cmake: disable warnings on unknown attributes and errors on deprecated method usage (Alexandros Theodotou)
- clang-tidy: add more warnings-as-errors (Alexandros Theodotou)
- add new Playhead type (not used in project yet) (Alexandros Theodotou)
- use snake_case for methods in TempoMap (Alexandros Theodotou)
- remove TempoTrack (Alexandros Theodotou)
- start using TempoMap via TempoMapWrapper (Alexandros Theodotou)
- vscode settings: set CPM cache dir (Alexandros Theodotou)
- README: simplify build instructions (Alexandros Theodotou)
- TempoMap: make sample rate parameter mandatory (Alexandros Theodotou)
- fix usage of z literal not available yet in some compilers (Alexandros Theodotou)
- fix build (Alexandros Theodotou)
- cmake: disable direct JACK support (Alexandros Theodotou)
- TempoMap: remove unnecessary overloads (Alexandros Theodotou)
- merge flags members in PortIdentifier into one type (Alexandros Theodotou)
- add AtomicPositionQmlAdapter class (Alexandros Theodotou)
- add AtomicPosition class to dsp module (Alexandros Theodotou)
- add TempoMap class (Alexandros Theodotou)
- remove unnecessary dependencies from ControlPort (Alexandros Theodotou)
- close audio device before closing the open project (Alexandros Theodotou)
- cleanup port API more (Alexandros Theodotou)
- clean up Port API (Alexandros Theodotou)
- add some docs to RealtimeUpdater related classes (Alexandros Theodotou)
- cmake: link to a dummy source file to fix error in some cmake versions (Alexandros Theodotou)
- ci: fix cpm cache path again (Alexandros Theodotou)
- ci: fix usage of env variables in variable values (Alexandros Theodotou)
- ci: enable cpm cache dir (Alexandros Theodotou)
- fix concurrency issue in MidiEvents (Alexandros Theodotou)
- start using RealtimeSanitizer (Alexandros Theodotou)
- clang-format with clang20 (Alexandros Theodotou)
- move processor port disconnect logic to Tracklist (Alexandros Theodotou)
- cmake: add support for realtime sanitizer (Alexandros Theodotou)
- remove unused api (Alexandros Theodotou)
- fix windows ci (Alexandros Theodotou)
- remove unused Port API (Alexandros Theodotou)
- fix unused lambda capture (Alexandros Theodotou)
- ci: run benchmarks (Alexandros Theodotou)
- fix benchmarks build (Alexandros Theodotou)
- add prepare_for_processing() and release_resources() to IProcessable (Alexandros Theodotou)
- remove IClonable, add UniqueQObjectPtr (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- delete just whereami and leave dirent (needed by plugins on windows) (Alexandros Theodotou)
- Revert "remove unused external projects" (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- don't make Greeter modal (Alexandros Theodotou)
- remove validate and active project checks (Alexandros Theodotou)
- remove unused file (Alexandros Theodotou)
- remove unused external projects (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- add UI options to show device manager (Alexandros Theodotou)
- cmake: use CPM more (Alexandros Theodotou)
- cmake: fix CPMFindPackage calls (Alexandros Theodotou)
- cmake: include missing CPM.cmake file (Alexandros Theodotou)
- add support for AudioWorkgroups on mac (Alexandros Theodotou)
- start using gsl-lite (Alexandros Theodotou)
- cmake: start using CPM (Alexandros Theodotou)
- switch to juce::AudioDeviceManager and drop support for hardware port connections (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- abstract audio/midi backend drivers into AudioDriver/MidiDriver (Alexandros Theodotou)
- fix compilation on mac (Alexandros Theodotou)
- fix compilation with clang (Alexandros Theodotou)
- fix plugin UIs on gnu/linux (Alexandros Theodotou)
- refactor some classes into structure and engine namespaces (Alexandros Theodotou)
- put graph-related classes under  namespace (Alexandros Theodotou)
- fix compilation (Alexandros Theodotou)
- move MidiEvent to dsp module (Alexandros Theodotou)
- drop yaml project compatibility code (Alexandros Theodotou)
- remove more dependencies from Port and MidiEventVector (Alexandros Theodotou)
- drop rtaudio/rtmidi/portaudio/pulseaudio/alsa backend support (Alexandros Theodotou)
- move port connection classes to dsp module (Alexandros Theodotou)
- remove some Port/Plugin dependencies (Alexandros Theodotou)
- remove more Plugin class dependencies (Alexandros Theodotou)
- use juce::ScopedJuceInitialiser_GUI instead of creating a juce ApplicationBase (Alexandros Theodotou)
- reduce Plugin class dependencies (Alexandros Theodotou)
- ZrythmApplication: fix icon path (unsure if used) (Alexandros Theodotou)
- include missing plugins.h PCH (Alexandros Theodotou)
- remove dependency on fftw (use dlopen at runtime) (Alexandros Theodotou)
- add pch for plugins lib (Alexandros Theodotou)
- refactor PluginSetting into PluginConfiguration (Alexandros Theodotou)
- fix AU scan (Alexandros Theodotou)
- PluginManager: add API to create plugin instances from descriptors (Alexandros Theodotou)
- cmake: fix mac build again (Alexandros Theodotou)
- cmake: fix build with AU on mac (Alexandros Theodotou)
- show scanned plugins in plugin list in right dock (Alexandros Theodotou)
- cmake: add missing Qt6Test DLL to windeployqt invocation (Alexandros Theodotou)
- refactor plugin scanning code & add test (Alexandros Theodotou)
- reword README a bit (Alexandros Theodotou)
- Revert "cpack: move hidden dirs out of the DMG view on mac" (Alexandros Theodotou)
- README: include build instructions & remove redundant pages (Alexandros Theodotou)
- drop unused po directory (Alexandros Theodotou)
- use LightweightSemaphore more (Alexandros Theodotou)
- cpack: move hidden dirs out of the DMG view on mac (Alexandros Theodotou)
- delete unused image (Alexandros Theodotou)
- cpack: fix DMG background image (Alexandros Theodotou)
- appscript: increase delays (Alexandros Theodotou)
- cmake: add background image to macos installer (Alexandros Theodotou)
- use lightweightsemaphore instead of std::counting_semaphore in graph (Alexandros Theodotou)
- reuse: no annotation required for bundled lv2 (Alexandros Theodotou)
- graph: remove trigger_queue_size_ causing race issues on windows (Alexandros Theodotou)
- cmake: make pkgconfig optional (Alexandros Theodotou)
- cmake: make imagemagick optional (Alexandros Theodotou)
- ci: don't add paths for now-bundled lv2 and boost (Alexandros Theodotou)
- bundle lv2 (Alexandros Theodotou)
- cmake: only link juce LTO flags if LTO enabled (Alexandros Theodotou)
- cmake: include Qt pdb's in debug version (Alexandros Theodotou)
- fix warning-as-error on appleclang on boost/describe (Alexandros Theodotou)
- ci: fix windows qt paths (Alexandros Theodotou)
- cmake: autofetch boost (Alexandros Theodotou)
- ci: attempt build with included runtime (Alexandros Theodotou)
- use fetchcontent for boost (Alexandros Theodotou)
- use custom size_t string literal (Alexandros Theodotou)
- cmake: windows build simplifications (Alexandros Theodotou)
- remove now-moved .ico file (Alexandros Theodotou)
- cmake: add icon to windows app (Alexandros Theodotou)
- cmake: install pdb files on msvc (Alexandros Theodotou)
- ci: fix notarization timeout command (Alexandros Theodotou)
- ci: only notarize .dmg (not .app) (Alexandros Theodotou)
- ci: codesign and notarize dmg, add notarization timeout (Alexandros Theodotou)
- cmake/macos: use entitlements when code signing (Alexandros Theodotou)
- cmake: fix math expression in apple app bundle icon generation (Alexandros Theodotou)
- fix various mac app bundle issues (Alexandros Theodotou)
- cpack: fix windows installer (Alexandros Theodotou)
- cmake: build fixes (Alexandros Theodotou)
- cmake/cpack: macos build fixes (Alexandros Theodotou)
- cmake: bump fmt and spdlog versions (Alexandros Theodotou)
- cmake: use custom plist on mac (Alexandros Theodotou)
- cmake: add COMMAND_ERROR_IS_FATAL to some execute_process calls (Alexandros Theodotou)
- cmake: include missing macos codesign scripts (Alexandros Theodotou)
- ci: codesign and notarize macos app bundle (Alexandros Theodotou)
- macdeployqt: enable codesigning (Alexandros Theodotou)
- cmake: remove more gpl-incompatible and unneeded windeployqt dependencies (Alexandros Theodotou)
- avoid fs::path::string() (Alexandros Theodotou)
- cmake: fix windows installer README path (Alexandros Theodotou)
- cmake: more windows installer improvements (Alexandros Theodotou)
- cmake: windows installer fixes (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate bmp file for windows installer (Alexandros Theodotou)
- cmake: fix magick discovery on windows (Alexandros Theodotou)
- cmake: add PATHS for rsvg-convert on mac (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate ico/icons for cpack (Alexandros Theodotou)
- cmake/macdeployqt: fix not using .app bundle name (Alexandros Theodotou)
- cpack/windows: remove vc_redist.x64.exe after running windeployqt (Alexandros Theodotou)
- cmake: don't use shallow clone for nlohmann json (Alexandros Theodotou)
- ci: force-update cache (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake/cpack: use windeployqt and macdeployqt (Alexandros Theodotou)
- cmake/cpack: comment out non-existing icons (Alexandros Theodotou)
- ci: merge build & package stages (Alexandros Theodotou)
- cmake: don't build appdata XML on non-GNU platforms (Alexandros Theodotou)
- cmake: add BUNDLE to zrythm install() (Alexandros Theodotou)
- cpack: don't pack fftw on windows/mac (Alexandros Theodotou)
- cmake: create Runtime component for CPack (Alexandros Theodotou)
- build: add packaging stage & use FetchContent for type_safe (Alexandros Theodotou)
- more ci/build fixes (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix ci build & update ubuntu20 dockerfile (Alexandros Theodotou)
- ci: restore requirements.txt versions but disable installation on ubuntu20 (Alexandros Theodotou)
- ci: disable user manual build on ubuntu20 (Alexandros Theodotou)
- requirements.txt: lower some python library dependency versions to build on ubuntu 20 (Alexandros Theodotou)
- add zrythm build instructions in Dockerfile (Alexandros Theodotou)
- ci: use ubuntu docker image for builds (Alexandros Theodotou)
- cmake: fix juce build (Alexandros Theodotou)
- cmake: link juce to system freetype2 (Alexandros Theodotou)
- cmake: link curl to juce_clap_hosting_lib too (Alexandros Theodotou)
- cmake: make libdw dependency optional (Alexandros Theodotou)
- use local http server for networking test (Alexandros Theodotou)
- fix user manual translation issues (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- submodule: update doxygen-awesome-css (Alexandros Theodotou)
- cmake: enable LTO and other optimizing link options (Alexandros Theodotou)
- fix more msvc/clang errors (Alexandros Theodotou)
- remove some unused variables (clang warnings) (Alexandros Theodotou)
- fix compilation error on clang (Alexandros Theodotou)
- replace usage of yyjson with nlohmann::json (Alexandros Theodotou)
- cmake: don't explicitly link to x11 (Alexandros Theodotou)
- ci: don't require update-manual job to update dev docs (Alexandros Theodotou)
- PeakDsp: disable edge cases test when building with -ffast-math (Alexandros Theodotou)
- cmake: force release build of curl (Alexandros Theodotou)
- fix handling of invalid values in PeakDsp (Alexandros Theodotou)
- wrap ZrythmException in namespace (Alexandros Theodotou)
- cmake/mbedtls: disable fatal warnings (Alexandros Theodotou)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- cmake: use FetchContent for curl dependency on gnu/linux (Alexandros Theodotou)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Japanese) (Y_NOIZ)
- Translated using Weblate (Russian) (AnanaSeek4Jam)
- Translated using Weblate (Chinese (Simplified Han script)) (alcoholicgirllover)
- Translated using Weblate (Japanese) (Haruki Shimauchi)
- Translated using Weblate (Chinese (Simplified Han script)) (王晨旭)
- Translated using Weblate (Chinese (Traditional Han script)) (hugoalh)
- Translated using Weblate (Turkish) (Burak Hüseyin Ekseli)
- Translated using Weblate (German) (Kai A)
- Translated using Weblate (Russian) (Victor Gridnevsky)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (French) (AlexC)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Serbian) (Anonymous)
- Translated using Weblate (Ukrainian) (Максим Горпиніч)
- Translated using Weblate (Italian) (Marco Ciampa)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (Ettore Atalan)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Translated using Weblate (Spanish) (gallegonovato)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (French) (Max)
- Translated using Weblate (Catalan) (Maite Guix)
- fix missing include (Alexandros Theodotou)
- disable chromaprint again (Alexandros Theodotou)
- disable chromaprint dependency for now (Alexandros Theodotou)
- qml: fix various issues reported by qmllint (Alexandros Theodotou)
- switch to Noto fonts for everything (Alexandros Theodotou)
- ci: fix build environment (disable gtk in qt build) (Alexandros Theodotou)
- move Track destructor to .cpp file to fix too many inlines error in gcc (Alexandros Theodotou)
- ci: remove /verbose link mode on msvc (Alexandros Theodotou)
- ci: manually discard verbose msvc linker output (Alexandros Theodotou)
- attempt to make msbuild linker less verbose (Alexandros Theodotou)
- ci: fix windows ctest invocation (Alexandros Theodotou)
- cmake: use gtest_add_tests() instead of gtest_discover_tests() on windows (Alexandros Theodotou)
- cmake: prevent in-source builds (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- cmake: simplify sanitizers section (Alexandros Theodotou)
- fix windows build error (Alexandros Theodotou)
- ci: add build command in clazy step (Alexandros Theodotou)
- fix windows build again (Alexandros Theodotou)
- ci: add clazy step (Alexandros Theodotou)
- utils/io.h: fix windows-only code (Alexandros Theodotou)
- fix deleted function implementation (Alexandros Theodotou)
- add custom String class to handle UTF8 strings (Alexandros Theodotou)
- enable unity builds in more places (Alexandros Theodotou)
- cmake: don't link to DbgHelp explicitly (backwardcpp uses pragma to link to it) (Alexandros Theodotou)
- ci: fix powershell command (Alexandros Theodotou)
- ci: fix executable path passed to windeployqt (Alexandros Theodotou)
- ci: use less verbose msbuild options (Alexandros Theodotou)
- ci: remove unsupported 1-to-1 mapping for configure and build (Alexandros Theodotou)
- enable unity builds for dsp/utils libs (Alexandros Theodotou)
- ci: drop --verbose from windows build (Alexandros Theodotou)
- increase tolerance on MonotonicTimeProviderTest::TimeConversion (Alexandros Theodotou)
- cmake: turn off automoc for test LV2 plugins (Alexandros Theodotou)
- ci: only depend on corresponding Debug/Release configuration job (Alexandros Theodotou)
- fix compilation error on mac/release (Alexandros Theodotou)
- ci: fix powershell syntax error (Alexandros Theodotou)
- ci: fix windows syntax (Alexandros Theodotou)
- ci: fix syntax (Alexandros Theodotou)
- ci: use parallel matrix for Debug/Release builds (Alexandros Theodotou)
- add qurl to qstring converter (Alexandros Theodotou)
- use custom string conversion api (Alexandros Theodotou)
- various build adjustments (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- ci: run windeployqt after build (Alexandros Theodotou)
- add missing qml file (Alexandros Theodotou)
- use custom conversion functions for QString <=> fs::path (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix windows build (Alexandros Theodotou)
- fix missing include in views.h (Alexandros Theodotou)
- fix build without pch (Alexandros Theodotou)
- ci: disable precompiled headers on windows (Alexandros Theodotou)
- ci: try to update cache (Alexandros Theodotou)
- attempt to fix linking to debug runtime lib (Alexandros Theodotou)
- fix unused include in engine main.cpp (Alexandros Theodotou)
- add missing CTestCustom file (Alexandros Theodotou)
- fix some more CI/build issues (Alexandros Theodotou)
- fix CI build issues (Alexandros Theodotou)
- simplify ProjectManager thread handling (Alexandros Theodotou)
- use standard c++ instead of QFuture (fails to link on msvc) (Alexandros Theodotou)
- use fs::path more (Alexandros Theodotou)
- cmake: fix ctest (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix some msvc issues (Alexandros Theodotou)
- ci: fix PATH on macos (Alexandros Theodotou)
- fix various msvc issues (Alexandros Theodotou)
- UuidIdentifiableObjectView: use CRTP optionally on iterator class (Alexandros Theodotou)
- simplify UuidIdentifiableObject spans (Alexandros Theodotou)
- cmake: improve mac build (Alexandros Theodotou)
- macos fixes (Alexandros Theodotou)
- cmake: declare fftw twice for float/double (Alexandros Theodotou)
- run clang-format (Alexandros Theodotou)
- fix some build issues, add alternative views::enumerate (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- ci: fix artifacts exclusion dir (Alexandros Theodotou)
- GraphScheduler: fallback to non-realtime thread (Alexandros Theodotou)
- cmake: fix soxr header not found (Alexandros Theodotou)
- cmake: attempt to fix macos again (Alexandros Theodotou)
- cmake: use CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS (Alexandros Theodotou)
- cmake: add global -Wno-documentation flag (Alexandros Theodotou)
- cmake: set higher default policy (Alexandros Theodotou)
- cmake: use system lv2 (Alexandros Theodotou)
- cmake: refactor and disable -Wdocumentation for yyjson (Alexandros Theodotou)
- cmake: disable rtmidi support (Alexandros Theodotou)
- cmake: use fetch-content for gtest/gbenchmark (Alexandros Theodotou)
- cmake: fix gtest linking (Alexandros Theodotou)
- cmake: use fetchcontent for gtest (Alexandros Theodotou)
- cmake:use non-config boost on mac (Alexandros Theodotou)
- cmake: disable tests for fftw (Alexandros Theodotou)
- ci: specify boost root on mac (Alexandros Theodotou)
- bundle rubberband (Alexandros Theodotou)
- cmake: temporarily drop lilv dependency (Alexandros Theodotou)
- cmake: use fetch-content more (Alexandros Theodotou)
- cmake: use fetch content on some dependencies instead of system (Alexandros Theodotou)
- ci: use FETCHCONTENT_TRY_FIND_PACKAGE_MODE=NEVER (Alexandros Theodotou)
- ci: attempt to fix manpage generation (Alexandros Theodotou)
- cmake: disable unused tests (Alexandros Theodotou)
- refactor: avoid use of sprintf (Alexandros Theodotou)
- add missing crill CMakeLists.txt (Alexandros Theodotou)
- fix juce build, clean up more compiler warnings/errors (Alexandros Theodotou)
- various msvc fixes (Alexandros Theodotou)
- cmake: fix JUCE clap hosting issue (Alexandros Theodotou)
- Revert "more cmake refactoring for spdlog" (Alexandros Theodotou)
- more cmake refactoring for spdlog (Alexandros Theodotou)
- various build fixes & refactoring of finding JACK (Alexandros Theodotou)
- windows fixes (Alexandros Theodotou)
- attempt to fix juce-related build issues (Alexandros Theodotou)
- fix inclusion of deleted header (Alexandros Theodotou)
- fix some msvc errors (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- drop ISerializableBase and minor changes to build on g++ (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- more ci fixes (Alexandros Theodotou)
- fix various build issues on gcc/appleclang/msvc (Alexandros Theodotou)
- various fixes for ci (Alexandros Theodotou)
- ci: revert to using artifacts (Alexandros Theodotou)
- ci: remove invalid yaml key (Alexandros Theodotou)
- ci: use cache instead of artifacts for passing job results forward (Alexandros Theodotou)
- ci: add more exclusions for artifacts (Alexandros Theodotou)
- ci: exclude .git directories from artifacts (Alexandros Theodotou)
- ci: bump cache ID (Alexandros Theodotou)
- cmake: disable translations on xcode (Alexandros Theodotou)
- ci: attempt to fix xcode + qt_add_translations (Alexandros Theodotou)
- cmake: fix forcing cyaml dependency even when option is off (Alexandros Theodotou)
- cmake: attempt to fix macos bundle-related errors (Alexandros Theodotou)
- ci: fix CMAKE_PREFIX_PATH option on mac (Alexandros Theodotou)
- cmake: disable YAML project compatibility by default (Alexandros Theodotou)
- ci: disable old cyaml-based project compatibility (Alexandros Theodotou)
- fix type_safe CMakeLists.txt error with cmake 4 (Alexandros Theodotou)
- cmake: make Gettext optional (Alexandros Theodotou)
- requirements.txt: upgrade cmake (Alexandros Theodotou)
- add boost::describe support, start fixing CI (Alexandros Theodotou)
- build: detect CCache automatically (Alexandros Theodotou)
- fix remaining missing licenses (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- remove `init_loaded()` from ArrangerObject (Alexandros Theodotou)
- more ArrangerObject class cleanup (Alexandros Theodotou)
- ci: disable github actions jobs (Alexandros Theodotou)
- reuse: add some missing licenses (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- use strong types for frames <=> ticks multipliers (Alexandros Theodotou)
- cleanup/clarify some ArrangerObject API (Alexandros Theodotou)
- remove `print_to_str()` API from ArrangerObject (Alexandros Theodotou)
- add ArrangerObjectOwner/ListModel, drop RegionOwner/List (Alexandros Theodotou)
- reduce external dependencies for AudioPool (Alexandros Theodotou)
- add ArrangerObjectSelectionManager for handling object selections (Alexandros Theodotou)
- make TrackSelectionManager generic for all UuidIdentifiableObjects (Alexandros Theodotou)
- track Track selections at Tracklist (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- simplify API for removing tracks and plugins (Alexandros Theodotou)
- add TrackFactory (still incomplete, TODO) (Alexandros Theodotou)
- use reference counting for UUID-identified objects (Alexandros Theodotou)
- drop PluginIdentifier and fix a memory leak in ISerializable (Alexandros Theodotou)
- use factory pattern for arranger objects and remove RegionIdentifier (Alexandros Theodotou)
- qml: edit PianoRollKeys appearance (Alexandros Theodotou)
- qml: add piano roll keys element (Alexandros Theodotou)
- qml: fix loader condition for clip editor grid (Alexandros Theodotou)
- qml: update clip editor based on selected region (Alexandros Theodotou)
- fix track names and region creation (Alexandros Theodotou)
- use c++ attributes instead of macros (Alexandros Theodotou)
- fix incorrect use of std::views::iota (Alexandros Theodotou)
- BottmDock QML: create basic structure for editor components (Alexandros Theodotou)
- vscode settings: use ccache (Alexandros Theodotou)
- PlaceholderPage.qml: make image color follow style (Alexandros Theodotou)
- QML: start adding editor UI parts (Alexandros Theodotou)
- replace arranger selections with ArrangerObjectSpan (Alexandros Theodotou)
- add UUID-based registry system (initial implementation) (Alexandros Theodotou)
- add UuidIdentifiableObject class (Alexandros Theodotou)
- Port: generalize PortOwner into new interface (Alexandros Theodotou)
- refactor finding ports from PortIdentifier to a Project method (Alexandros Theodotou)
- very minor performance improvements in graph scheduling (Alexandros Theodotou)
- cleanup graph API & add tests/benchmarks (Alexandros Theodotou)
- split graph scheduling logic from Graph (Alexandros Theodotou)
- clean up GraphBuilder API (Alexandros Theodotou)
- split graph building logic to separate class (Alexandros Theodotou)
- use IProcessable interface to reduce Graph dependencies (Alexandros Theodotou)
- refactor port backend logic to new interface (Alexandros Theodotou)
- refactor balance control calculation to be part of "panning" (Alexandros Theodotou)
- decouple GraphNode and move to DSP module (Alexandros Theodotou)
- GraphNode: make Transport dependency explicit (Alexandros Theodotou)
- move ChordDescriptor and MusicalScale to DSP module (Alexandros Theodotou)
- refactor AudioClip to remove dependencies (Alexandros Theodotou)
- add missing CurvePreset code (Alexandros Theodotou)
- refactor AudioClip, make API simpler (Alexandros Theodotou)
- cmake: rename zrythm_lib to zrythm_gui_lib (Alexandros Theodotou)
- clangd: lower error limit (Alexandros Theodotou)
- move ditherer and curve to DSP module (Alexandros Theodotou)
- move stretcher to DSP module (Alexandros Theodotou)
- remove some unused meson.build files (Alexandros Theodotou)
- refactor: move meter DSP logic to DSP module (Alexandros Theodotou)
- move port identifier and plugin identifier to dsp module (Alexandros Theodotou)
- refactoring: create separate utils and dsp modules (Alexandros Theodotou)
- cleanup some old localization files (Alexandros Theodotou)
- port translations from gettext (Alexandros Theodotou)
- undo/redo support, arranger cursors, toolbox (Alexandros Theodotou)
- add more arranger functionality (create MIDI regions) (Alexandros Theodotou)
- drop glib, show arranger objects in timeline, etc. (Alexandros Theodotou)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (nilsholle)
- Translated using Weblate (Portuguese) (ssantos)
- Translated using Weblate (Catalan) (Maite Guix)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (Norwegian Bokmål) (Allan Nordhøy)
- Translated using Weblate (Macedonian) (AND)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (Polish) (Prefex)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Added translation using Weblate (Tamil) (Languages add-on)
- Translated using Weblate (Polish) (Krylan)
- Translated using Weblate (Russian) (John Johnson)
- Translated using Weblate (Chinese (Traditional)) (hugoalh)
- Translated using Weblate (Italian) (GB)
- Translated using Weblate (Russian) (Evgeniy Khramov)
- Translated using Weblate (Russian) (Kirill Plotnikov)
- add meters (Alexandros Theodotou)
- qml: add automation tracks to track view (Alexandros Theodotou)
- qml: implement track lanes support (Alexandros Theodotou)
- update INSTALL/README (Alexandros Theodotou)
- fix linking issue with dsp utils (Alexandros Theodotou)
- make position updates rt-safe, drop lsp-dsp dependency (Alexandros Theodotou)
- implement basic ruler (Alexandros Theodotou)
- connect up the engine (in-process for now, as before) (Alexandros Theodotou)
- qml: add transport controls (Alexandros Theodotou)
- qml: tracklist showing (Alexandros Theodotou)
- gui: add dark/light mode switch and theme color selection (Alexandros Theodotou)
- qml: add more styled widgets, improve existing (Alexandros Theodotou)
- qml: create custom Zrythm style (Alexandros Theodotou)
- qml: restructure code (Alexandros Theodotou)
- add tabbar/tabbutton, require qt 6.8 (Alexandros Theodotou)
- edit toolbuttons a bit (Alexandros Theodotou)
- add text toolbar elements (Alexandros Theodotou)
- add arranger (wip), custom menus (Alexandros Theodotou)
- add basic layout (Alexandros Theodotou)
- cmake refactor (move QML executable to src/gui) (Alexandros Theodotou)
- add custom menubar and toolbutton (Alexandros Theodotou)
- allow creating new project without template (Alexandros Theodotou)
- greeter: add dummy project loading logic (Alexandros Theodotou)
- README: mention that this is the qt branch (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- juce: disable version printing (Alexandros Theodotou)
- qml/backend: add project management-related logic (Alexandros Theodotou)
- plugin scanner: allow scanning directly from cmd line (Alexandros Theodotou)
- plugin scanning: use paths/save/restore known plugins (Alexandros Theodotou)
- qml: rename greeter to Greeter (Alexandros Theodotou)
- drop gtk dependency (Alexandros Theodotou)
- requirements.txt: add cmake-format (Alexandros Theodotou)
- plugin scanning for LV2/LADSPA/VST3/CLAP (Alexandros Theodotou)
- plugin scan working (other than LV2) (Alexandros Theodotou)
- vscode: add qt-specific pre-instructions to cody (Alexandros Theodotou)
- fix clang-format qt header handling (Alexandros Theodotou)
- expose global state to QML (Alexandros Theodotou)
- add namespace for plugin-related classes (Alexandros Theodotou)
- merge gui/glue and gui/backend to just backend (Alexandros Theodotou)
- fix licensing issues (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- start using namespaces (Alexandros Theodotou)
- reorganize source files (Alexandros Theodotou)
- re-organize old gui-related code (Alexandros Theodotou)
- clean up, re-organize, remove some meson related files (Alexandros Theodotou)
- reorganize code a bit (Alexandros Theodotou)
- zrythm application: optionally read env variable for engine path (Alexandros Theodotou)
- qml: add custom progress bar, fixup greeter progress page (Alexandros Theodotou)
- qml: fixup preferences page, add filepicker (Alexandros Theodotou)
- qml: include missing svg for up-down chevrons (Alexandros Theodotou)
- qml: don't use versions in imports (Alexandros Theodotou)
- qml: add custom combo box (Alexandros Theodotou)
- dont look for kddockwidgets or kirigami (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- cmake: add debug prints before running help2man (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- Revert "cmake: use static vamp on msys2/mingw" (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: use static vamp on msys2/mingw (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- don't use qt_add_resources (discouraged by qt devs) (Alexandros Theodotou)
- remove kirigami, use basic style with customized widgets (Alexandros Theodotou)
- almost done with first run carousel (Alexandros Theodotou)
- add qsettings manager (Alexandros Theodotou)
- move engine to separate process (Alexandros Theodotou)
- add basic qt main window (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- start using gtkmm, add more compile-time checks (Alexandros Theodotou)
- build fixes for windows (Alexandros Theodotou)
- cmake: build fixes for macos (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- fix optimization flag mismatch on msvc (Alexandros Theodotou)
- add user manual (WIP builds but no localization) (Alexandros Theodotou)
- ci: fix build-time errors (Alexandros Theodotou)
- cmake: use fetch-content to mimic meson subprojects (Alexandros Theodotou)
- port to cmake (Alexandros Theodotou)
- fix more msvc compilation errors (Alexandros Theodotou)
- replace zita resampler with cpp version (Alexandros Theodotou)
- rename function attributes to avoid clash with msvc (Alexandros Theodotou)
- disable strict strings (Alexandros Theodotou)
- ci: attempt to fix builtin plugins errors (Alexandros Theodotou)
- add dirent (Alexandros Theodotou)
- build: attempt to fix lilv (Alexandros Theodotou)
- use gtest (Alexandros Theodotou)
- fix build issues (Alexandros Theodotou)
- whereami: update (Alexandros Theodotou)
- ci: cache per runner (Alexandros Theodotou)
- tests: don't use ubsan on msvc (Alexandros Theodotou)
- gen-translators-list: ensure input/output is utf8 (Alexandros Theodotou)
- ci: remove cleanup section (Alexandros Theodotou)
- drop appstream dependency from libadwaita (Alexandros Theodotou)
- drop gtksourceview dependency (Alexandros Theodotou)
- ci: fix windows (Alexandros Theodotou)
- ci: don't build manpage on windows (Alexandros Theodotou)
- drop guile dependency (Alexandros Theodotou)
- drop sed dependency, move a bash script to python (Alexandros Theodotou)
- drop direct libcurl usage (Alexandros Theodotou)
- ci: add windows (Alexandros Theodotou)
- dont use jthreads (not available on mac) (Alexandros Theodotou)
- ci: try to build mac (Alexandros Theodotou)
- requirements: add cmake (Alexandros Theodotou)
- bump python requirements and remove some unnecessary inlines (Alexandros Theodotou)
- ci: enable mac builder (Alexandros Theodotou)
- fix more issues (Alexandros Theodotou)
- ci: use benchmark (Alexandros Theodotou)
- use init_loaded_base on arranger objects (Alexandros Theodotou)
- replace backtrace getter, remove pcre2 (Alexandros Theodotou)
- make benchmarks work again, use gbenchmark, more fixes (Alexandros Theodotou)
- fix engine ticks/frame calculation (Alexandros Theodotou)
- various fixes (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- clang-tidy: add more checks (Alexandros Theodotou)
- fix more issues, 1 more test pass (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- organize code and fix some more issues (Alexandros Theodotou)
- some runtime fixes, various other fixes (Alexandros Theodotou)
- fix compilation of tests and build without lsp (Alexandros Theodotou)
- fix more issues, more tests pass (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- fix various issues (Alexandros Theodotou)
- use factory pattern for tracks (Alexandros Theodotou)
- fix more issues, now can generate the processing graph (Alexandros Theodotou)
- fix various issues - test now can add a couple of tracks (Alexandros Theodotou)
- fix licensing issues, upgrade to reuse TOML (Alexandros Theodotou)
- fix logger, fix more tests (Alexandros Theodotou)
- fix compilation with gcc, fix doctest issues (Alexandros Theodotou)
- port to C++20 (WIP) (Alexandros Theodotou)
- ci: don't build with ASAN (Alexandros Theodotou)
- port gen-appdata-xml to python and update project description (Alexandros Theodotou)
- refactor, port various components to C++ classes (Alexandros Theodotou)
- make ZrythmDirectoryManager a singleton (Alexandros Theodotou)
- meson: disable -fanalyzer (too many false positives) (Alexandros Theodotou)
- shorten ZrythmDirType enum value names (Alexandros Theodotou)
- disable the audio engine for a test that doesn't need it (Alexandros Theodotou)
- add option to build tests statically (Alexandros Theodotou)
- tracklist: convert tracks array to vector (Alexandros Theodotou)
- refactor ProgressInfo (Alexandros Theodotou)
- attempt to deactivate engine before freeing gZrythm (Alexandros Theodotou)
- add missing license (Alexandros Theodotou)
- minor refactoring (Alexandros Theodotou)
- editor files (Alexandros Theodotou)
- fix typo (Alexandros Theodotou)
- port Port to C++ idioms (Alexandros Theodotou)
- port Channel functions to member methods (Alexandros Theodotou)
- refactor Port (WIP) (Alexandros Theodotou)
- refactor CarlaBridgeMode (Alexandros Theodotou)
- add vscode configs (Alexandros Theodotou)
- fix some memory leaks now that PortIdentifier is allocated with `new` (Alexandros Theodotou)
- port PortIdentifier to c++, some more refactoring (Alexandros Theodotou)
- add missing JUCE dependencies on windows (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- fix another windows build error (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- fix more windows build issues (Alexandros Theodotou)
- attempt to use shared lib for tests in CI (Alexandros Theodotou)
- windows fix (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes, refactoring (Alexandros Theodotou)
- more fixes, refactoring (Alexandros Theodotou)
- fix compilation on windows (Alexandros Theodotou)
- ci: use magic_enum from distro (Alexandros Theodotou)
- precompile windows.h on windows (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- macos fixes and pch improvements (alex)
- more refactoring, mac/windows fixes (Alexandros Theodotou)
- meson: set default backend_max_links=1 (Alexandros Theodotou)
- fix windows build, revert to using _WIN32 (Alexandros Theodotou)
- remove PURE from functions (windows build fails) (Alexandros Theodotou)
- meson: remove unused pcre subproject (Alexandros Theodotou)
- fix build on mac (Alexandros Theodotou)
- refactoring, cleanup (Alexandros Theodotou)
- clang-format: rearrange headers (Alexandros Theodotou)
- build: fix unused variable error (Alexandros Theodotou)
- juce: add -fpermissive flag on windows (Alexandros Theodotou)
- meson: add more optimization flags (Alexandros Theodotou)
- add missing appleframeworks to build juce on mac (Alexandros Theodotou)
- rename kissfft in qm-dsp to avoid conflicts (Alexandros Theodotou)
- avoid passing initializer as reference (Alexandros Theodotou)
- remove some usage of Z_GRAPHENE_*_INIT (Alexandros Theodotou)
- start using JUCE core for StringArray (Alexandros Theodotou)
- cleanup compilation flags, fix some apple clang errors (Alexandros Theodotou)
- plugin manager: add AU detection (Alexandros Theodotou)
- convert Zrythm struct to C++ class (Alexandros Theodotou)
- clang-format: add option pending clang 18 (Alexandros Theodotou)
- meson: use cpp as main compiler (Alexandros Theodotou)
- ci: cache more subprojects (Alexandros Theodotou)
- fix error: taking address of temporary array (Alexandros Theodotou)
- add missing copyright (Alexandros Theodotou)
- fix CI (force fallback for magic enum and enable cyaml) (Alexandros Theodotou)
- port to C++ (Alexandros Theodotou)
- fix strict build (Alexandros Theodotou)
- meson: require at least 1.3.0 (Alexandros Theodotou)
- appdata: add branding colors and vcs url (Alexandros Theodotou)
- use glib-mkenums more (Alexandros Theodotou)
- add some more error checking for plugin protocol (Alexandros Theodotou)
- noop: formatting (Alexandros Theodotou)
- stop using some deprecated gtk API (Alexandros Theodotou)
- build: make cyaml dependency optional (Alexandros Theodotou)
- port plugin settings/cached plugins/plugin collections to JSON (Alexandros Theodotou)

* Tue Jun 24 2025 filippor <filippo.rossoni@gmail.com> - v1.0.0-1.20250624165246372405.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac
- add fedora build (filippor)
- match arranger grid lines to ruler (Alexandros Theodotou)
- qml: extract PlayheadTriangle to separate file (Alexandros Theodotou)
- simplify & optimize Ruler.qml (Alexandros Theodotou)
- fix clang release build (Alexandros Theodotou)
- speed up compilation times with better PCH for gui lib and zrythm exe (Alexandros Theodotou)
- add missing file (Alexandros Theodotou)
- start using new tempo map in QML (Alexandros Theodotou)
- cmake: disable warnings on unknown attributes and errors on deprecated method usage (Alexandros Theodotou)
- clang-tidy: add more warnings-as-errors (Alexandros Theodotou)
- add new Playhead type (not used in project yet) (Alexandros Theodotou)
- use snake_case for methods in TempoMap (Alexandros Theodotou)
- remove TempoTrack (Alexandros Theodotou)
- start using TempoMap via TempoMapWrapper (Alexandros Theodotou)
- vscode settings: set CPM cache dir (Alexandros Theodotou)
- README: simplify build instructions (Alexandros Theodotou)
- TempoMap: make sample rate parameter mandatory (Alexandros Theodotou)
- fix usage of z literal not available yet in some compilers (Alexandros Theodotou)
- fix build (Alexandros Theodotou)
- cmake: disable direct JACK support (Alexandros Theodotou)
- TempoMap: remove unnecessary overloads (Alexandros Theodotou)
- merge flags members in PortIdentifier into one type (Alexandros Theodotou)
- add AtomicPositionQmlAdapter class (Alexandros Theodotou)
- add AtomicPosition class to dsp module (Alexandros Theodotou)
- add TempoMap class (Alexandros Theodotou)
- remove unnecessary dependencies from ControlPort (Alexandros Theodotou)
- close audio device before closing the open project (Alexandros Theodotou)
- cleanup port API more (Alexandros Theodotou)
- clean up Port API (Alexandros Theodotou)
- add some docs to RealtimeUpdater related classes (Alexandros Theodotou)
- cmake: link to a dummy source file to fix error in some cmake versions (Alexandros Theodotou)
- ci: fix cpm cache path again (Alexandros Theodotou)
- ci: fix usage of env variables in variable values (Alexandros Theodotou)
- ci: enable cpm cache dir (Alexandros Theodotou)
- fix concurrency issue in MidiEvents (Alexandros Theodotou)
- start using RealtimeSanitizer (Alexandros Theodotou)
- clang-format with clang20 (Alexandros Theodotou)
- move processor port disconnect logic to Tracklist (Alexandros Theodotou)
- cmake: add support for realtime sanitizer (Alexandros Theodotou)
- remove unused api (Alexandros Theodotou)
- fix windows ci (Alexandros Theodotou)
- remove unused Port API (Alexandros Theodotou)
- fix unused lambda capture (Alexandros Theodotou)
- ci: run benchmarks (Alexandros Theodotou)
- fix benchmarks build (Alexandros Theodotou)
- add prepare_for_processing() and release_resources() to IProcessable (Alexandros Theodotou)
- remove IClonable, add UniqueQObjectPtr (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- delete just whereami and leave dirent (needed by plugins on windows) (Alexandros Theodotou)
- Revert "remove unused external projects" (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- don't make Greeter modal (Alexandros Theodotou)
- remove validate and active project checks (Alexandros Theodotou)
- remove unused file (Alexandros Theodotou)
- remove unused external projects (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- add UI options to show device manager (Alexandros Theodotou)
- cmake: use CPM more (Alexandros Theodotou)
- cmake: fix CPMFindPackage calls (Alexandros Theodotou)
- cmake: include missing CPM.cmake file (Alexandros Theodotou)
- add support for AudioWorkgroups on mac (Alexandros Theodotou)
- start using gsl-lite (Alexandros Theodotou)
- cmake: start using CPM (Alexandros Theodotou)
- switch to juce::AudioDeviceManager and drop support for hardware port connections (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- abstract audio/midi backend drivers into AudioDriver/MidiDriver (Alexandros Theodotou)
- fix compilation on mac (Alexandros Theodotou)
- fix compilation with clang (Alexandros Theodotou)
- fix plugin UIs on gnu/linux (Alexandros Theodotou)
- refactor some classes into structure and engine namespaces (Alexandros Theodotou)
- put graph-related classes under  namespace (Alexandros Theodotou)
- fix compilation (Alexandros Theodotou)
- move MidiEvent to dsp module (Alexandros Theodotou)
- drop yaml project compatibility code (Alexandros Theodotou)
- remove more dependencies from Port and MidiEventVector (Alexandros Theodotou)
- drop rtaudio/rtmidi/portaudio/pulseaudio/alsa backend support (Alexandros Theodotou)
- move port connection classes to dsp module (Alexandros Theodotou)
- remove some Port/Plugin dependencies (Alexandros Theodotou)
- remove more Plugin class dependencies (Alexandros Theodotou)
- use juce::ScopedJuceInitialiser_GUI instead of creating a juce ApplicationBase (Alexandros Theodotou)
- reduce Plugin class dependencies (Alexandros Theodotou)
- ZrythmApplication: fix icon path (unsure if used) (Alexandros Theodotou)
- include missing plugins.h PCH (Alexandros Theodotou)
- remove dependency on fftw (use dlopen at runtime) (Alexandros Theodotou)
- add pch for plugins lib (Alexandros Theodotou)
- refactor PluginSetting into PluginConfiguration (Alexandros Theodotou)
- fix AU scan (Alexandros Theodotou)
- PluginManager: add API to create plugin instances from descriptors (Alexandros Theodotou)
- cmake: fix mac build again (Alexandros Theodotou)
- cmake: fix build with AU on mac (Alexandros Theodotou)
- show scanned plugins in plugin list in right dock (Alexandros Theodotou)
- cmake: add missing Qt6Test DLL to windeployqt invocation (Alexandros Theodotou)
- refactor plugin scanning code & add test (Alexandros Theodotou)
- reword README a bit (Alexandros Theodotou)
- Revert "cpack: move hidden dirs out of the DMG view on mac" (Alexandros Theodotou)
- README: include build instructions & remove redundant pages (Alexandros Theodotou)
- drop unused po directory (Alexandros Theodotou)
- use LightweightSemaphore more (Alexandros Theodotou)
- cpack: move hidden dirs out of the DMG view on mac (Alexandros Theodotou)
- delete unused image (Alexandros Theodotou)
- cpack: fix DMG background image (Alexandros Theodotou)
- appscript: increase delays (Alexandros Theodotou)
- cmake: add background image to macos installer (Alexandros Theodotou)
- use lightweightsemaphore instead of std::counting_semaphore in graph (Alexandros Theodotou)
- reuse: no annotation required for bundled lv2 (Alexandros Theodotou)
- graph: remove trigger_queue_size_ causing race issues on windows (Alexandros Theodotou)
- cmake: make pkgconfig optional (Alexandros Theodotou)
- cmake: make imagemagick optional (Alexandros Theodotou)
- ci: don't add paths for now-bundled lv2 and boost (Alexandros Theodotou)
- bundle lv2 (Alexandros Theodotou)
- cmake: only link juce LTO flags if LTO enabled (Alexandros Theodotou)
- cmake: include Qt pdb's in debug version (Alexandros Theodotou)
- fix warning-as-error on appleclang on boost/describe (Alexandros Theodotou)
- ci: fix windows qt paths (Alexandros Theodotou)
- cmake: autofetch boost (Alexandros Theodotou)
- ci: attempt build with included runtime (Alexandros Theodotou)
- use fetchcontent for boost (Alexandros Theodotou)
- use custom size_t string literal (Alexandros Theodotou)
- cmake: windows build simplifications (Alexandros Theodotou)
- remove now-moved .ico file (Alexandros Theodotou)
- cmake: add icon to windows app (Alexandros Theodotou)
- cmake: install pdb files on msvc (Alexandros Theodotou)
- ci: fix notarization timeout command (Alexandros Theodotou)
- ci: only notarize .dmg (not .app) (Alexandros Theodotou)
- ci: codesign and notarize dmg, add notarization timeout (Alexandros Theodotou)
- cmake/macos: use entitlements when code signing (Alexandros Theodotou)
- cmake: fix math expression in apple app bundle icon generation (Alexandros Theodotou)
- fix various mac app bundle issues (Alexandros Theodotou)
- cpack: fix windows installer (Alexandros Theodotou)
- cmake: build fixes (Alexandros Theodotou)
- cmake/cpack: macos build fixes (Alexandros Theodotou)
- cmake: bump fmt and spdlog versions (Alexandros Theodotou)
- cmake: use custom plist on mac (Alexandros Theodotou)
- cmake: add COMMAND_ERROR_IS_FATAL to some execute_process calls (Alexandros Theodotou)
- cmake: include missing macos codesign scripts (Alexandros Theodotou)
- ci: codesign and notarize macos app bundle (Alexandros Theodotou)
- macdeployqt: enable codesigning (Alexandros Theodotou)
- cmake: remove more gpl-incompatible and unneeded windeployqt dependencies (Alexandros Theodotou)
- avoid fs::path::string() (Alexandros Theodotou)
- cmake: fix windows installer README path (Alexandros Theodotou)
- cmake: more windows installer improvements (Alexandros Theodotou)
- cmake: windows installer fixes (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate bmp file for windows installer (Alexandros Theodotou)
- cmake: fix magick discovery on windows (Alexandros Theodotou)
- cmake: add PATHS for rsvg-convert on mac (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate ico/icons for cpack (Alexandros Theodotou)
- cmake/macdeployqt: fix not using .app bundle name (Alexandros Theodotou)
- cpack/windows: remove vc_redist.x64.exe after running windeployqt (Alexandros Theodotou)
- cmake: don't use shallow clone for nlohmann json (Alexandros Theodotou)
- ci: force-update cache (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake/cpack: use windeployqt and macdeployqt (Alexandros Theodotou)
- cmake/cpack: comment out non-existing icons (Alexandros Theodotou)
- ci: merge build & package stages (Alexandros Theodotou)
- cmake: don't build appdata XML on non-GNU platforms (Alexandros Theodotou)
- cmake: add BUNDLE to zrythm install() (Alexandros Theodotou)
- cpack: don't pack fftw on windows/mac (Alexandros Theodotou)
- cmake: create Runtime component for CPack (Alexandros Theodotou)
- build: add packaging stage & use FetchContent for type_safe (Alexandros Theodotou)
- more ci/build fixes (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix ci build & update ubuntu20 dockerfile (Alexandros Theodotou)
- ci: restore requirements.txt versions but disable installation on ubuntu20 (Alexandros Theodotou)
- ci: disable user manual build on ubuntu20 (Alexandros Theodotou)
- requirements.txt: lower some python library dependency versions to build on ubuntu 20 (Alexandros Theodotou)
- add zrythm build instructions in Dockerfile (Alexandros Theodotou)
- ci: use ubuntu docker image for builds (Alexandros Theodotou)
- cmake: fix juce build (Alexandros Theodotou)
- cmake: link juce to system freetype2 (Alexandros Theodotou)
- cmake: link curl to juce_clap_hosting_lib too (Alexandros Theodotou)
- cmake: make libdw dependency optional (Alexandros Theodotou)
- use local http server for networking test (Alexandros Theodotou)
- fix user manual translation issues (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- submodule: update doxygen-awesome-css (Alexandros Theodotou)
- cmake: enable LTO and other optimizing link options (Alexandros Theodotou)
- fix more msvc/clang errors (Alexandros Theodotou)
- remove some unused variables (clang warnings) (Alexandros Theodotou)
- fix compilation error on clang (Alexandros Theodotou)
- replace usage of yyjson with nlohmann::json (Alexandros Theodotou)
- cmake: don't explicitly link to x11 (Alexandros Theodotou)
- ci: don't require update-manual job to update dev docs (Alexandros Theodotou)
- PeakDsp: disable edge cases test when building with -ffast-math (Alexandros Theodotou)
- cmake: force release build of curl (Alexandros Theodotou)
- fix handling of invalid values in PeakDsp (Alexandros Theodotou)
- wrap ZrythmException in namespace (Alexandros Theodotou)
- cmake/mbedtls: disable fatal warnings (Alexandros Theodotou)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- cmake: use FetchContent for curl dependency on gnu/linux (Alexandros Theodotou)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Japanese) (Y_NOIZ)
- Translated using Weblate (Russian) (AnanaSeek4Jam)
- Translated using Weblate (Chinese (Simplified Han script)) (alcoholicgirllover)
- Translated using Weblate (Japanese) (Haruki Shimauchi)
- Translated using Weblate (Chinese (Simplified Han script)) (王晨旭)
- Translated using Weblate (Chinese (Traditional Han script)) (hugoalh)
- Translated using Weblate (Turkish) (Burak Hüseyin Ekseli)
- Translated using Weblate (German) (Kai A)
- Translated using Weblate (Russian) (Victor Gridnevsky)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (French) (AlexC)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Serbian) (Anonymous)
- Translated using Weblate (Ukrainian) (Максим Горпиніч)
- Translated using Weblate (Italian) (Marco Ciampa)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (Ettore Atalan)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Translated using Weblate (Spanish) (gallegonovato)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (French) (Max)
- Translated using Weblate (Catalan) (Maite Guix)
- fix missing include (Alexandros Theodotou)
- disable chromaprint again (Alexandros Theodotou)
- disable chromaprint dependency for now (Alexandros Theodotou)
- qml: fix various issues reported by qmllint (Alexandros Theodotou)
- switch to Noto fonts for everything (Alexandros Theodotou)
- ci: fix build environment (disable gtk in qt build) (Alexandros Theodotou)
- move Track destructor to .cpp file to fix too many inlines error in gcc (Alexandros Theodotou)
- ci: remove /verbose link mode on msvc (Alexandros Theodotou)
- ci: manually discard verbose msvc linker output (Alexandros Theodotou)
- attempt to make msbuild linker less verbose (Alexandros Theodotou)
- ci: fix windows ctest invocation (Alexandros Theodotou)
- cmake: use gtest_add_tests() instead of gtest_discover_tests() on windows (Alexandros Theodotou)
- cmake: prevent in-source builds (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- cmake: simplify sanitizers section (Alexandros Theodotou)
- fix windows build error (Alexandros Theodotou)
- ci: add build command in clazy step (Alexandros Theodotou)
- fix windows build again (Alexandros Theodotou)
- ci: add clazy step (Alexandros Theodotou)
- utils/io.h: fix windows-only code (Alexandros Theodotou)
- fix deleted function implementation (Alexandros Theodotou)
- add custom String class to handle UTF8 strings (Alexandros Theodotou)
- enable unity builds in more places (Alexandros Theodotou)
- cmake: don't link to DbgHelp explicitly (backwardcpp uses pragma to link to it) (Alexandros Theodotou)
- ci: fix powershell command (Alexandros Theodotou)
- ci: fix executable path passed to windeployqt (Alexandros Theodotou)
- ci: use less verbose msbuild options (Alexandros Theodotou)
- ci: remove unsupported 1-to-1 mapping for configure and build (Alexandros Theodotou)
- enable unity builds for dsp/utils libs (Alexandros Theodotou)
- ci: drop --verbose from windows build (Alexandros Theodotou)
- increase tolerance on MonotonicTimeProviderTest::TimeConversion (Alexandros Theodotou)
- cmake: turn off automoc for test LV2 plugins (Alexandros Theodotou)
- ci: only depend on corresponding Debug/Release configuration job (Alexandros Theodotou)
- fix compilation error on mac/release (Alexandros Theodotou)
- ci: fix powershell syntax error (Alexandros Theodotou)
- ci: fix windows syntax (Alexandros Theodotou)
- ci: fix syntax (Alexandros Theodotou)
- ci: use parallel matrix for Debug/Release builds (Alexandros Theodotou)
- add qurl to qstring converter (Alexandros Theodotou)
- use custom string conversion api (Alexandros Theodotou)
- various build adjustments (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- ci: run windeployqt after build (Alexandros Theodotou)
- add missing qml file (Alexandros Theodotou)
- use custom conversion functions for QString <=> fs::path (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix windows build (Alexandros Theodotou)
- fix missing include in views.h (Alexandros Theodotou)
- fix build without pch (Alexandros Theodotou)
- ci: disable precompiled headers on windows (Alexandros Theodotou)
- ci: try to update cache (Alexandros Theodotou)
- attempt to fix linking to debug runtime lib (Alexandros Theodotou)
- fix unused include in engine main.cpp (Alexandros Theodotou)
- add missing CTestCustom file (Alexandros Theodotou)
- fix some more CI/build issues (Alexandros Theodotou)
- fix CI build issues (Alexandros Theodotou)
- simplify ProjectManager thread handling (Alexandros Theodotou)
- use standard c++ instead of QFuture (fails to link on msvc) (Alexandros Theodotou)
- use fs::path more (Alexandros Theodotou)
- cmake: fix ctest (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix some msvc issues (Alexandros Theodotou)
- ci: fix PATH on macos (Alexandros Theodotou)
- fix various msvc issues (Alexandros Theodotou)
- UuidIdentifiableObjectView: use CRTP optionally on iterator class (Alexandros Theodotou)
- simplify UuidIdentifiableObject spans (Alexandros Theodotou)
- cmake: improve mac build (Alexandros Theodotou)
- macos fixes (Alexandros Theodotou)
- cmake: declare fftw twice for float/double (Alexandros Theodotou)
- run clang-format (Alexandros Theodotou)
- fix some build issues, add alternative views::enumerate (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- ci: fix artifacts exclusion dir (Alexandros Theodotou)
- GraphScheduler: fallback to non-realtime thread (Alexandros Theodotou)
- cmake: fix soxr header not found (Alexandros Theodotou)
- cmake: attempt to fix macos again (Alexandros Theodotou)
- cmake: use CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS (Alexandros Theodotou)
- cmake: add global -Wno-documentation flag (Alexandros Theodotou)
- cmake: set higher default policy (Alexandros Theodotou)
- cmake: use system lv2 (Alexandros Theodotou)
- cmake: refactor and disable -Wdocumentation for yyjson (Alexandros Theodotou)
- cmake: disable rtmidi support (Alexandros Theodotou)
- cmake: use fetch-content for gtest/gbenchmark (Alexandros Theodotou)
- cmake: fix gtest linking (Alexandros Theodotou)
- cmake: use fetchcontent for gtest (Alexandros Theodotou)
- cmake:use non-config boost on mac (Alexandros Theodotou)
- cmake: disable tests for fftw (Alexandros Theodotou)
- ci: specify boost root on mac (Alexandros Theodotou)
- bundle rubberband (Alexandros Theodotou)
- cmake: temporarily drop lilv dependency (Alexandros Theodotou)
- cmake: use fetch-content more (Alexandros Theodotou)
- cmake: use fetch content on some dependencies instead of system (Alexandros Theodotou)
- ci: use FETCHCONTENT_TRY_FIND_PACKAGE_MODE=NEVER (Alexandros Theodotou)
- ci: attempt to fix manpage generation (Alexandros Theodotou)
- cmake: disable unused tests (Alexandros Theodotou)
- refactor: avoid use of sprintf (Alexandros Theodotou)
- add missing crill CMakeLists.txt (Alexandros Theodotou)
- fix juce build, clean up more compiler warnings/errors (Alexandros Theodotou)
- various msvc fixes (Alexandros Theodotou)
- cmake: fix JUCE clap hosting issue (Alexandros Theodotou)
- Revert "more cmake refactoring for spdlog" (Alexandros Theodotou)
- more cmake refactoring for spdlog (Alexandros Theodotou)
- various build fixes & refactoring of finding JACK (Alexandros Theodotou)
- windows fixes (Alexandros Theodotou)
- attempt to fix juce-related build issues (Alexandros Theodotou)
- fix inclusion of deleted header (Alexandros Theodotou)
- fix some msvc errors (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- drop ISerializableBase and minor changes to build on g++ (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- more ci fixes (Alexandros Theodotou)
- fix various build issues on gcc/appleclang/msvc (Alexandros Theodotou)
- various fixes for ci (Alexandros Theodotou)
- ci: revert to using artifacts (Alexandros Theodotou)
- ci: remove invalid yaml key (Alexandros Theodotou)
- ci: use cache instead of artifacts for passing job results forward (Alexandros Theodotou)
- ci: add more exclusions for artifacts (Alexandros Theodotou)
- ci: exclude .git directories from artifacts (Alexandros Theodotou)
- ci: bump cache ID (Alexandros Theodotou)
- cmake: disable translations on xcode (Alexandros Theodotou)
- ci: attempt to fix xcode + qt_add_translations (Alexandros Theodotou)
- cmake: fix forcing cyaml dependency even when option is off (Alexandros Theodotou)
- cmake: attempt to fix macos bundle-related errors (Alexandros Theodotou)
- ci: fix CMAKE_PREFIX_PATH option on mac (Alexandros Theodotou)
- cmake: disable YAML project compatibility by default (Alexandros Theodotou)
- ci: disable old cyaml-based project compatibility (Alexandros Theodotou)
- fix type_safe CMakeLists.txt error with cmake 4 (Alexandros Theodotou)
- cmake: make Gettext optional (Alexandros Theodotou)
- requirements.txt: upgrade cmake (Alexandros Theodotou)
- add boost::describe support, start fixing CI (Alexandros Theodotou)
- build: detect CCache automatically (Alexandros Theodotou)
- fix remaining missing licenses (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- remove `init_loaded()` from ArrangerObject (Alexandros Theodotou)
- more ArrangerObject class cleanup (Alexandros Theodotou)
- ci: disable github actions jobs (Alexandros Theodotou)
- reuse: add some missing licenses (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- use strong types for frames <=> ticks multipliers (Alexandros Theodotou)
- cleanup/clarify some ArrangerObject API (Alexandros Theodotou)
- remove `print_to_str()` API from ArrangerObject (Alexandros Theodotou)
- add ArrangerObjectOwner/ListModel, drop RegionOwner/List (Alexandros Theodotou)
- reduce external dependencies for AudioPool (Alexandros Theodotou)
- add ArrangerObjectSelectionManager for handling object selections (Alexandros Theodotou)
- make TrackSelectionManager generic for all UuidIdentifiableObjects (Alexandros Theodotou)
- track Track selections at Tracklist (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- simplify API for removing tracks and plugins (Alexandros Theodotou)
- add TrackFactory (still incomplete, TODO) (Alexandros Theodotou)
- use reference counting for UUID-identified objects (Alexandros Theodotou)
- drop PluginIdentifier and fix a memory leak in ISerializable (Alexandros Theodotou)
- use factory pattern for arranger objects and remove RegionIdentifier (Alexandros Theodotou)
- qml: edit PianoRollKeys appearance (Alexandros Theodotou)
- qml: add piano roll keys element (Alexandros Theodotou)
- qml: fix loader condition for clip editor grid (Alexandros Theodotou)
- qml: update clip editor based on selected region (Alexandros Theodotou)
- fix track names and region creation (Alexandros Theodotou)
- use c++ attributes instead of macros (Alexandros Theodotou)
- fix incorrect use of std::views::iota (Alexandros Theodotou)
- BottmDock QML: create basic structure for editor components (Alexandros Theodotou)
- vscode settings: use ccache (Alexandros Theodotou)
- PlaceholderPage.qml: make image color follow style (Alexandros Theodotou)
- QML: start adding editor UI parts (Alexandros Theodotou)
- replace arranger selections with ArrangerObjectSpan (Alexandros Theodotou)
- add UUID-based registry system (initial implementation) (Alexandros Theodotou)
- add UuidIdentifiableObject class (Alexandros Theodotou)
- Port: generalize PortOwner into new interface (Alexandros Theodotou)
- refactor finding ports from PortIdentifier to a Project method (Alexandros Theodotou)
- very minor performance improvements in graph scheduling (Alexandros Theodotou)
- cleanup graph API & add tests/benchmarks (Alexandros Theodotou)
- split graph scheduling logic from Graph (Alexandros Theodotou)
- clean up GraphBuilder API (Alexandros Theodotou)
- split graph building logic to separate class (Alexandros Theodotou)
- use IProcessable interface to reduce Graph dependencies (Alexandros Theodotou)
- refactor port backend logic to new interface (Alexandros Theodotou)
- refactor balance control calculation to be part of "panning" (Alexandros Theodotou)
- decouple GraphNode and move to DSP module (Alexandros Theodotou)
- GraphNode: make Transport dependency explicit (Alexandros Theodotou)
- move ChordDescriptor and MusicalScale to DSP module (Alexandros Theodotou)
- refactor AudioClip to remove dependencies (Alexandros Theodotou)
- add missing CurvePreset code (Alexandros Theodotou)
- refactor AudioClip, make API simpler (Alexandros Theodotou)
- cmake: rename zrythm_lib to zrythm_gui_lib (Alexandros Theodotou)
- clangd: lower error limit (Alexandros Theodotou)
- move ditherer and curve to DSP module (Alexandros Theodotou)
- move stretcher to DSP module (Alexandros Theodotou)
- remove some unused meson.build files (Alexandros Theodotou)
- refactor: move meter DSP logic to DSP module (Alexandros Theodotou)
- move port identifier and plugin identifier to dsp module (Alexandros Theodotou)
- refactoring: create separate utils and dsp modules (Alexandros Theodotou)
- cleanup some old localization files (Alexandros Theodotou)
- port translations from gettext (Alexandros Theodotou)
- undo/redo support, arranger cursors, toolbox (Alexandros Theodotou)
- add more arranger functionality (create MIDI regions) (Alexandros Theodotou)
- drop glib, show arranger objects in timeline, etc. (Alexandros Theodotou)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (nilsholle)
- Translated using Weblate (Portuguese) (ssantos)
- Translated using Weblate (Catalan) (Maite Guix)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (Norwegian Bokmål) (Allan Nordhøy)
- Translated using Weblate (Macedonian) (AND)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (Polish) (Prefex)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Added translation using Weblate (Tamil) (Languages add-on)
- Translated using Weblate (Polish) (Krylan)
- Translated using Weblate (Russian) (John Johnson)
- Translated using Weblate (Chinese (Traditional)) (hugoalh)
- Translated using Weblate (Italian) (GB)
- Translated using Weblate (Russian) (Evgeniy Khramov)
- Translated using Weblate (Russian) (Kirill Plotnikov)
- add meters (Alexandros Theodotou)
- qml: add automation tracks to track view (Alexandros Theodotou)
- qml: implement track lanes support (Alexandros Theodotou)
- update INSTALL/README (Alexandros Theodotou)
- fix linking issue with dsp utils (Alexandros Theodotou)
- make position updates rt-safe, drop lsp-dsp dependency (Alexandros Theodotou)
- implement basic ruler (Alexandros Theodotou)
- connect up the engine (in-process for now, as before) (Alexandros Theodotou)
- qml: add transport controls (Alexandros Theodotou)
- qml: tracklist showing (Alexandros Theodotou)
- gui: add dark/light mode switch and theme color selection (Alexandros Theodotou)
- qml: add more styled widgets, improve existing (Alexandros Theodotou)
- qml: create custom Zrythm style (Alexandros Theodotou)
- qml: restructure code (Alexandros Theodotou)
- add tabbar/tabbutton, require qt 6.8 (Alexandros Theodotou)
- edit toolbuttons a bit (Alexandros Theodotou)
- add text toolbar elements (Alexandros Theodotou)
- add arranger (wip), custom menus (Alexandros Theodotou)
- add basic layout (Alexandros Theodotou)
- cmake refactor (move QML executable to src/gui) (Alexandros Theodotou)
- add custom menubar and toolbutton (Alexandros Theodotou)
- allow creating new project without template (Alexandros Theodotou)
- greeter: add dummy project loading logic (Alexandros Theodotou)
- README: mention that this is the qt branch (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- juce: disable version printing (Alexandros Theodotou)
- qml/backend: add project management-related logic (Alexandros Theodotou)
- plugin scanner: allow scanning directly from cmd line (Alexandros Theodotou)
- plugin scanning: use paths/save/restore known plugins (Alexandros Theodotou)
- qml: rename greeter to Greeter (Alexandros Theodotou)
- drop gtk dependency (Alexandros Theodotou)
- requirements.txt: add cmake-format (Alexandros Theodotou)
- plugin scanning for LV2/LADSPA/VST3/CLAP (Alexandros Theodotou)
- plugin scan working (other than LV2) (Alexandros Theodotou)
- vscode: add qt-specific pre-instructions to cody (Alexandros Theodotou)
- fix clang-format qt header handling (Alexandros Theodotou)
- expose global state to QML (Alexandros Theodotou)
- add namespace for plugin-related classes (Alexandros Theodotou)
- merge gui/glue and gui/backend to just backend (Alexandros Theodotou)
- fix licensing issues (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- start using namespaces (Alexandros Theodotou)
- reorganize source files (Alexandros Theodotou)
- re-organize old gui-related code (Alexandros Theodotou)
- clean up, re-organize, remove some meson related files (Alexandros Theodotou)
- reorganize code a bit (Alexandros Theodotou)
- zrythm application: optionally read env variable for engine path (Alexandros Theodotou)
- qml: add custom progress bar, fixup greeter progress page (Alexandros Theodotou)
- qml: fixup preferences page, add filepicker (Alexandros Theodotou)
- qml: include missing svg for up-down chevrons (Alexandros Theodotou)
- qml: don't use versions in imports (Alexandros Theodotou)
- qml: add custom combo box (Alexandros Theodotou)
- dont look for kddockwidgets or kirigami (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- cmake: add debug prints before running help2man (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- Revert "cmake: use static vamp on msys2/mingw" (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: use static vamp on msys2/mingw (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- don't use qt_add_resources (discouraged by qt devs) (Alexandros Theodotou)
- remove kirigami, use basic style with customized widgets (Alexandros Theodotou)
- almost done with first run carousel (Alexandros Theodotou)
- add qsettings manager (Alexandros Theodotou)
- move engine to separate process (Alexandros Theodotou)
- add basic qt main window (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- start using gtkmm, add more compile-time checks (Alexandros Theodotou)
- build fixes for windows (Alexandros Theodotou)
- cmake: build fixes for macos (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- fix optimization flag mismatch on msvc (Alexandros Theodotou)
- add user manual (WIP builds but no localization) (Alexandros Theodotou)
- ci: fix build-time errors (Alexandros Theodotou)
- cmake: use fetch-content to mimic meson subprojects (Alexandros Theodotou)
- port to cmake (Alexandros Theodotou)
- fix more msvc compilation errors (Alexandros Theodotou)
- replace zita resampler with cpp version (Alexandros Theodotou)
- rename function attributes to avoid clash with msvc (Alexandros Theodotou)
- disable strict strings (Alexandros Theodotou)
- ci: attempt to fix builtin plugins errors (Alexandros Theodotou)
- add dirent (Alexandros Theodotou)
- build: attempt to fix lilv (Alexandros Theodotou)
- use gtest (Alexandros Theodotou)
- fix build issues (Alexandros Theodotou)
- whereami: update (Alexandros Theodotou)
- ci: cache per runner (Alexandros Theodotou)
- tests: don't use ubsan on msvc (Alexandros Theodotou)
- gen-translators-list: ensure input/output is utf8 (Alexandros Theodotou)
- ci: remove cleanup section (Alexandros Theodotou)
- drop appstream dependency from libadwaita (Alexandros Theodotou)
- drop gtksourceview dependency (Alexandros Theodotou)
- ci: fix windows (Alexandros Theodotou)
- ci: don't build manpage on windows (Alexandros Theodotou)
- drop guile dependency (Alexandros Theodotou)
- drop sed dependency, move a bash script to python (Alexandros Theodotou)
- drop direct libcurl usage (Alexandros Theodotou)
- ci: add windows (Alexandros Theodotou)
- dont use jthreads (not available on mac) (Alexandros Theodotou)
- ci: try to build mac (Alexandros Theodotou)
- requirements: add cmake (Alexandros Theodotou)
- bump python requirements and remove some unnecessary inlines (Alexandros Theodotou)
- ci: enable mac builder (Alexandros Theodotou)
- fix more issues (Alexandros Theodotou)
- ci: use benchmark (Alexandros Theodotou)
- use init_loaded_base on arranger objects (Alexandros Theodotou)
- replace backtrace getter, remove pcre2 (Alexandros Theodotou)
- make benchmarks work again, use gbenchmark, more fixes (Alexandros Theodotou)
- fix engine ticks/frame calculation (Alexandros Theodotou)
- various fixes (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- clang-tidy: add more checks (Alexandros Theodotou)
- fix more issues, 1 more test pass (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- organize code and fix some more issues (Alexandros Theodotou)
- some runtime fixes, various other fixes (Alexandros Theodotou)
- fix compilation of tests and build without lsp (Alexandros Theodotou)
- fix more issues, more tests pass (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- fix various issues (Alexandros Theodotou)
- use factory pattern for tracks (Alexandros Theodotou)
- fix more issues, now can generate the processing graph (Alexandros Theodotou)
- fix various issues - test now can add a couple of tracks (Alexandros Theodotou)
- fix licensing issues, upgrade to reuse TOML (Alexandros Theodotou)
- fix logger, fix more tests (Alexandros Theodotou)
- fix compilation with gcc, fix doctest issues (Alexandros Theodotou)
- port to C++20 (WIP) (Alexandros Theodotou)
- ci: don't build with ASAN (Alexandros Theodotou)
- port gen-appdata-xml to python and update project description (Alexandros Theodotou)
- refactor, port various components to C++ classes (Alexandros Theodotou)
- make ZrythmDirectoryManager a singleton (Alexandros Theodotou)
- meson: disable -fanalyzer (too many false positives) (Alexandros Theodotou)
- shorten ZrythmDirType enum value names (Alexandros Theodotou)
- disable the audio engine for a test that doesn't need it (Alexandros Theodotou)
- add option to build tests statically (Alexandros Theodotou)
- tracklist: convert tracks array to vector (Alexandros Theodotou)
- refactor ProgressInfo (Alexandros Theodotou)
- attempt to deactivate engine before freeing gZrythm (Alexandros Theodotou)
- add missing license (Alexandros Theodotou)
- minor refactoring (Alexandros Theodotou)
- editor files (Alexandros Theodotou)
- fix typo (Alexandros Theodotou)
- port Port to C++ idioms (Alexandros Theodotou)
- port Channel functions to member methods (Alexandros Theodotou)
- refactor Port (WIP) (Alexandros Theodotou)
- refactor CarlaBridgeMode (Alexandros Theodotou)
- add vscode configs (Alexandros Theodotou)
- fix some memory leaks now that PortIdentifier is allocated with `new` (Alexandros Theodotou)
- port PortIdentifier to c++, some more refactoring (Alexandros Theodotou)
- add missing JUCE dependencies on windows (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- fix another windows build error (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- fix more windows build issues (Alexandros Theodotou)
- attempt to use shared lib for tests in CI (Alexandros Theodotou)
- windows fix (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes, refactoring (Alexandros Theodotou)
- more fixes, refactoring (Alexandros Theodotou)
- fix compilation on windows (Alexandros Theodotou)
- ci: use magic_enum from distro (Alexandros Theodotou)
- precompile windows.h on windows (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- macos fixes and pch improvements (alex)
- more refactoring, mac/windows fixes (Alexandros Theodotou)
- meson: set default backend_max_links=1 (Alexandros Theodotou)
- fix windows build, revert to using _WIN32 (Alexandros Theodotou)
- remove PURE from functions (windows build fails) (Alexandros Theodotou)
- meson: remove unused pcre subproject (Alexandros Theodotou)
- fix build on mac (Alexandros Theodotou)
- refactoring, cleanup (Alexandros Theodotou)
- clang-format: rearrange headers (Alexandros Theodotou)
- build: fix unused variable error (Alexandros Theodotou)
- juce: add -fpermissive flag on windows (Alexandros Theodotou)
- meson: add more optimization flags (Alexandros Theodotou)
- add missing appleframeworks to build juce on mac (Alexandros Theodotou)
- rename kissfft in qm-dsp to avoid conflicts (Alexandros Theodotou)
- avoid passing initializer as reference (Alexandros Theodotou)
- remove some usage of Z_GRAPHENE_*_INIT (Alexandros Theodotou)
- start using JUCE core for StringArray (Alexandros Theodotou)
- cleanup compilation flags, fix some apple clang errors (Alexandros Theodotou)
- plugin manager: add AU detection (Alexandros Theodotou)
- convert Zrythm struct to C++ class (Alexandros Theodotou)
- clang-format: add option pending clang 18 (Alexandros Theodotou)
- meson: use cpp as main compiler (Alexandros Theodotou)
- ci: cache more subprojects (Alexandros Theodotou)
- fix error: taking address of temporary array (Alexandros Theodotou)
- add missing copyright (Alexandros Theodotou)
- fix CI (force fallback for magic enum and enable cyaml) (Alexandros Theodotou)
- port to C++ (Alexandros Theodotou)
- fix strict build (Alexandros Theodotou)
- meson: require at least 1.3.0 (Alexandros Theodotou)
- appdata: add branding colors and vcs url (Alexandros Theodotou)
- use glib-mkenums more (Alexandros Theodotou)
- add some more error checking for plugin protocol (Alexandros Theodotou)
- noop: formatting (Alexandros Theodotou)
- stop using some deprecated gtk API (Alexandros Theodotou)
- build: make cyaml dependency optional (Alexandros Theodotou)
- port plugin settings/cached plugins/plugin collections to JSON (Alexandros Theodotou)

* Tue Jun 24 2025 filippor <filippo.rossoni@gmail.com> - v1.0.0-1.20250624163821587012.f364ec4ac9b97f561a52a8466d1c0523552aab66.685.gf364ec4ac
- add fedora build (filippor)
- match arranger grid lines to ruler (Alexandros Theodotou)
- qml: extract PlayheadTriangle to separate file (Alexandros Theodotou)
- simplify & optimize Ruler.qml (Alexandros Theodotou)
- fix clang release build (Alexandros Theodotou)
- speed up compilation times with better PCH for gui lib and zrythm exe (Alexandros Theodotou)
- add missing file (Alexandros Theodotou)
- start using new tempo map in QML (Alexandros Theodotou)
- cmake: disable warnings on unknown attributes and errors on deprecated method usage (Alexandros Theodotou)
- clang-tidy: add more warnings-as-errors (Alexandros Theodotou)
- add new Playhead type (not used in project yet) (Alexandros Theodotou)
- use snake_case for methods in TempoMap (Alexandros Theodotou)
- remove TempoTrack (Alexandros Theodotou)
- start using TempoMap via TempoMapWrapper (Alexandros Theodotou)
- vscode settings: set CPM cache dir (Alexandros Theodotou)
- README: simplify build instructions (Alexandros Theodotou)
- TempoMap: make sample rate parameter mandatory (Alexandros Theodotou)
- fix usage of z literal not available yet in some compilers (Alexandros Theodotou)
- fix build (Alexandros Theodotou)
- cmake: disable direct JACK support (Alexandros Theodotou)
- TempoMap: remove unnecessary overloads (Alexandros Theodotou)
- merge flags members in PortIdentifier into one type (Alexandros Theodotou)
- add AtomicPositionQmlAdapter class (Alexandros Theodotou)
- add AtomicPosition class to dsp module (Alexandros Theodotou)
- add TempoMap class (Alexandros Theodotou)
- remove unnecessary dependencies from ControlPort (Alexandros Theodotou)
- close audio device before closing the open project (Alexandros Theodotou)
- cleanup port API more (Alexandros Theodotou)
- clean up Port API (Alexandros Theodotou)
- add some docs to RealtimeUpdater related classes (Alexandros Theodotou)
- cmake: link to a dummy source file to fix error in some cmake versions (Alexandros Theodotou)
- ci: fix cpm cache path again (Alexandros Theodotou)
- ci: fix usage of env variables in variable values (Alexandros Theodotou)
- ci: enable cpm cache dir (Alexandros Theodotou)
- fix concurrency issue in MidiEvents (Alexandros Theodotou)
- start using RealtimeSanitizer (Alexandros Theodotou)
- clang-format with clang20 (Alexandros Theodotou)
- move processor port disconnect logic to Tracklist (Alexandros Theodotou)
- cmake: add support for realtime sanitizer (Alexandros Theodotou)
- remove unused api (Alexandros Theodotou)
- fix windows ci (Alexandros Theodotou)
- remove unused Port API (Alexandros Theodotou)
- fix unused lambda capture (Alexandros Theodotou)
- ci: run benchmarks (Alexandros Theodotou)
- fix benchmarks build (Alexandros Theodotou)
- add prepare_for_processing() and release_resources() to IProcessable (Alexandros Theodotou)
- remove IClonable, add UniqueQObjectPtr (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- delete just whereami and leave dirent (needed by plugins on windows) (Alexandros Theodotou)
- Revert "remove unused external projects" (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- don't make Greeter modal (Alexandros Theodotou)
- remove validate and active project checks (Alexandros Theodotou)
- remove unused file (Alexandros Theodotou)
- remove unused external projects (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- add UI options to show device manager (Alexandros Theodotou)
- cmake: use CPM more (Alexandros Theodotou)
- cmake: fix CPMFindPackage calls (Alexandros Theodotou)
- cmake: include missing CPM.cmake file (Alexandros Theodotou)
- add support for AudioWorkgroups on mac (Alexandros Theodotou)
- start using gsl-lite (Alexandros Theodotou)
- cmake: start using CPM (Alexandros Theodotou)
- switch to juce::AudioDeviceManager and drop support for hardware port connections (Alexandros Theodotou)
- fix compilation on mac/windows (Alexandros Theodotou)
- abstract audio/midi backend drivers into AudioDriver/MidiDriver (Alexandros Theodotou)
- fix compilation on mac (Alexandros Theodotou)
- fix compilation with clang (Alexandros Theodotou)
- fix plugin UIs on gnu/linux (Alexandros Theodotou)
- refactor some classes into structure and engine namespaces (Alexandros Theodotou)
- put graph-related classes under  namespace (Alexandros Theodotou)
- fix compilation (Alexandros Theodotou)
- move MidiEvent to dsp module (Alexandros Theodotou)
- drop yaml project compatibility code (Alexandros Theodotou)
- remove more dependencies from Port and MidiEventVector (Alexandros Theodotou)
- drop rtaudio/rtmidi/portaudio/pulseaudio/alsa backend support (Alexandros Theodotou)
- move port connection classes to dsp module (Alexandros Theodotou)
- remove some Port/Plugin dependencies (Alexandros Theodotou)
- remove more Plugin class dependencies (Alexandros Theodotou)
- use juce::ScopedJuceInitialiser_GUI instead of creating a juce ApplicationBase (Alexandros Theodotou)
- reduce Plugin class dependencies (Alexandros Theodotou)
- ZrythmApplication: fix icon path (unsure if used) (Alexandros Theodotou)
- include missing plugins.h PCH (Alexandros Theodotou)
- remove dependency on fftw (use dlopen at runtime) (Alexandros Theodotou)
- add pch for plugins lib (Alexandros Theodotou)
- refactor PluginSetting into PluginConfiguration (Alexandros Theodotou)
- fix AU scan (Alexandros Theodotou)
- PluginManager: add API to create plugin instances from descriptors (Alexandros Theodotou)
- cmake: fix mac build again (Alexandros Theodotou)
- cmake: fix build with AU on mac (Alexandros Theodotou)
- show scanned plugins in plugin list in right dock (Alexandros Theodotou)
- cmake: add missing Qt6Test DLL to windeployqt invocation (Alexandros Theodotou)
- refactor plugin scanning code & add test (Alexandros Theodotou)
- reword README a bit (Alexandros Theodotou)
- Revert "cpack: move hidden dirs out of the DMG view on mac" (Alexandros Theodotou)
- README: include build instructions & remove redundant pages (Alexandros Theodotou)
- drop unused po directory (Alexandros Theodotou)
- use LightweightSemaphore more (Alexandros Theodotou)
- cpack: move hidden dirs out of the DMG view on mac (Alexandros Theodotou)
- delete unused image (Alexandros Theodotou)
- cpack: fix DMG background image (Alexandros Theodotou)
- appscript: increase delays (Alexandros Theodotou)
- cmake: add background image to macos installer (Alexandros Theodotou)
- use lightweightsemaphore instead of std::counting_semaphore in graph (Alexandros Theodotou)
- reuse: no annotation required for bundled lv2 (Alexandros Theodotou)
- graph: remove trigger_queue_size_ causing race issues on windows (Alexandros Theodotou)
- cmake: make pkgconfig optional (Alexandros Theodotou)
- cmake: make imagemagick optional (Alexandros Theodotou)
- ci: don't add paths for now-bundled lv2 and boost (Alexandros Theodotou)
- bundle lv2 (Alexandros Theodotou)
- cmake: only link juce LTO flags if LTO enabled (Alexandros Theodotou)
- cmake: include Qt pdb's in debug version (Alexandros Theodotou)
- fix warning-as-error on appleclang on boost/describe (Alexandros Theodotou)
- ci: fix windows qt paths (Alexandros Theodotou)
- cmake: autofetch boost (Alexandros Theodotou)
- ci: attempt build with included runtime (Alexandros Theodotou)
- use fetchcontent for boost (Alexandros Theodotou)
- use custom size_t string literal (Alexandros Theodotou)
- cmake: windows build simplifications (Alexandros Theodotou)
- remove now-moved .ico file (Alexandros Theodotou)
- cmake: add icon to windows app (Alexandros Theodotou)
- cmake: install pdb files on msvc (Alexandros Theodotou)
- ci: fix notarization timeout command (Alexandros Theodotou)
- ci: only notarize .dmg (not .app) (Alexandros Theodotou)
- ci: codesign and notarize dmg, add notarization timeout (Alexandros Theodotou)
- cmake/macos: use entitlements when code signing (Alexandros Theodotou)
- cmake: fix math expression in apple app bundle icon generation (Alexandros Theodotou)
- fix various mac app bundle issues (Alexandros Theodotou)
- cpack: fix windows installer (Alexandros Theodotou)
- cmake: build fixes (Alexandros Theodotou)
- cmake/cpack: macos build fixes (Alexandros Theodotou)
- cmake: bump fmt and spdlog versions (Alexandros Theodotou)
- cmake: use custom plist on mac (Alexandros Theodotou)
- cmake: add COMMAND_ERROR_IS_FATAL to some execute_process calls (Alexandros Theodotou)
- cmake: include missing macos codesign scripts (Alexandros Theodotou)
- ci: codesign and notarize macos app bundle (Alexandros Theodotou)
- macdeployqt: enable codesigning (Alexandros Theodotou)
- cmake: remove more gpl-incompatible and unneeded windeployqt dependencies (Alexandros Theodotou)
- avoid fs::path::string() (Alexandros Theodotou)
- cmake: fix windows installer README path (Alexandros Theodotou)
- cmake: more windows installer improvements (Alexandros Theodotou)
- cmake: windows installer fixes (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate bmp file for windows installer (Alexandros Theodotou)
- cmake: fix magick discovery on windows (Alexandros Theodotou)
- cmake: add PATHS for rsvg-convert on mac (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake: generate ico/icons for cpack (Alexandros Theodotou)
- cmake/macdeployqt: fix not using .app bundle name (Alexandros Theodotou)
- cpack/windows: remove vc_redist.x64.exe after running windeployqt (Alexandros Theodotou)
- cmake: don't use shallow clone for nlohmann json (Alexandros Theodotou)
- ci: force-update cache (Alexandros Theodotou)
- cmake: fix macdeployqt invocation (Alexandros Theodotou)
- cmake/cpack: use windeployqt and macdeployqt (Alexandros Theodotou)
- cmake/cpack: comment out non-existing icons (Alexandros Theodotou)
- ci: merge build & package stages (Alexandros Theodotou)
- cmake: don't build appdata XML on non-GNU platforms (Alexandros Theodotou)
- cmake: add BUNDLE to zrythm install() (Alexandros Theodotou)
- cpack: don't pack fftw on windows/mac (Alexandros Theodotou)
- cmake: create Runtime component for CPack (Alexandros Theodotou)
- build: add packaging stage & use FetchContent for type_safe (Alexandros Theodotou)
- more ci/build fixes (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix ci build & update ubuntu20 dockerfile (Alexandros Theodotou)
- ci: restore requirements.txt versions but disable installation on ubuntu20 (Alexandros Theodotou)
- ci: disable user manual build on ubuntu20 (Alexandros Theodotou)
- requirements.txt: lower some python library dependency versions to build on ubuntu 20 (Alexandros Theodotou)
- add zrythm build instructions in Dockerfile (Alexandros Theodotou)
- ci: use ubuntu docker image for builds (Alexandros Theodotou)
- cmake: fix juce build (Alexandros Theodotou)
- cmake: link juce to system freetype2 (Alexandros Theodotou)
- cmake: link curl to juce_clap_hosting_lib too (Alexandros Theodotou)
- cmake: make libdw dependency optional (Alexandros Theodotou)
- use local http server for networking test (Alexandros Theodotou)
- fix user manual translation issues (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- submodule: update doxygen-awesome-css (Alexandros Theodotou)
- cmake: enable LTO and other optimizing link options (Alexandros Theodotou)
- fix more msvc/clang errors (Alexandros Theodotou)
- remove some unused variables (clang warnings) (Alexandros Theodotou)
- fix compilation error on clang (Alexandros Theodotou)
- replace usage of yyjson with nlohmann::json (Alexandros Theodotou)
- cmake: don't explicitly link to x11 (Alexandros Theodotou)
- ci: don't require update-manual job to update dev docs (Alexandros Theodotou)
- PeakDsp: disable edge cases test when building with -ffast-math (Alexandros Theodotou)
- cmake: force release build of curl (Alexandros Theodotou)
- fix handling of invalid values in PeakDsp (Alexandros Theodotou)
- wrap ZrythmException in namespace (Alexandros Theodotou)
- cmake/mbedtls: disable fatal warnings (Alexandros Theodotou)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- cmake: use FetchContent for curl dependency on gnu/linux (Alexandros Theodotou)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Russian) (Matvey Dolgachyov)
- Translated using Weblate (Japanese) (Y_NOIZ)
- Translated using Weblate (Russian) (AnanaSeek4Jam)
- Translated using Weblate (Chinese (Simplified Han script)) (alcoholicgirllover)
- Translated using Weblate (Japanese) (Haruki Shimauchi)
- Translated using Weblate (Chinese (Simplified Han script)) (王晨旭)
- Translated using Weblate (Chinese (Traditional Han script)) (hugoalh)
- Translated using Weblate (Turkish) (Burak Hüseyin Ekseli)
- Translated using Weblate (German) (Kai A)
- Translated using Weblate (Russian) (Victor Gridnevsky)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (French) (AlexC)
- Translated using Weblate (Russian) (yungtonym)
- Translated using Weblate (Serbian) (Anonymous)
- Translated using Weblate (Ukrainian) (Максим Горпиніч)
- Translated using Weblate (Italian) (Marco Ciampa)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (Ettore Atalan)
- Translated using Weblate (Russian) (Weblate Translation Memory)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Translated using Weblate (Spanish) (gallegonovato)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (French) (Max)
- Translated using Weblate (Catalan) (Maite Guix)
- fix missing include (Alexandros Theodotou)
- disable chromaprint again (Alexandros Theodotou)
- disable chromaprint dependency for now (Alexandros Theodotou)
- qml: fix various issues reported by qmllint (Alexandros Theodotou)
- switch to Noto fonts for everything (Alexandros Theodotou)
- ci: fix build environment (disable gtk in qt build) (Alexandros Theodotou)
- move Track destructor to .cpp file to fix too many inlines error in gcc (Alexandros Theodotou)
- ci: remove /verbose link mode on msvc (Alexandros Theodotou)
- ci: manually discard verbose msvc linker output (Alexandros Theodotou)
- attempt to make msbuild linker less verbose (Alexandros Theodotou)
- ci: fix windows ctest invocation (Alexandros Theodotou)
- cmake: use gtest_add_tests() instead of gtest_discover_tests() on windows (Alexandros Theodotou)
- cmake: prevent in-source builds (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- cmake: simplify sanitizers section (Alexandros Theodotou)
- fix windows build error (Alexandros Theodotou)
- ci: add build command in clazy step (Alexandros Theodotou)
- fix windows build again (Alexandros Theodotou)
- ci: add clazy step (Alexandros Theodotou)
- utils/io.h: fix windows-only code (Alexandros Theodotou)
- fix deleted function implementation (Alexandros Theodotou)
- add custom String class to handle UTF8 strings (Alexandros Theodotou)
- enable unity builds in more places (Alexandros Theodotou)
- cmake: don't link to DbgHelp explicitly (backwardcpp uses pragma to link to it) (Alexandros Theodotou)
- ci: fix powershell command (Alexandros Theodotou)
- ci: fix executable path passed to windeployqt (Alexandros Theodotou)
- ci: use less verbose msbuild options (Alexandros Theodotou)
- ci: remove unsupported 1-to-1 mapping for configure and build (Alexandros Theodotou)
- enable unity builds for dsp/utils libs (Alexandros Theodotou)
- ci: drop --verbose from windows build (Alexandros Theodotou)
- increase tolerance on MonotonicTimeProviderTest::TimeConversion (Alexandros Theodotou)
- cmake: turn off automoc for test LV2 plugins (Alexandros Theodotou)
- ci: only depend on corresponding Debug/Release configuration job (Alexandros Theodotou)
- fix compilation error on mac/release (Alexandros Theodotou)
- ci: fix powershell syntax error (Alexandros Theodotou)
- ci: fix windows syntax (Alexandros Theodotou)
- ci: fix syntax (Alexandros Theodotou)
- ci: use parallel matrix for Debug/Release builds (Alexandros Theodotou)
- add qurl to qstring converter (Alexandros Theodotou)
- use custom string conversion api (Alexandros Theodotou)
- various build adjustments (Alexandros Theodotou)
- various windows fixes (Alexandros Theodotou)
- ci: run windeployqt after build (Alexandros Theodotou)
- add missing qml file (Alexandros Theodotou)
- use custom conversion functions for QString <=> fs::path (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- fix windows build (Alexandros Theodotou)
- fix missing include in views.h (Alexandros Theodotou)
- fix build without pch (Alexandros Theodotou)
- ci: disable precompiled headers on windows (Alexandros Theodotou)
- ci: try to update cache (Alexandros Theodotou)
- attempt to fix linking to debug runtime lib (Alexandros Theodotou)
- fix unused include in engine main.cpp (Alexandros Theodotou)
- add missing CTestCustom file (Alexandros Theodotou)
- fix some more CI/build issues (Alexandros Theodotou)
- fix CI build issues (Alexandros Theodotou)
- simplify ProjectManager thread handling (Alexandros Theodotou)
- use standard c++ instead of QFuture (fails to link on msvc) (Alexandros Theodotou)
- use fs::path more (Alexandros Theodotou)
- cmake: fix ctest (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix more msvc issues (Alexandros Theodotou)
- fix some msvc issues (Alexandros Theodotou)
- ci: fix PATH on macos (Alexandros Theodotou)
- fix various msvc issues (Alexandros Theodotou)
- UuidIdentifiableObjectView: use CRTP optionally on iterator class (Alexandros Theodotou)
- simplify UuidIdentifiableObject spans (Alexandros Theodotou)
- cmake: improve mac build (Alexandros Theodotou)
- macos fixes (Alexandros Theodotou)
- cmake: declare fftw twice for float/double (Alexandros Theodotou)
- run clang-format (Alexandros Theodotou)
- fix some build issues, add alternative views::enumerate (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- ci: fix artifacts exclusion dir (Alexandros Theodotou)
- GraphScheduler: fallback to non-realtime thread (Alexandros Theodotou)
- cmake: fix soxr header not found (Alexandros Theodotou)
- cmake: attempt to fix macos again (Alexandros Theodotou)
- cmake: use CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS (Alexandros Theodotou)
- cmake: add global -Wno-documentation flag (Alexandros Theodotou)
- cmake: set higher default policy (Alexandros Theodotou)
- cmake: use system lv2 (Alexandros Theodotou)
- cmake: refactor and disable -Wdocumentation for yyjson (Alexandros Theodotou)
- cmake: disable rtmidi support (Alexandros Theodotou)
- cmake: use fetch-content for gtest/gbenchmark (Alexandros Theodotou)
- cmake: fix gtest linking (Alexandros Theodotou)
- cmake: use fetchcontent for gtest (Alexandros Theodotou)
- cmake:use non-config boost on mac (Alexandros Theodotou)
- cmake: disable tests for fftw (Alexandros Theodotou)
- ci: specify boost root on mac (Alexandros Theodotou)
- bundle rubberband (Alexandros Theodotou)
- cmake: temporarily drop lilv dependency (Alexandros Theodotou)
- cmake: use fetch-content more (Alexandros Theodotou)
- cmake: use fetch content on some dependencies instead of system (Alexandros Theodotou)
- ci: use FETCHCONTENT_TRY_FIND_PACKAGE_MODE=NEVER (Alexandros Theodotou)
- ci: attempt to fix manpage generation (Alexandros Theodotou)
- cmake: disable unused tests (Alexandros Theodotou)
- refactor: avoid use of sprintf (Alexandros Theodotou)
- add missing crill CMakeLists.txt (Alexandros Theodotou)
- fix juce build, clean up more compiler warnings/errors (Alexandros Theodotou)
- various msvc fixes (Alexandros Theodotou)
- cmake: fix JUCE clap hosting issue (Alexandros Theodotou)
- Revert "more cmake refactoring for spdlog" (Alexandros Theodotou)
- more cmake refactoring for spdlog (Alexandros Theodotou)
- various build fixes & refactoring of finding JACK (Alexandros Theodotou)
- windows fixes (Alexandros Theodotou)
- attempt to fix juce-related build issues (Alexandros Theodotou)
- fix inclusion of deleted header (Alexandros Theodotou)
- fix some msvc errors (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- bump juce version (Alexandros Theodotou)
- drop ISerializableBase and minor changes to build on g++ (Alexandros Theodotou)
- various build fixes (Alexandros Theodotou)
- more ci fixes (Alexandros Theodotou)
- fix various build issues on gcc/appleclang/msvc (Alexandros Theodotou)
- various fixes for ci (Alexandros Theodotou)
- ci: revert to using artifacts (Alexandros Theodotou)
- ci: remove invalid yaml key (Alexandros Theodotou)
- ci: use cache instead of artifacts for passing job results forward (Alexandros Theodotou)
- ci: add more exclusions for artifacts (Alexandros Theodotou)
- ci: exclude .git directories from artifacts (Alexandros Theodotou)
- ci: bump cache ID (Alexandros Theodotou)
- cmake: disable translations on xcode (Alexandros Theodotou)
- ci: attempt to fix xcode + qt_add_translations (Alexandros Theodotou)
- cmake: fix forcing cyaml dependency even when option is off (Alexandros Theodotou)
- cmake: attempt to fix macos bundle-related errors (Alexandros Theodotou)
- ci: fix CMAKE_PREFIX_PATH option on mac (Alexandros Theodotou)
- cmake: disable YAML project compatibility by default (Alexandros Theodotou)
- ci: disable old cyaml-based project compatibility (Alexandros Theodotou)
- fix type_safe CMakeLists.txt error with cmake 4 (Alexandros Theodotou)
- cmake: make Gettext optional (Alexandros Theodotou)
- requirements.txt: upgrade cmake (Alexandros Theodotou)
- add boost::describe support, start fixing CI (Alexandros Theodotou)
- build: detect CCache automatically (Alexandros Theodotou)
- fix remaining missing licenses (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- remove `init_loaded()` from ArrangerObject (Alexandros Theodotou)
- more ArrangerObject class cleanup (Alexandros Theodotou)
- ci: disable github actions jobs (Alexandros Theodotou)
- reuse: add some missing licenses (Alexandros Theodotou)
- apply clang-format (Alexandros Theodotou)
- use strong types for frames <=> ticks multipliers (Alexandros Theodotou)
- cleanup/clarify some ArrangerObject API (Alexandros Theodotou)
- remove `print_to_str()` API from ArrangerObject (Alexandros Theodotou)
- add ArrangerObjectOwner/ListModel, drop RegionOwner/List (Alexandros Theodotou)
- reduce external dependencies for AudioPool (Alexandros Theodotou)
- add ArrangerObjectSelectionManager for handling object selections (Alexandros Theodotou)
- make TrackSelectionManager generic for all UuidIdentifiableObjects (Alexandros Theodotou)
- track Track selections at Tracklist (Alexandros Theodotou)
- add some missing licenses (Alexandros Theodotou)
- simplify API for removing tracks and plugins (Alexandros Theodotou)
- add TrackFactory (still incomplete, TODO) (Alexandros Theodotou)
- use reference counting for UUID-identified objects (Alexandros Theodotou)
- drop PluginIdentifier and fix a memory leak in ISerializable (Alexandros Theodotou)
- use factory pattern for arranger objects and remove RegionIdentifier (Alexandros Theodotou)
- qml: edit PianoRollKeys appearance (Alexandros Theodotou)
- qml: add piano roll keys element (Alexandros Theodotou)
- qml: fix loader condition for clip editor grid (Alexandros Theodotou)
- qml: update clip editor based on selected region (Alexandros Theodotou)
- fix track names and region creation (Alexandros Theodotou)
- use c++ attributes instead of macros (Alexandros Theodotou)
- fix incorrect use of std::views::iota (Alexandros Theodotou)
- BottmDock QML: create basic structure for editor components (Alexandros Theodotou)
- vscode settings: use ccache (Alexandros Theodotou)
- PlaceholderPage.qml: make image color follow style (Alexandros Theodotou)
- QML: start adding editor UI parts (Alexandros Theodotou)
- replace arranger selections with ArrangerObjectSpan (Alexandros Theodotou)
- add UUID-based registry system (initial implementation) (Alexandros Theodotou)
- add UuidIdentifiableObject class (Alexandros Theodotou)
- Port: generalize PortOwner into new interface (Alexandros Theodotou)
- refactor finding ports from PortIdentifier to a Project method (Alexandros Theodotou)
- very minor performance improvements in graph scheduling (Alexandros Theodotou)
- cleanup graph API & add tests/benchmarks (Alexandros Theodotou)
- split graph scheduling logic from Graph (Alexandros Theodotou)
- clean up GraphBuilder API (Alexandros Theodotou)
- split graph building logic to separate class (Alexandros Theodotou)
- use IProcessable interface to reduce Graph dependencies (Alexandros Theodotou)
- refactor port backend logic to new interface (Alexandros Theodotou)
- refactor balance control calculation to be part of "panning" (Alexandros Theodotou)
- decouple GraphNode and move to DSP module (Alexandros Theodotou)
- GraphNode: make Transport dependency explicit (Alexandros Theodotou)
- move ChordDescriptor and MusicalScale to DSP module (Alexandros Theodotou)
- refactor AudioClip to remove dependencies (Alexandros Theodotou)
- add missing CurvePreset code (Alexandros Theodotou)
- refactor AudioClip, make API simpler (Alexandros Theodotou)
- cmake: rename zrythm_lib to zrythm_gui_lib (Alexandros Theodotou)
- clangd: lower error limit (Alexandros Theodotou)
- move ditherer and curve to DSP module (Alexandros Theodotou)
- move stretcher to DSP module (Alexandros Theodotou)
- remove some unused meson.build files (Alexandros Theodotou)
- refactor: move meter DSP logic to DSP module (Alexandros Theodotou)
- move port identifier and plugin identifier to dsp module (Alexandros Theodotou)
- refactoring: create separate utils and dsp modules (Alexandros Theodotou)
- cleanup some old localization files (Alexandros Theodotou)
- port translations from gettext (Alexandros Theodotou)
- undo/redo support, arranger cursors, toolbox (Alexandros Theodotou)
- add more arranger functionality (create MIDI regions) (Alexandros Theodotou)
- drop glib, show arranger objects in timeline, etc. (Alexandros Theodotou)
- Translated using Weblate (Portuguese) (Cleverson Cândido)
- Translated using Weblate (French) (Olivier Humbert)
- Translated using Weblate (German) (nilsholle)
- Translated using Weblate (Portuguese) (ssantos)
- Translated using Weblate (Catalan) (Maite Guix)
- Translated using Weblate (Serbian) (Reno Tx)
- Translated using Weblate (Norwegian Bokmål) (Allan Nordhøy)
- Translated using Weblate (Macedonian) (AND)
- Translated using Weblate (Russian) (firekonstantin)
- Translated using Weblate (Polish) (Prefex)
- Translated using Weblate (Tamil) (தமிழ்நேரம்)
- Added translation using Weblate (Tamil) (Languages add-on)
- Translated using Weblate (Polish) (Krylan)
- Translated using Weblate (Russian) (John Johnson)
- Translated using Weblate (Chinese (Traditional)) (hugoalh)
- Translated using Weblate (Italian) (GB)
- Translated using Weblate (Russian) (Evgeniy Khramov)
- Translated using Weblate (Russian) (Kirill Plotnikov)
- add meters (Alexandros Theodotou)
- qml: add automation tracks to track view (Alexandros Theodotou)
- qml: implement track lanes support (Alexandros Theodotou)
- update INSTALL/README (Alexandros Theodotou)
- fix linking issue with dsp utils (Alexandros Theodotou)
- make position updates rt-safe, drop lsp-dsp dependency (Alexandros Theodotou)
- implement basic ruler (Alexandros Theodotou)
- connect up the engine (in-process for now, as before) (Alexandros Theodotou)
- qml: add transport controls (Alexandros Theodotou)
- qml: tracklist showing (Alexandros Theodotou)
- gui: add dark/light mode switch and theme color selection (Alexandros Theodotou)
- qml: add more styled widgets, improve existing (Alexandros Theodotou)
- qml: create custom Zrythm style (Alexandros Theodotou)
- qml: restructure code (Alexandros Theodotou)
- add tabbar/tabbutton, require qt 6.8 (Alexandros Theodotou)
- edit toolbuttons a bit (Alexandros Theodotou)
- add text toolbar elements (Alexandros Theodotou)
- add arranger (wip), custom menus (Alexandros Theodotou)
- add basic layout (Alexandros Theodotou)
- cmake refactor (move QML executable to src/gui) (Alexandros Theodotou)
- add custom menubar and toolbutton (Alexandros Theodotou)
- allow creating new project without template (Alexandros Theodotou)
- greeter: add dummy project loading logic (Alexandros Theodotou)
- README: mention that this is the qt branch (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- juce: disable version printing (Alexandros Theodotou)
- qml/backend: add project management-related logic (Alexandros Theodotou)
- plugin scanner: allow scanning directly from cmd line (Alexandros Theodotou)
- plugin scanning: use paths/save/restore known plugins (Alexandros Theodotou)
- qml: rename greeter to Greeter (Alexandros Theodotou)
- drop gtk dependency (Alexandros Theodotou)
- requirements.txt: add cmake-format (Alexandros Theodotou)
- plugin scanning for LV2/LADSPA/VST3/CLAP (Alexandros Theodotou)
- plugin scan working (other than LV2) (Alexandros Theodotou)
- vscode: add qt-specific pre-instructions to cody (Alexandros Theodotou)
- fix clang-format qt header handling (Alexandros Theodotou)
- expose global state to QML (Alexandros Theodotou)
- add namespace for plugin-related classes (Alexandros Theodotou)
- merge gui/glue and gui/backend to just backend (Alexandros Theodotou)
- fix licensing issues (Alexandros Theodotou)
- noop: fix formatting (Alexandros Theodotou)
- start using namespaces (Alexandros Theodotou)
- reorganize source files (Alexandros Theodotou)
- re-organize old gui-related code (Alexandros Theodotou)
- clean up, re-organize, remove some meson related files (Alexandros Theodotou)
- reorganize code a bit (Alexandros Theodotou)
- zrythm application: optionally read env variable for engine path (Alexandros Theodotou)
- qml: add custom progress bar, fixup greeter progress page (Alexandros Theodotou)
- qml: fixup preferences page, add filepicker (Alexandros Theodotou)
- qml: include missing svg for up-down chevrons (Alexandros Theodotou)
- qml: don't use versions in imports (Alexandros Theodotou)
- qml: add custom combo box (Alexandros Theodotou)
- dont look for kddockwidgets or kirigami (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: use latest SDK on macos (Alexandros Theodotou)
- cmake: add debug prints before running help2man (Alexandros Theodotou)
- fix another undefined reference (HardwareProcessor::find_port()) (Alexandros Theodotou)
- fix undefined references for ClipEditor::get_region() (Alexandros Theodotou)
- do not use fmt chrono formatting (Alexandros Theodotou)
- use std::log instead of logf (Alexandros Theodotou)
- use std::pow instead of std::powf (Alexandros Theodotou)
- cmake: fix compilation with weakjack (Alexandros Theodotou)
- cmake: set osx deployment target before project() (Alexandros Theodotou)
- cmake: increase osx deployment target to 11.0 (Alexandros Theodotou)
- cmake: specify OSX deployment target for fs::path (Alexandros Theodotou)
- cmake: set OBJC property on Wrapper.m (Alexandros Theodotou)
- stop using std::format (use fmt::format instead) (Alexandros Theodotou)
- cmake: allow fetching vamp-sdk from github (Alexandros Theodotou)
- Revert "cmake: use static vamp on msys2/mingw" (Alexandros Theodotou)
- cmake: update-po: depend on gen-pot target instead of a file (Alexandros Theodotou)
- use fmt formatters instead of std formatters (unsupported on intel mac) (Alexandros Theodotou)
- cmake: use static vamp on msys2/mingw (Alexandros Theodotou)
- cmake: fix build issues on windows/mac (Alexandros Theodotou)
- fix windows build (fs::path -> std::string) (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- cmake: fix using weakjack compile defs as options instead of definitions (Alexandros Theodotou)
- cmake: fix M_PI undefined on mingw (Alexandros Theodotou)
- cmake: allow all user manual formats (Alexandros Theodotou)
- cmake: make magic_enum fetchable (Alexandros Theodotou)
- cmake: fix user manual bundle generation (Alexandros Theodotou)
- cmake: add some options used in meson version (Alexandros Theodotou)
- don't use qt_add_resources (discouraged by qt devs) (Alexandros Theodotou)
- remove kirigami, use basic style with customized widgets (Alexandros Theodotou)
- almost done with first run carousel (Alexandros Theodotou)
- add qsettings manager (Alexandros Theodotou)
- move engine to separate process (Alexandros Theodotou)
- add basic qt main window (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- some fixes (windows/mac) (Alexandros Theodotou)
- start using gtkmm, add more compile-time checks (Alexandros Theodotou)
- build fixes for windows (Alexandros Theodotou)
- cmake: build fixes for macos (Alexandros Theodotou)
- fix various build issues (Alexandros Theodotou)
- fix optimization flag mismatch on msvc (Alexandros Theodotou)
- add user manual (WIP builds but no localization) (Alexandros Theodotou)
- ci: fix build-time errors (Alexandros Theodotou)
- cmake: use fetch-content to mimic meson subprojects (Alexandros Theodotou)
- port to cmake (Alexandros Theodotou)
- fix more msvc compilation errors (Alexandros Theodotou)
- replace zita resampler with cpp version (Alexandros Theodotou)
- rename function attributes to avoid clash with msvc (Alexandros Theodotou)
- disable strict strings (Alexandros Theodotou)
- ci: attempt to fix builtin plugins errors (Alexandros Theodotou)
- add dirent (Alexandros Theodotou)
- build: attempt to fix lilv (Alexandros Theodotou)
- use gtest (Alexandros Theodotou)
- fix build issues (Alexandros Theodotou)
- whereami: update (Alexandros Theodotou)
- ci: cache per runner (Alexandros Theodotou)
- tests: don't use ubsan on msvc (Alexandros Theodotou)
- gen-translators-list: ensure input/output is utf8 (Alexandros Theodotou)
- ci: remove cleanup section (Alexandros Theodotou)
- drop appstream dependency from libadwaita (Alexandros Theodotou)
- drop gtksourceview dependency (Alexandros Theodotou)
- ci: fix windows (Alexandros Theodotou)
- ci: don't build manpage on windows (Alexandros Theodotou)
- drop guile dependency (Alexandros Theodotou)
- drop sed dependency, move a bash script to python (Alexandros Theodotou)
- drop direct libcurl usage (Alexandros Theodotou)
- ci: add windows (Alexandros Theodotou)
- dont use jthreads (not available on mac) (Alexandros Theodotou)
- ci: try to build mac (Alexandros Theodotou)
- requirements: add cmake (Alexandros Theodotou)
- bump python requirements and remove some unnecessary inlines (Alexandros Theodotou)
- ci: enable mac builder (Alexandros Theodotou)
- fix more issues (Alexandros Theodotou)
- ci: use benchmark (Alexandros Theodotou)
- use init_loaded_base on arranger objects (Alexandros Theodotou)
- replace backtrace getter, remove pcre2 (Alexandros Theodotou)
- make benchmarks work again, use gbenchmark, more fixes (Alexandros Theodotou)
- fix engine ticks/frame calculation (Alexandros Theodotou)
- various fixes (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- clang-tidy: add more checks (Alexandros Theodotou)
- fix more issues, 1 more test pass (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- organize code and fix some more issues (Alexandros Theodotou)
- some runtime fixes, various other fixes (Alexandros Theodotou)
- fix compilation of tests and build without lsp (Alexandros Theodotou)
- fix more issues, more tests pass (Alexandros Theodotou)
- fix more issues/tests (Alexandros Theodotou)
- fix various issues (Alexandros Theodotou)
- use factory pattern for tracks (Alexandros Theodotou)
- fix more issues, now can generate the processing graph (Alexandros Theodotou)
- fix various issues - test now can add a couple of tracks (Alexandros Theodotou)
- fix licensing issues, upgrade to reuse TOML (Alexandros Theodotou)
- fix logger, fix more tests (Alexandros Theodotou)
- fix compilation with gcc, fix doctest issues (Alexandros Theodotou)
- port to C++20 (WIP) (Alexandros Theodotou)
- ci: don't build with ASAN (Alexandros Theodotou)
- port gen-appdata-xml to python and update project description (Alexandros Theodotou)
- refactor, port various components to C++ classes (Alexandros Theodotou)
- make ZrythmDirectoryManager a singleton (Alexandros Theodotou)
- meson: disable -fanalyzer (too many false positives) (Alexandros Theodotou)
- shorten ZrythmDirType enum value names (Alexandros Theodotou)
- disable the audio engine for a test that doesn't need it (Alexandros Theodotou)
- add option to build tests statically (Alexandros Theodotou)
- tracklist: convert tracks array to vector (Alexandros Theodotou)
- refactor ProgressInfo (Alexandros Theodotou)
- attempt to deactivate engine before freeing gZrythm (Alexandros Theodotou)
- add missing license (Alexandros Theodotou)
- minor refactoring (Alexandros Theodotou)
- editor files (Alexandros Theodotou)
- fix typo (Alexandros Theodotou)
- port Port to C++ idioms (Alexandros Theodotou)
- port Channel functions to member methods (Alexandros Theodotou)
- refactor Port (WIP) (Alexandros Theodotou)
- refactor CarlaBridgeMode (Alexandros Theodotou)
- add vscode configs (Alexandros Theodotou)
- fix some memory leaks now that PortIdentifier is allocated with `new` (Alexandros Theodotou)
- port PortIdentifier to c++, some more refactoring (Alexandros Theodotou)
- add missing JUCE dependencies on windows (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- fix another windows build error (Alexandros Theodotou)
- fix formatting (Alexandros Theodotou)
- fix more windows build issues (Alexandros Theodotou)
- attempt to use shared lib for tests in CI (Alexandros Theodotou)
- windows fix (Alexandros Theodotou)
- more windows fixes (Alexandros Theodotou)
- more windows build fixes, refactoring (Alexandros Theodotou)
- more fixes, refactoring (Alexandros Theodotou)
- fix compilation on windows (Alexandros Theodotou)
- ci: use magic_enum from distro (Alexandros Theodotou)
- precompile windows.h on windows (Alexandros Theodotou)
- fix compilation with gcc (Alexandros Theodotou)
- macos fixes and pch improvements (alex)
- more refactoring, mac/windows fixes (Alexandros Theodotou)
- meson: set default backend_max_links=1 (Alexandros Theodotou)
- fix windows build, revert to using _WIN32 (Alexandros Theodotou)
- remove PURE from functions (windows build fails) (Alexandros Theodotou)
- meson: remove unused pcre subproject (Alexandros Theodotou)
- fix build on mac (Alexandros Theodotou)
- refactoring, cleanup (Alexandros Theodotou)
- clang-format: rearrange headers (Alexandros Theodotou)
- build: fix unused variable error (Alexandros Theodotou)
- juce: add -fpermissive flag on windows (Alexandros Theodotou)
- meson: add more optimization flags (Alexandros Theodotou)
- add missing appleframeworks to build juce on mac (Alexandros Theodotou)
- rename kissfft in qm-dsp to avoid conflicts (Alexandros Theodotou)
- avoid passing initializer as reference (Alexandros Theodotou)
- remove some usage of Z_GRAPHENE_*_INIT (Alexandros Theodotou)
- start using JUCE core for StringArray (Alexandros Theodotou)
- cleanup compilation flags, fix some apple clang errors (Alexandros Theodotou)
- plugin manager: add AU detection (Alexandros Theodotou)
- convert Zrythm struct to C++ class (Alexandros Theodotou)
- clang-format: add option pending clang 18 (Alexandros Theodotou)
- meson: use cpp as main compiler (Alexandros Theodotou)
- ci: cache more subprojects (Alexandros Theodotou)
- fix error: taking address of temporary array (Alexandros Theodotou)
- add missing copyright (Alexandros Theodotou)
- fix CI (force fallback for magic enum and enable cyaml) (Alexandros Theodotou)
- port to C++ (Alexandros Theodotou)
- fix strict build (Alexandros Theodotou)
- meson: require at least 1.3.0 (Alexandros Theodotou)
- appdata: add branding colors and vcs url (Alexandros Theodotou)
- use glib-mkenums more (Alexandros Theodotou)
- add some more error checking for plugin protocol (Alexandros Theodotou)
- noop: formatting (Alexandros Theodotou)
- stop using some deprecated gtk API (Alexandros Theodotou)
- build: make cyaml dependency optional (Alexandros Theodotou)
- port plugin settings/cached plugins/plugin collections to JSON (Alexandros Theodotou)

